GNU bug report logs - #17124
24.3.50; Occasional Extremely Slow Redraws in OSX Emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eric Froemling <ericfroemling@HIDDEN>; Keywords: unreproducible; merged with #16594; dated Thu, 27 Mar 2014 21:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) unreproducible. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 12 Feb 2016 23:54:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 18:54:47 2016
Received: from localhost ([127.0.0.1]:38334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aUNXz-0002Xm-3F
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 18:54:47 -0500
Received: from mail-wm0-f48.google.com ([74.125.82.48]:36136)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <athird@HIDDEN>) id 1aUNXx-0002Xa-Lp
 for 17124 <at> debbugs.gnu.org; Fri, 12 Feb 2016 18:54:46 -0500
Received: by mail-wm0-f48.google.com with SMTP id p63so41669985wmp.1
 for <17124 <at> debbugs.gnu.org>; Fri, 12 Feb 2016 15:54:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=QLzMZbx1mWoQY5HaDYDw6GvgNrhsPj/ptHfIoQ5g6bw=;
 b=lHYkB/Z+/Y593T+RtKyCXztqp+iLhiseKkBhfnMgSlBRDKbmJvJdgLWPgzJMJkM3U9
 Je2a087lo2lA7ukwTCkaHVfPuBN0n5R7T7L9mxTdiqA0kirr26ATryt4McWmfIG+0Boi
 mTwsNcf2bWpEVERLR/67y7RK9RAhTz2X/imb0bOxji17nA07S2vteQPgTybWDwSYnMod
 gKqho+8B4I5VQ9rBAMNOqkHTPqt7CBJQQ8zFugpv9syICrdGxGGQcZnNX+mQwPWqjeR0
 QtvOIvqqQ7IHGpxFrferwPbU71trMpkvPnHqcsv35zZJD6swJ7qJCMBV9KRYUsO7DyKt
 ssAA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-type:content-disposition
 :in-reply-to:user-agent;
 bh=QLzMZbx1mWoQY5HaDYDw6GvgNrhsPj/ptHfIoQ5g6bw=;
 b=GT11/dWhP5NVxAJ17mAvnyy0YWl67a8Gqv8Ejua0f8Cq+WRMhsvxcHtuwTiornSHzF
 fS2yHR/DBtDp4KiLuZWZ+lRcL2CGC29yLDUcLhG8AxhxdqeA3YnfFD/62wG3UPhonBeT
 wI/iWmPcc9gwbgwb9cGEH/YZ674Z+1jfxJEjR6v/1tbeWPg0W1ZQ15I4SBDWkOV9zgAI
 QIl+L4P/7XoYpJVyq7CfBztpqPsorHD8UWjKHe0CRhRVcHpP/adxOcrVSlcaUahee5QG
 3t8KfZuCnebTvX4LRBh3BRi1LxlwHInkp6ijhe/60rUKOTf0ebmwabk+BiLwIjLapz8I
 sO1g==
X-Gm-Message-State: AG10YOT0ms29M/zY2fHqBmRxKr3h5S1f4NnzBUPZFtNOc7wU5hO7DCPzf08SFiBGGD8uvw==
X-Received: by 10.28.218.145 with SMTP id r139mr485030wmg.52.1455321280060;
 Fri, 12 Feb 2016 15:54:40 -0800 (PST)
Received: from galloway.idiocy.org
 (c.f.9.0.5.3.0.e.5.e.a.d.2.7.5.5.9.2.1.8.8.f.3.0.0.b.8.0.1.0.0.2.ip6.arpa.
 [2001:8b0:3f8:8129:5572:dae5:e035:9fc])
 by smtp.gmail.com with ESMTPSA id ko2sm14098758wjc.9.2016.02.12.15.54.38
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 12 Feb 2016 15:54:39 -0800 (PST)
Date: Fri, 12 Feb 2016 23:54:37 +0000
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
Message-ID: <20160212235437.GA46072@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <32C51D84-3234-46EF-84A6-9BAC16B6AACB@HIDDEN>
 <1455132354979-387399.post@HIDDEN>
 <m2lh6sta8d.fsf@HIDDEN>
 <CAGBfY87R4Y9FoxcDeBPyvgMtr==Rfq=e3X4Wfk1_1fVbqftFUQ@HIDDEN>
 <83a8n68kcy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83a8n68kcy.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17124
Cc: bulldozer <kentdozier@HIDDEN>, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Feb 12, 2016 at 09:21:17AM +0200, Eli Zaretskii wrote:
> Isn't it true that Aquamacs is sufficiently different from Emacs to
> consider it a separate project?  If so, I don't think we can solve
> such problems in Aquamacs if they cannot be reproduced in upstream
> Emacs builds.

Well, I just downloaded Aquamacs to see if I could replicate it there
and I can't, so that doesn't help much.

BTW, in case it matters, I'm trying to get the slow refresh by
following these instructions from Eric Froemling:

> (basically open a large buffer, subdivide a frame into quite a few
> windows, and then vigorously shake a horizontal divider for a bit.
> In my case I usually get a slow refresh after 5-15 seconds).

As well as by scrolling up and down in a large buffer.

Looking through the complete bug thread it seems there was a good deal
of discussion of this issue a couple of years ago, but it's unclear if
there was any resolution.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 12 Feb 2016 07:21:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 02:21:35 2016
Received: from localhost ([127.0.0.1]:37217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aU82p-0003Ir-0o
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 02:21:35 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60449)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aU82o-0003Ic-6h
 for 17124 <at> debbugs.gnu.org; Fri, 12 Feb 2016 02:21:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aU82e-000344-7R
 for 17124 <at> debbugs.gnu.org; Fri, 12 Feb 2016 02:21:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.7 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42505)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aU82e-000340-4C; Fri, 12 Feb 2016 02:21:24 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1773
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aU82d-0003hp-EG; Fri, 12 Feb 2016 02:21:23 -0500
Date: Fri, 12 Feb 2016 09:21:17 +0200
Message-Id: <83a8n68kcy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bulldozer <kentdozier@HIDDEN>
In-reply-to: <CAGBfY87R4Y9FoxcDeBPyvgMtr==Rfq=e3X4Wfk1_1fVbqftFUQ@HIDDEN>
 (message from bulldozer on Thu, 11 Feb 2016 22:10:51 -0700 (MST))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <32C51D84-3234-46EF-84A6-9BAC16B6AACB@HIDDEN>
 <1455132354979-387399.post@HIDDEN>
 <m2lh6sta8d.fsf@HIDDEN>
 <CAGBfY87R4Y9FoxcDeBPyvgMtr==Rfq=e3X4Wfk1_1fVbqftFUQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: 17124
Cc: 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

> Date: Thu, 11 Feb 2016 22:10:51 -0700 (MST)
> From: bulldozer <kentdozier@HIDDEN>
> 
> Unfortunately, Aquamacs with 25.0.50.5 is unusable due to spinning color wheel when I come back to the
> window after using other apps. The more panes I have open, the longer it takes to come back. Sometimes it
> takes 10 minutes. It's possible it is doing an even slower drawing update while the wheel spins, but I don't see
> any obvious drawing like I did in the older version.

Isn't it true that Aquamacs is sufficiently different from Emacs to
consider it a separate project?  If so, I don't think we can solve
such problems in Aquamacs if they cannot be reproduced in upstream
Emacs builds.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2016 05:11:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 00:11:06 2016
Received: from localhost ([127.0.0.1]:37190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aU60X-0000Jh-Q3
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 00:11:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48709)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <kentdozier@HIDDEN>) id 1aU60V-0000JD-Ay
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 00:11:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aU60P-0001hl-4x
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 00:10:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40122)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aU60P-0001hd-2O
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 00:10:57 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39669)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aU60N-0005GG-P8
 for Bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2016 00:10:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aU60K-0001fC-Il
 for Bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2016 00:10:55 -0500
Received: from mbob.nabble.com ([162.253.133.15]:65035)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aU60K-0001er-AZ
 for Bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2016 00:10:52 -0500
Received: from msam.nabble.com (unknown [162.253.133.85])
 by mbob.nabble.com (Postfix) with ESMTP id 04FD12090A82
 for <Bug-gnu-emacs@HIDDEN>; Thu, 11 Feb 2016 21:04:47 -0800 (PST)
Date: Thu, 11 Feb 2016 22:10:51 -0700 (MST)
From: bulldozer <kentdozier@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <CAGBfY87R4Y9FoxcDeBPyvgMtr==Rfq=e3X4Wfk1_1fVbqftFUQ@HIDDEN>
In-Reply-To: <m2lh6sta8d.fsf@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <32C51D84-3234-46EF-84A6-9BAC16B6AACB@HIDDEN>
 <1455132354979-387399.post@HIDDEN>
 <m2lh6sta8d.fsf@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_299437_1942631518.1455253851267"
X-detected-operating-system: by eggs.gnu.org: iOS iPhone or iPad
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

------=_Part_299437_1942631518.1455253851267
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Unfortunately, Aquamacs with 25.0.50.5 is unusable due to spinning color
wheel when I come back to the window after using other apps. The more panes
I have open, the longer it takes to come back.  Sometimes it takes 10
minutes.  It's possible it is doing an even slower drawing update while the
wheel spins, but I don't see any obvious drawing like I did in the older
version.

On Wed, Feb 10, 2016 at 4:26 PM, Kent Dozier <kentdozier@HIDDEN> wrote:

> Sure, I just downloaded the latest nightly with Emacs 25.0.50.5.  I'll use
> this for a while and report back.
>
> On Wed, Feb 10, 2016 at 3:31 PM, Alan Third [via Emacs] <
> ml-node+s1067599n387419h59@HIDDEN> wrote:
>
>> bulldozer <[hidden email]
>> <http:///user/SendEmail.jtp?type=node&node=387419&i=0>> writes:
>>
>> > Over a year later, I am also still experiencing the slow redraw,
>> usually when
>> > using the mouse wheel to scroll. I can see it slowly going down each
>> line,
>> > one split window at a time, redrawing the text. Aquamacs is
>> unresponsive
>> > until it finishes redrawing all visible text.
>> >
>> > O/S: Mac OSX 10.9.5
>> > Aquamacs 3.2 GNU Emacs 24.4.51.2
>> > x86_64-apple-darwin14.0.0, NS apple-appkit-1343.14
>>
>> Hi! I can't replicate this in Emacs 25. Would it be possible for you to
>> test it with Emacs 25 and see if you still get this problem?
>>
>> I'm not using Aquamacs, but I notice they have a preview of 25 available.
>> --
>> Alan Third
>>
>>
>>
>>
>>
>> ------------------------------
>> If you reply to this email, your message will be added to the discussion
>> below:
>>
>> http://emacs.1067599.n5.nabble.com/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p387419.html
>> To unsubscribe from bug#17124: 24.3.50; Occasional Extremely Slow Redraws
>> in OSX Emacs, click here
>> <http://emacs.1067599.n5.nabble.com/template/NamlServlet.jtp?macro=unsubscribe_by_code&node=318492&code=a2VudGRvemllckBnbWFpbC5jb218MzE4NDkyfDkzMzc5MjgzNg==>
>> .
>> NAML
>> <http://emacs.1067599.n5.nabble.com/template/NamlServlet.jtp?macro=macro_viewer&id=instant_html%21nabble%3Aemail.naml&base=nabble.naml.namespaces.BasicNamespace-nabble.view.web.template.NabbleNamespace-nabble.view.web.template.NodeNamespace&breadcrumbs=notify_subscribers%21nabble%3Aemail.naml-instant_emails%21nabble%3Aemail.naml-send_instant_email%21nabble%3Aemail.naml>
>>
>
>




--
View this message in context: http://emacs.1067599.n5.nabble.com/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p387548.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.
------=_Part_299437_1942631518.1455253851267
Content-Type: text/html; charset=UTF8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Unfortunately, Aquamacs with 25.0.50.5 is unusable due to =
spinning color wheel when I come back to the window after using other apps.=
 The more panes I have open, the longer it takes to come back.=C2=A0 Someti=
mes it takes 10 minutes.=C2=A0 It&#39;s possible it is doing an even slower=
 drawing update while the wheel spins, but I don&#39;t see any obvious draw=
ing like I did in the older version.</div><div class=3D"gmail_extra"><br><d=
iv class=3D"gmail_quote">On Wed, Feb 10, 2016 at 4:26 PM, Kent Dozier <span=
 dir=3D"ltr">&lt;<a href=3D"/user/SendEmail.jtp?type=3Dnode&node=3D387548&i=
=3D0" target=3D"_top" rel=3D"nofollow" link=3D"external">[hidden email]</a>=
&gt;</span> wrote:<br><blockquote style=3D'border-left:2px solid #CCCCCC;pa=
dding:0 1em' class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1=
px #ccc solid;padding-left:1ex"><div dir=3D"ltr">Sure, I just downloaded th=
e latest nightly with Emacs 25.0.50.5.=C2=A0 I&#39;ll use this for a while =
and report back.</div><div class=3D"gmail_extra"><br><div class=3D"gmail_qu=
ote">On Wed, Feb 10, 2016 at 3:31 PM, Alan Third [via Emacs] <span dir=3D"l=
tr">&lt;<a href=3D"/user/SendEmail.jtp?type=3Dnode&node=3D387548&i=3D1" tar=
get=3D"_top" rel=3D"nofollow" link=3D"external">[hidden email]</a>&gt;</spa=
n> wrote:<br><blockquote style=3D'border-left:2px solid #CCCCCC;padding:0 1=
em' class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc s=
olid;padding-left:1ex"><span class=3D""><span>

=09bulldozer &lt;<a href=3D"http:///user/SendEmail.jtp?type=3Dnode&amp;node=
=3D387419&amp;i=3D0" rel=3D"nofollow" link=3D"external" target=3D"_blank">[=
hidden email]</a>&gt; writes:
<br><br>&gt; Over a year later, I am also still experiencing the slow redra=
w, usually when
<br>&gt; using the mouse wheel to scroll. I can see it slowly going down ea=
ch line,
<br>&gt; one split window at a time, redrawing the text. Aquamacs is unresp=
onsive
<br>&gt; until it finishes redrawing all visible text. =C2=A0
<br>&gt;
<br>&gt; O/S: Mac OSX 10.9.5
<br>&gt; Aquamacs 3.2 GNU Emacs 24.4.51.2
<br>&gt; x86_64-apple-darwin14.0.0, NS apple-appkit-1343.14
<br><br></span><span>Hi! I can&#39;t replicate this in Emacs 25. Would it b=
e possible for you to
<br>test it with Emacs 25 and see if you still get this problem?
<br><br>I&#39;m not using Aquamacs, but I notice they have a preview of 25 =
available.
<br>--=20
<br>Alan Third
<br><br><br><br>

=09
=09
=09
=09<br>
=09<br>
=09</span></span><hr noshade size=3D"1" color=3D"#cccccc">
=09<div style=3D"color:#444;font:12px tahoma,geneva,helvetica,arial,sans-se=
rif"><span class=3D""><span>
=09=09<div style=3D"font-weight:bold">If you reply to this email, your mess=
age will be added to the discussion below:</div>
=09=09</span></span><a href=3D"http://emacs.1067599.n5.nabble.com/bug-17124=
-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p387419.htm=
l" target=3D"_blank" rel=3D"nofollow" link=3D"external">http://emacs.106759=
9.n5.nabble.com/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-=
Emacs-tp318492p387419.html</a>
=09</div><span class=3D""><div><div>
=09<div style=3D"color:#666;font:11px tahoma,geneva,helvetica,arial,sans-se=
rif;margin-top:.4em;line-height:1.5em">
=09=09
=09=09To unsubscribe from bug#17124: 24.3.50; Occasional Extremely Slow Red=
raws in OSX Emacs, <a href=3D"" target=3D"_blank" rel=3D"nofollow" link=3D"=
external">click here</a>.<br>
=09=09<a href=3D"http://emacs.1067599.n5.nabble.com/template/NamlServlet.jt=
p?macro=3Dmacro_viewer&amp;id=3Dinstant_html%21nabble%3Aemail.naml&amp;base=
=3Dnabble.naml.namespaces.BasicNamespace-nabble.view.web.template.NabbleNam=
espace-nabble.view.web.template.NodeNamespace&amp;breadcrumbs=3Dnotify_subs=
cribers%21nabble%3Aemail.naml-instant_emails%21nabble%3Aemail.naml-send_ins=
tant_email%21nabble%3Aemail.naml" rel=3D"nofollow" style=3D"font:9px serif"=
 target=3D"_blank" link=3D"external">NAML</a>
=09</div></div></div></span></blockquote></div><br></div>
</blockquote></div><br></div>


=09
=09
=09
<br/><hr align=3D"left" width=3D"300" />
View this message in context: <a href=3D"http://emacs.1067599.n5.nabble.com=
/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p=
387548.html">Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in O=
SX Emacs</a><br/>
Sent from the <a href=3D"http://emacs.1067599.n5.nabble.com/Emacs-Bugs-f3.h=
tml">Emacs - Bugs mailing list archive</a> at Nabble.com.<br/>
------=_Part_299437_1942631518.1455253851267--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Feb 2016 00:27:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 10 19:27:01 2016
Received: from localhost ([127.0.0.1]:35535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aTf65-0001ed-Fh
	for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 19:27:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42512)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <kentdozier@HIDDEN>) id 1aTf64-0001eK-4X
 for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 19:27:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTf5x-00009Q-V0
 for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 19:26:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51175)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTf5x-00009L-Rp
 for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 19:26:53 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33474)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTf5w-0007pi-MT
 for Bug-gnu-emacs@HIDDEN; Wed, 10 Feb 2016 19:26:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTf5t-00008s-Fi
 for Bug-gnu-emacs@HIDDEN; Wed, 10 Feb 2016 19:26:52 -0500
Received: from mbob.nabble.com ([162.253.133.15]:60216)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTf5t-00008m-7k
 for Bug-gnu-emacs@HIDDEN; Wed, 10 Feb 2016 19:26:49 -0500
Received: from msam.nabble.com (unknown [162.253.133.85])
 by mbob.nabble.com (Postfix) with ESMTP id 85669207A6B5
 for <Bug-gnu-emacs@HIDDEN>; Wed, 10 Feb 2016 16:20:50 -0800 (PST)
Date: Wed, 10 Feb 2016 17:26:47 -0700 (MST)
From: bulldozer <kentdozier@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <CAGBfY84Qb_GqWuNXJ6k4vbnNqVMvkHNAszBP6aFRbPma-1keQA@HIDDEN>
In-Reply-To: <m2lh6sta8d.fsf@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <32C51D84-3234-46EF-84A6-9BAC16B6AACB@HIDDEN>
 <1455132354979-387399.post@HIDDEN>
 <m2lh6sta8d.fsf@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_237946_280614381.1455150407039"
X-detected-operating-system: by eggs.gnu.org: iOS iPhone or iPad
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

------=_Part_237946_280614381.1455150407039
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Sure, I just downloaded the latest nightly with Emacs 25.0.50.5.  I'll use
this for a while and report back.

On Wed, Feb 10, 2016 at 3:31 PM, Alan Third [via Emacs] <
ml-node+s1067599n387419h59@HIDDEN> wrote:

> bulldozer <[hidden email]
> <http:///user/SendEmail.jtp?type=node&node=387419&i=0>> writes:
>
> > Over a year later, I am also still experiencing the slow redraw, usually
> when
> > using the mouse wheel to scroll. I can see it slowly going down each
> line,
> > one split window at a time, redrawing the text. Aquamacs is unresponsive
> > until it finishes redrawing all visible text.
> >
> > O/S: Mac OSX 10.9.5
> > Aquamacs 3.2 GNU Emacs 24.4.51.2
> > x86_64-apple-darwin14.0.0, NS apple-appkit-1343.14
>
> Hi! I can't replicate this in Emacs 25. Would it be possible for you to
> test it with Emacs 25 and see if you still get this problem?
>
> I'm not using Aquamacs, but I notice they have a preview of 25 available.
> --
> Alan Third
>
>
>
>
>
> ------------------------------
> If you reply to this email, your message will be added to the discussion
> below:
>
> http://emacs.1067599.n5.nabble.com/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p387419.html
> To unsubscribe from bug#17124: 24.3.50; Occasional Extremely Slow Redraws
> in OSX Emacs, click here
> <http://emacs.1067599.n5.nabble.com/template/NamlServlet.jtp?macro=unsubscribe_by_code&node=318492&code=a2VudGRvemllckBnbWFpbC5jb218MzE4NDkyfDkzMzc5MjgzNg==>
> .
> NAML
> <http://emacs.1067599.n5.nabble.com/template/NamlServlet.jtp?macro=macro_viewer&id=instant_html%21nabble%3Aemail.naml&base=nabble.naml.namespaces.BasicNamespace-nabble.view.web.template.NabbleNamespace-nabble.view.web.template.NodeNamespace&breadcrumbs=notify_subscribers%21nabble%3Aemail.naml-instant_emails%21nabble%3Aemail.naml-send_instant_email%21nabble%3Aemail.naml>
>




--
View this message in context: http://emacs.1067599.n5.nabble.com/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p387421.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.
------=_Part_237946_280614381.1455150407039
Content-Type: text/html; charset=UTF8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Sure, I just downloaded the latest nightly with Emacs 25.0=
.50.5.=C2=A0 I&#39;ll use this for a while and report back.</div><div class=
=3D"gmail_extra"><br><div class=3D"gmail_quote">On Wed, Feb 10, 2016 at 3:3=
1 PM, Alan Third [via Emacs] <span dir=3D"ltr">&lt;<a href=3D"/user/SendEma=
il.jtp?type=3Dnode&node=3D387421&i=3D0" target=3D"_top" rel=3D"nofollow" li=
nk=3D"external">[hidden email]</a>&gt;</span> wrote:<br><blockquote style=
=3D'border-left:2px solid #CCCCCC;padding:0 1em' class=3D"gmail_quote" styl=
e=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><span c=
lass=3D"">

=09bulldozer &lt;<a href=3D"http:///user/SendEmail.jtp?type=3Dnode&amp;node=
=3D387419&amp;i=3D0" rel=3D"nofollow" link=3D"external" target=3D"_blank">[=
hidden email]</a>&gt; writes:
<br><br>&gt; Over a year later, I am also still experiencing the slow redra=
w, usually when
<br>&gt; using the mouse wheel to scroll. I can see it slowly going down ea=
ch line,
<br>&gt; one split window at a time, redrawing the text. Aquamacs is unresp=
onsive
<br>&gt; until it finishes redrawing all visible text. =C2=A0
<br>&gt;
<br>&gt; O/S: Mac OSX 10.9.5
<br>&gt; Aquamacs 3.2 GNU Emacs 24.4.51.2
<br>&gt; x86_64-apple-darwin14.0.0, NS apple-appkit-1343.14
<br><br></span><span class=3D"">Hi! I can&#39;t replicate this in Emacs 25.=
 Would it be possible for you to
<br>test it with Emacs 25 and see if you still get this problem?
<br><br>I&#39;m not using Aquamacs, but I notice they have a preview of 25 =
available.
<br>--=20
<br>Alan Third
<br><br><br><br>

=09
=09
=09
=09<br>
=09<br>
=09</span><hr noshade size=3D"1" color=3D"#cccccc">
=09<div style=3D"color:#444;font:12px tahoma,geneva,helvetica,arial,sans-se=
rif"><span class=3D"">
=09=09<div style=3D"font-weight:bold">If you reply to this email, your mess=
age will be added to the discussion below:</div>
=09=09</span><a href=3D"http://emacs.1067599.n5.nabble.com/bug-17124-24-3-5=
0-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p387419.html" targ=
et=3D"_blank" rel=3D"nofollow" link=3D"external">http://emacs.1067599.n5.na=
bble.com/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-t=
p318492p387419.html</a>
=09</div><div class=3D"HOEnZb"><div class=3D"h5">
=09<div style=3D"color:#666;font:11px tahoma,geneva,helvetica,arial,sans-se=
rif;margin-top:.4em;line-height:1.5em">
=09=09
=09=09To unsubscribe from bug#17124: 24.3.50; Occasional Extremely Slow Red=
raws in OSX Emacs, <a href=3D"" target=3D"_blank" rel=3D"nofollow" link=3D"=
external">click here</a>.<br>
=09=09<a href=3D"http://emacs.1067599.n5.nabble.com/template/NamlServlet.jt=
p?macro=3Dmacro_viewer&amp;id=3Dinstant_html%21nabble%3Aemail.naml&amp;base=
=3Dnabble.naml.namespaces.BasicNamespace-nabble.view.web.template.NabbleNam=
espace-nabble.view.web.template.NodeNamespace&amp;breadcrumbs=3Dnotify_subs=
cribers%21nabble%3Aemail.naml-instant_emails%21nabble%3Aemail.naml-send_ins=
tant_email%21nabble%3Aemail.naml" rel=3D"nofollow" style=3D"font:9px serif"=
 target=3D"_blank" link=3D"external">NAML</a>
=09</div></div></div></blockquote></div><br></div>


=09
=09
=09
<br/><hr align=3D"left" width=3D"300" />
View this message in context: <a href=3D"http://emacs.1067599.n5.nabble.com=
/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p=
387421.html">Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in O=
SX Emacs</a><br/>
Sent from the <a href=3D"http://emacs.1067599.n5.nabble.com/Emacs-Bugs-f3.h=
tml">Emacs - Bugs mailing list archive</a> at Nabble.com.<br/>
------=_Part_237946_280614381.1455150407039--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 10 Feb 2016 23:30:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 10 18:30:04 2016
Received: from localhost ([127.0.0.1]:35498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aTeCy-0000Jp-Bc
	for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 18:30:04 -0500
Received: from mail-wm0-f53.google.com ([74.125.82.53]:33059)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <athird@HIDDEN>) id 1aTeCx-0000Iv-3B
 for 17124 <at> debbugs.gnu.org; Wed, 10 Feb 2016 18:30:03 -0500
Received: by mail-wm0-f53.google.com with SMTP id g62so294620wme.0
 for <17124 <at> debbugs.gnu.org>; Wed, 10 Feb 2016 15:30:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=pq/C3BcBqbKuSK7fcP9Ksp7TExvqqrm7SSQFNQG6Xq4=;
 b=ECYDMAiLPSbJWzVJE9Fc62FZPgRwG+ux9+PLAu5JHJ1IUmDWhkFgrPeVXzr1/ckVxy
 7cBrBBfXULM2hTy+7+UZmSA/R/iX1efeDtAYwy3HtGuRw9HetTBZXoyTDg2tSar9Uc5Z
 RjASf+nb3idc+oe3fvjlQe/qpuLbiGOQe0BHqaH59DtZox/qr3n6/9+vGVk8uo3oQOD9
 ddeDhBLBFItbGsPVtcN5V2PEdY2a1yVeJhbXtxaoND2XKysbYuimx/aRTfCTpXH3TK8K
 nsYC4Su1aOxJLMqEm660jV5Uk7TiN9ZVxt/XGo08SN3KXdXlFxQKMJLMujUDsVjDtskE
 lDeg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version:content-type;
 bh=pq/C3BcBqbKuSK7fcP9Ksp7TExvqqrm7SSQFNQG6Xq4=;
 b=eUVa/xQHHCeMk317wp+jAdTwV+glygRK1PMwP5sBHg+qwejjx1Tls8Kb8FIRHn2VsO
 a3zc9pCUQBXjE4u0Q3UaXHaCY5Lb8MV3faEarVlGmpiLlCfcxKIxRj2duOzjK4Zr2pm6
 rChaEe6f2RoKuu1aBLoIJQ3lwxqp94xHtIGJD6RX8aVEd9TU/Bl2bgVVu8rVzJB9B5Ce
 MH6iYPfGCN3dlw/uceYIH8BfxSMm+8o+WWCEkQKmREYMMrh0o/qZ1NVkZH9Po6y7oS7w
 3ZF5e/zrilUYKs+rKB17j4AAvp3hfQd54JzaYCHnrIk1xFc9wVJzoMntscLRCREuhFCI
 CjBg==
X-Gm-Message-State: AG10YOQyf2mzDu0nCedvkCDBJOrT99JS1kbYiKfBSJG5BY+NCs34I6YEZ0aVXyemuFoNVw==
X-Received: by 10.28.45.73 with SMTP id t70mr13052486wmt.31.1455146997510;
 Wed, 10 Feb 2016 15:29:57 -0800 (PST)
Received: from galloway.idiocy.org (33.17.169.217.in-addr.arpa.
 [217.169.17.33])
 by smtp.gmail.com with ESMTPSA id r62sm5439242wmd.15.2016.02.10.15.29.56
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 10 Feb 2016 15:29:56 -0800 (PST)
From: Alan Third <alan@HIDDEN>
To: bulldozer <kentdozier@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <32C51D84-3234-46EF-84A6-9BAC16B6AACB@HIDDEN>
 <1455132354979-387399.post@HIDDEN>
Date: Wed, 10 Feb 2016 23:29:54 +0000
In-Reply-To: <1455132354979-387399.post@HIDDEN> (bulldozer's message of
 "Wed, 10 Feb 2016 12:25:54 -0700 (MST)")
Message-ID: <m2lh6sta8d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17124
Cc: 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

bulldozer <kentdozier@HIDDEN> writes:

> Over a year later, I am also still experiencing the slow redraw, usually when
> using the mouse wheel to scroll. I can see it slowly going down each line,
> one split window at a time, redrawing the text. Aquamacs is unresponsive
> until it finishes redrawing all visible text.  
>
> O/S: Mac OSX 10.9.5
> Aquamacs 3.2 GNU Emacs 24.4.51.2
> x86_64-apple-darwin14.0.0, NS apple-appkit-1343.14

Hi! I can't replicate this in Emacs 25. Would it be possible for you to
test it with Emacs 25 and see if you still get this problem?

I'm not using Aquamacs, but I notice they have a preview of 25 available.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Feb 2016 21:09:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 10 16:09:34 2016
Received: from localhost ([127.0.0.1]:35384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aTc10-0002Dy-19
	for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 16:09:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60221)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <kentdozier@HIDDEN>) id 1aTaOw-0008Ba-SR
 for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 14:26:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTaOq-0008T2-Ui
 for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 14:26:05 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50, FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60684)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTaOq-0008Sy-RX
 for submit <at> debbugs.gnu.org; Wed, 10 Feb 2016 14:26:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51183)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTaOp-000213-UP
 for Bug-gnu-emacs@HIDDEN; Wed, 10 Feb 2016 14:26:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTaOm-0008Sd-KA
 for Bug-gnu-emacs@HIDDEN; Wed, 10 Feb 2016 14:26:03 -0500
Received: from mbob.nabble.com ([162.253.133.15]:49289)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kentdozier@HIDDEN>) id 1aTaOm-0008SQ-Eo
 for Bug-gnu-emacs@HIDDEN; Wed, 10 Feb 2016 14:26:00 -0500
Received: from msam.nabble.com (unknown [162.253.133.85])
 by mbob.nabble.com (Postfix) with ESMTP id CC4962075CF3
 for <Bug-gnu-emacs@HIDDEN>; Wed, 10 Feb 2016 11:19:59 -0800 (PST)
Date: Wed, 10 Feb 2016 12:25:54 -0700 (MST)
From: bulldozer <kentdozier@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1455132354979-387399.post@HIDDEN>
In-Reply-To: <32C51D84-3234-46EF-84A6-9BAC16B6AACB@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <32C51D84-3234-46EF-84A6-9BAC16B6AACB@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: iOS iPhone or iPad
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 10 Feb 2016 16:09:32 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Over a year later, I am also still experiencing the slow redraw, usually when
using the mouse wheel to scroll. I can see it slowly going down each line,
one split window at a time, redrawing the text. Aquamacs is unresponsive
until it finishes redrawing all visible text.  

O/S: Mac OSX 10.9.5
Aquamacs 3.2 GNU Emacs 24.4.51.2
x86_64-apple-darwin14.0.0, NS apple-appkit-1343.14



--
View this message in context: http://emacs.1067599.n5.nabble.com/bug-17124-24-3-50-Occasional-Extremely-Slow-Redraws-in-OSX-Emacs-tp318492p387399.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 27 Jan 2015 20:50:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 27 15:50:20 2015
Received: from localhost ([127.0.0.1]:58330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YGD5W-0001oX-Kt
	for submit <at> debbugs.gnu.org; Tue, 27 Jan 2015 15:50:19 -0500
Received: from mail-ig0-f177.google.com ([209.85.213.177]:54074)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sacks@HIDDEN>) id 1YGCRw-0000nv-OI
 for 17124 <at> debbugs.gnu.org; Tue, 27 Jan 2015 15:09:25 -0500
Received: by mail-ig0-f177.google.com with SMTP id z20so6917409igj.4
 for <17124 <at> debbugs.gnu.org>; Tue, 27 Jan 2015 12:09:18 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:content-type:content-transfer-encoding
 :mime-version:subject:message-id:date:to;
 bh=b0oo40uVvlXC0pB9M9SlWnhQ9iS58wOKWmVbgP3qIqA=;
 b=Lqq0w7yLiTl1YFobpHEoJ+cu2bFP451uCzM2ouL9venylPaws+pZ+eI0myYtiJM0my
 SQtGHyZ2ZEbmmylZR8fOZOhjIu+2XPtM+bIFdcCQzOw2Cdrd02gEfGZLQiOmJ92QdQzT
 WsKU+Oj08faybQzn++SVIIFwdroIg/HOV/fhgUZO/ohUNJ/iZFm53645P8eK16r18/xE
 UI8F+czJDBOXuGWHRt+LieU1kCmGfkgDVuKPQDk49vRX8BLQleBTuN208MMScc6HwdeL
 b5PFEsAMNiHwNP6tjkO8IIx3zH5qcdvjpCP6jtI7gnAUE5GYEa/S7uo8obJLJVSlsWMY
 a2og==
X-Gm-Message-State: ALoCoQnz8gVywFkavRgVLkB1KBqw572tGep9HGRz4GRvZ+KbkrcVXoFyN1JchPFGhbZH2hCa8qo+
X-Received: by 10.42.62.145 with SMTP id y17mr4391077ich.21.1422389358831;
 Tue, 27 Jan 2015 12:09:18 -0800 (PST)
Received: from roo2.cgd.ucar.edu (roo2.cgd.ucar.edu. [128.117.22.174])
 by mx.google.com with ESMTPSA id vk4sm1517753igc.11.2015.01.27.12.09.18
 for <17124 <at> debbugs.gnu.org>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Tue, 27 Jan 2015 12:09:18 -0800 (PST)
From: Bill Sacks <sacks@HIDDEN>
Content-Type: text/plain; charset=us-ascii
X-Mao-Original-Outgoing-Id: 444082158.479581-c0dabd402fb817392620065b00c4d067
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
Message-Id: <32C51D84-3234-46EF-84A6-9BAC16B6AACB@HIDDEN>
Date: Tue, 27 Jan 2015 13:09:18 -0700
To: 17124 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.1878.6)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17124
X-Mailman-Approved-At: Tue, 27 Jan 2015 15:50:16 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

For what it's worth: I experience problems similar to those noted in bug =
#17124. I am using Aquamacs on a Mac. In my case, though, the slow =
redraws occur when I am scrolling with the scroll wheel on my mouse.

Thank you,
Bill=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 30 Jun 2014 14:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 30 10:45:57 2014
Received: from localhost ([127.0.0.1]:38029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X1cq9-0001Ff-C2
	for submit <at> debbugs.gnu.org; Mon, 30 Jun 2014 10:45:57 -0400
Received: from mtaout29.012.net.il ([80.179.55.185]:39121)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1X1cq3-0001FL-J5
 for 17124 <at> debbugs.gnu.org; Mon, 30 Jun 2014 10:45:51 -0400
Received: from conversion-daemon.mtaout29.012.net.il by mtaout29.012.net.il
 (HyperSendmail v2007.08) id <0N7Z00500L04J300@HIDDEN> for
 17124 <at> debbugs.gnu.org; Mon, 30 Jun 2014 17:45:44 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout29.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7Z005HKL081V00@HIDDEN>; Mon, 30 Jun 2014 17:45:44 +0300 (IDT)
Date: Mon, 30 Jun 2014 17:45:35 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
In-reply-to: <044D6949-2D7F-4C78-AE24-55C8885DDFCC@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?windows-1252?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <838uoe5ucw.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=windows-1252
Content-transfer-encoding: 8BIT
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN> <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
 <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN> <83wqc279sh.fsf@HIDDEN>
 <E198908F-7296-469F-B39F-77F9ADCB3B47@HIDDEN> <83r42a6s7w.fsf@HIDDEN>
 <044D6949-2D7F-4C78-AE24-55C8885DDFCC@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17124
Cc: ericfroemling@HIDDEN, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Mon, 30 Jun 2014 14:55:22 +0200
> Cc: ericfroemling@HIDDEN,
>  17124 <at> debbugs.gnu.org
> 
> >>> Does it help to set redisplay-dont-pause to nil?
> >> 
> >> The "shake the divider" case becomes much worse, lots of flickering and incomplete text.
> > 
> > But do you see less drawing requests sent to the backend?
> 
> No.

Strange.  When this variable is nil, redisplay should abandon its job
when it sees that some input is pending.

> > I actually find it hard to believe that we overwhelm the backend,
> > except, maybe, when the X client is on a remote machine.  E.g., on
> > Windows the "shake the divider" recipe doesn't show any signs of a
> > problem, and the CPU load is never more than a single execution unit
> > being busy, which means not much is at work except Emacs itself.  With
> > today's multi-core fast machines, how come it's impossible to redraw a
> > region 37 times a second?
> 
> Well, the actual number is more than 37.  37 is the number of times redisplay is called.
> But within one redisplay, there is a couple of separate update_begin/end blocks.

I'd expect one such block for every window that is affected by the
divider move.  If you see more, there's something else at work here.

> The Emacs way is really only ment for small updates outside the event loop.

Most of the updates are indeed small.

> >> I had problems seeing what was drawn and when so I added debug code to see what the font driver actually draws.  But I see now that it is different for X11.  So it might be NS specific.  What can make the modeline redraw in one version of Emacs and not in another?  I thought all that was generic code.
> > 
> > It _is_ generic code.  Perhaps we are not talking about the same
> > things: when you say that the mode line is redrawn, what exactly do
> > you see?
> 
> I see the mode line redrawn by inspecting what strings are sent to the font backend.  Actually the whole buffer is redrawn, I was just looking at an empty buffer.  But these are the extra redrawn I mentioned above, they are gone in trunk now.

So the redraws of the mode line when mouse is moved no longer happen
on the trunk?  If so, this is a good improvement.

> With the extra redrawns gone, shake the divider performes rather well now if I force draws to the event loop.  There is the occational pause in redraw, but I guess that is expected.
> But I can't do this all in the backend, the downside is that there are double redraws.  One for the redisplay call and one from the event loop when the redisplay is done.  Also, the event loop redraw redraws the whole frame.
> 
> If I get some time I'll try to make a test.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 30 Jun 2014 12:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 30 08:55:42 2014
Received: from localhost ([127.0.0.1]:37511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X1b7S-0005fh-8K
	for submit <at> debbugs.gnu.org; Mon, 30 Jun 2014 08:55:42 -0400
Received: from mailfe02.swip.net ([212.247.154.33]:36519 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1X1b7K-0005fI-No
 for 17124 <at> debbugs.gnu.org; Mon, 30 Jun 2014 08:55:35 -0400
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe02.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 513796333; Mon, 30 Jun 2014 14:55:23 +0200
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.2\))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
From: =?windows-1252?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <83r42a6s7w.fsf@HIDDEN>
Date: Mon, 30 Jun 2014 14:55:22 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <044D6949-2D7F-4C78-AE24-55C8885DDFCC@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN> <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
 <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN> <83wqc279sh.fsf@HIDDEN>
 <E198908F-7296-469F-B39F-77F9ADCB3B47@HIDDEN> <83r42a6s7w.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1878.2)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 17124
Cc: ericfroemling@HIDDEN, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


27 jun 2014 kl. 21:57 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>> Date: Fri, 27 Jun 2014 19:13:00 +0200
>> Cc: ericfroemling@HIDDEN,
>> 17124 <at> debbugs.gnu.org
>>=20
>>>> With the "shake the divider" recepie (see below), =
redisplay_internal is called more than 30 times per second.  On an old =
computer (end of 2008) I get about 37 times per second.
>>>> But each redisplay results in multiple draw_begin/end, so for =
drawing, it is more than 37 times per second.
>>>=20
>>> Does it help to set redisplay-dont-pause to nil?
>>=20
>> The "shake the divider" case becomes much worse, lots of flickering =
and incomplete text.
>=20
> But do you see less drawing requests sent to the backend?

No.

>=20
>>> Incidentally, I don't think your suggestion will help in the "shake
>>> the divider" scenario: when window dimensions are changed, we toss =
the
>>> glyph matrices of the affected windows, and then allocate them anew
>>> (and perform a thorough redisplay of those windows).  So this will
>>> anyhow require to redisplay the entire window completely, and the
>>> backend will not be able to save us any redraws.
>>=20
>> Not by itself, but if the backend is responsible for when actual =
drawing happens we can make sure we don't draw faster than the screen =
can update.
>=20
> I actually find it hard to believe that we overwhelm the backend,
> except, maybe, when the X client is on a remote machine.  E.g., on
> Windows the "shake the divider" recipe doesn't show any signs of a
> problem, and the CPU load is never more than a single execution unit
> being busy, which means not much is at work except Emacs itself.  With
> today's multi-core fast machines, how come it's impossible to redraw a
> region 37 times a second?

Well, the actual number is more than 37.  37 is the number of times =
redisplay is called.
But within one redisplay, there is a couple of separate update_begin/end =
blocks.

There was a couple of extra redraws happening in the NS port, but after =
removing them, I can still see problems with shake the divider.

It all goes away if drawing is done the normal way, i.e. from the event =
handler.
Maybe OSX is optimized for that case, as it covers about every =
application except Emacs.
The Emacs way is really only ment for small updates outside the event =
loop.

>=20
>>>> I think there is room for optimizations in the generic display =
also, for example moving the mouse redraws the entire mode line, even if =
the mouse pointer is outside the frame.
>>>=20
>>> Please show the recipe to reproduce this.  I just tried a naive way =
of
>>> doing that, and didn't see any mode-line updates even when the mouse
>>> is inside the frame.  So I must be missing something.
>>>=20
>>=20
>> I had problems seeing what was drawn and when so I added debug code =
to see what the font driver actually draws.  But I see now that it is =
different for X11.  So it might be NS specific.  What can make the =
modeline redraw in one version of Emacs and not in another?  I thought =
all that was generic code.
>=20
> It _is_ generic code.  Perhaps we are not talking about the same
> things: when you say that the mode line is redrawn, what exactly do
> you see?

I see the mode line redrawn by inspecting what strings are sent to the =
font backend.  Actually the whole buffer is redrawn, I was just looking =
at an empty buffer.  But these are the extra redrawn I mentioned above, =
they are gone in trunk now.

>=20
>> Well, shake the divider is not really something normal a user does.  =
It is just a way to force the issue.  But slow redraws happens in normal =
usage also, i.e. switching buffers and editing.  It solves the second =
case, but makes shake the divider worse in terms of smooth redraws.
>=20
> We need to compare the performance with this proposed feature with the
> current implementation.  I think it's hard to talk about this without
> some measurements, and probably also some reasonably important use
> cases (which "shake the divider" isn't, IMO).

With the extra redrawns gone, shake the divider performes rather well =
now if I force draws to the event loop.  There is the occational pause =
in redraw, but I guess that is expected.
But I can't do this all in the backend, the downside is that there are =
double redraws.  One for the redisplay call and one from the event loop =
when the redisplay is done.  Also, the event loop redraw redraws the =
whole frame.

If I get some time I'll try to make a test.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 27 Jun 2014 19:59:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 15:59:08 2014
Received: from localhost ([127.0.0.1]:35342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0cId-0001YH-7L
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 15:59:07 -0400
Received: from mtaout29.012.net.il ([80.179.55.185]:33478)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1X0cIb-0001Xj-5p
 for 17124 <at> debbugs.gnu.org; Fri, 27 Jun 2014 15:59:06 -0400
Received: from conversion-daemon.mtaout29.012.net.il by mtaout29.012.net.il
 (HyperSendmail v2007.08) id <0N7U00F00EX3KU00@HIDDEN> for
 17124 <at> debbugs.gnu.org; Fri, 27 Jun 2014 22:59:03 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout29.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7U00GZGFIFML00@HIDDEN>; Fri, 27 Jun 2014 22:59:03 +0300 (IDT)
Date: Fri, 27 Jun 2014 22:58:46 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
In-reply-to: <C6477660-D85C-4414-84B9-1FA772409A7B@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Eric Froemling <ericfroemling@HIDDEN>
Message-id: <83pphu6s5l.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=windows-1252
Content-transfer-encoding: 8BIT
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN> <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
 <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN> <83wqc279sh.fsf@HIDDEN>
 <E198908F-7296-469F-B39F-77F9ADCB3B47@HIDDEN>
 <C6477660-D85C-4414-84B9-1FA772409A7B@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17124
Cc: jan.h.d@HIDDEN, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Eric Froemling <ericfroemling@HIDDEN>
> Date: Fri, 27 Jun 2014 10:30:04 -0700
> Cc: Eli Zaretskii <eliz@HIDDEN>,
>  17124 <at> debbugs.gnu.org
> 
> I generally run into the slowdown maybe once every half-hour during real-world usage; a common trigger seems to be mouse clicks, drags, or scrolls, though I haven’t been able to pin down any predictable repro. cases aside from the shake-the-divider one.
> 
> As a janky workaround, I’ve found that switching to a different desktop and back during a slow redraw allows all the buffered draws to go through instantly; not sure if that implies anything useful.

I know almost nothing about this stuff, but it surely smells like some
issue with the backend, not with Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 27 Jun 2014 19:57:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 15:57:47 2014
Received: from localhost ([127.0.0.1]:35336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0cHK-0001Vg-3P
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 15:57:46 -0400
Received: from mtaout24.012.net.il ([80.179.55.180]:47777)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1X0cHG-0001VK-Ht
 for 17124 <at> debbugs.gnu.org; Fri, 27 Jun 2014 15:57:44 -0400
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0N7U00J00F4OAI00@HIDDEN> for
 17124 <at> debbugs.gnu.org; Fri, 27 Jun 2014 22:53:40 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7U00IF2F9GBU10@HIDDEN>; Fri, 27 Jun 2014 22:53:40 +0300 (IDT)
Date: Fri, 27 Jun 2014 22:57:23 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
In-reply-to: <E198908F-7296-469F-B39F-77F9ADCB3B47@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?windows-1252?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83r42a6s7w.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=windows-1252
Content-transfer-encoding: 8BIT
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN> <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
 <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN> <83wqc279sh.fsf@HIDDEN>
 <E198908F-7296-469F-B39F-77F9ADCB3B47@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17124
Cc: ericfroemling@HIDDEN, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Fri, 27 Jun 2014 19:13:00 +0200
> Cc: ericfroemling@HIDDEN,
>  17124 <at> debbugs.gnu.org
> 
> >> With the "shake the divider" recepie (see below), redisplay_internal is called more than 30 times per second.  On an old computer (end of 2008) I get about 37 times per second.
> >> But each redisplay results in multiple draw_begin/end, so for drawing, it is more than 37 times per second.
> > 
> > Does it help to set redisplay-dont-pause to nil?
> 
> The "shake the divider" case becomes much worse, lots of flickering and incomplete text.

But do you see less drawing requests sent to the backend?

> > Incidentally, I don't think your suggestion will help in the "shake
> > the divider" scenario: when window dimensions are changed, we toss the
> > glyph matrices of the affected windows, and then allocate them anew
> > (and perform a thorough redisplay of those windows).  So this will
> > anyhow require to redisplay the entire window completely, and the
> > backend will not be able to save us any redraws.
> 
> Not by itself, but if the backend is responsible for when actual drawing happens we can make sure we don't draw faster than the screen can update.

I actually find it hard to believe that we overwhelm the backend,
except, maybe, when the X client is on a remote machine.  E.g., on
Windows the "shake the divider" recipe doesn't show any signs of a
problem, and the CPU load is never more than a single execution unit
being busy, which means not much is at work except Emacs itself.  With
today's multi-core fast machines, how come it's impossible to redraw a
region 37 times a second?

> >> I think there is room for optimizations in the generic display also, for example moving the mouse redraws the entire mode line, even if the mouse pointer is outside the frame.
> > 
> > Please show the recipe to reproduce this.  I just tried a naive way of
> > doing that, and didn't see any mode-line updates even when the mouse
> > is inside the frame.  So I must be missing something.
> > 
> 
> I had problems seeing what was drawn and when so I added debug code to see what the font driver actually draws.  But I see now that it is different for X11.  So it might be NS specific.  What can make the modeline redraw in one version of Emacs and not in another?  I thought all that was generic code.

It _is_ generic code.  Perhaps we are not talking about the same
things: when you say that the mode line is redrawn, what exactly do
you see?

> Well, shake the divider is not really something normal a user does.  It is just a way to force the issue.  But slow redraws happens in normal usage also, i.e. switching buffers and editing.  It solves the second case, but makes shake the divider worse in terms of smooth redraws.

We need to compare the performance with this proposed feature with the
current implementation.  I think it's hard to talk about this without
some measurements, and probably also some reasonably important use
cases (which "shake the divider" isn't, IMO).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 27 Jun 2014 17:30:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 13:30:23 2014
Received: from localhost ([127.0.0.1]:35215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0Zyd-0005PS-01
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 13:30:23 -0400
Received: from mail-pb0-f52.google.com ([209.85.160.52]:37137)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ericfroemling@HIDDEN>) id 1X0ZyW-0005ON-OW
 for 17124 <at> debbugs.gnu.org; Fri, 27 Jun 2014 13:30:16 -0400
Received: by mail-pb0-f52.google.com with SMTP id rq2so4826053pbb.11
 for <17124 <at> debbugs.gnu.org>; Fri, 27 Jun 2014 10:30:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=content-type:mime-version:subject:from:in-reply-to:date:cc
 :message-id:references:to;
 bh=1bp99zac1FamzIrzjICM77FQ4O3kIingJD7eeYg+D/4=;
 b=WgIHKBCEGTAWGy1vRQBX39YJ0lfMXgxCuSJPn+GUjrbaAtTrrcAJr6xIOBLd+ay/Zy
 4iItL/GvTX07wWZWlSHVEFG2G/HjKHgCPqbcCi1D6f6UVOhWaBIZBUb3JNWaOL9RgBCV
 Qy5T8ozMxMEEetnF7quAiMnnFsKxor9FdXyfmahz+xV4oVv9QbhZU32/X+V3h6QUB47V
 d8DgQxrTkVaQZCBgBycx4lSfbyQQD962AgCEMgQ+GdKZ4ZgMkRari2E8Y1NCSClhRQ8H
 yuRxp/ZSHtJIhnEI23c3bfpI0uZ/qu5A+CcSgP4/okhWMTvigwPlWQFAkKPuz6MwYdWc
 kyqA==
X-Received: by 10.66.191.9 with SMTP id gu9mr32526660pac.27.1403890206266;
 Fri, 27 Jun 2014 10:30:06 -0700 (PDT)
Received: from [10.0.1.3] ([208.66.30.139])
 by mx.google.com with ESMTPSA id kn1sm15710755pbd.13.2014.06.27.10.30.05
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Fri, 27 Jun 2014 10:30:05 -0700 (PDT)
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_19D44692-A599-4ABB-B479-AA014A6EA925"
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.2\))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
From: Eric Froemling <ericfroemling@HIDDEN>
In-Reply-To: <E198908F-7296-469F-B39F-77F9ADCB3B47@HIDDEN>
Date: Fri, 27 Jun 2014 10:30:04 -0700
Message-Id: <C6477660-D85C-4414-84B9-1FA772409A7B@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN> <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
 <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN> <83wqc279sh.fsf@HIDDEN>
 <E198908F-7296-469F-B39F-77F9ADCB3B47@HIDDEN>
To: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
X-Mailer: Apple Mail (2.1878.2)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17124
Cc: Eli Zaretskii <eliz@HIDDEN>, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--Apple-Mail=_19D44692-A599-4ABB-B479-AA014A6EA925
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=windows-1252

I generally run into the slowdown maybe once every half-hour during =
real-world usage; a common trigger seems to be mouse clicks, drags, or =
scrolls, though I haven=92t been able to pin down any predictable repro. =
cases aside from the shake-the-divider one.

As a janky workaround, I=92ve found that switching to a different =
desktop and back during a slow redraw allows all the buffered draws to =
go through instantly; not sure if that implies anything useful.

-Eric

On Jun 27, 2014, at 10:13 AM, Jan Dj=E4rv <jan.h.d@HIDDEN> wrote:

> The "shake the divider" case becomes much worse, lots of flickering =
and incomplete text.
> Wheter it prevents the slow redraws in real usage is hard to tell.  It =
is not easily reproduced in normal Emacs usage.


--Apple-Mail=_19D44692-A599-4ABB-B479-AA014A6EA925
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=windows-1252

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html =
charset=3Dwindows-1252"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; -webkit-line-break: after-white-space;">I =
generally run into the slowdown maybe once every half-hour during =
real-world usage; a common trigger seems to be mouse clicks, drags, or =
scrolls, though I haven=92t been able to pin down any predictable repro. =
cases aside from the shake-the-divider one.<div><br></div><div>As a =
janky workaround, I=92ve found that switching to a different desktop and =
back during a slow redraw allows all the buffered draws to go through =
instantly; not sure if that implies anything =
useful.</div><div><br></div><div>-Eric</div><div><br><div><div>On Jun =
27, 2014, at 10:13 AM, Jan Dj=E4rv &lt;<a =
href=3D"mailto:jan.h.d@HIDDEN">jan.h.d@HIDDEN</a>&gt; =
wrote:</div><br class=3D"Apple-interchange-newline"><blockquote =
type=3D"cite"><span style=3D"font-family: Helvetica; font-size: 12px; =
font-style: normal; font-variant: normal; font-weight: normal; =
letter-spacing: normal; line-height: normal; orphans: auto; text-align: =
start; text-indent: 0px; text-transform: none; white-space: normal; =
widows: auto; word-spacing: 0px; -webkit-text-stroke-width: 0px; float: =
none; display: inline !important;">The "shake the divider" case becomes =
much worse, lots of flickering and incomplete text.</span><br =
style=3D"font-family: Helvetica; font-size: 12px; font-style: normal; =
font-variant: normal; font-weight: normal; letter-spacing: normal; =
line-height: normal; orphans: auto; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; widows: auto; word-spacing: =
0px; -webkit-text-stroke-width: 0px;"><span style=3D"font-family: =
Helvetica; font-size: 12px; font-style: normal; font-variant: normal; =
font-weight: normal; letter-spacing: normal; line-height: normal; =
orphans: auto; text-align: start; text-indent: 0px; text-transform: =
none; white-space: normal; widows: auto; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; float: none; display: inline =
!important;">Wheter it prevents the slow redraws in real usage is hard =
to tell. &nbsp;It is not easily reproduced in normal Emacs =
usage.</span><br style=3D"font-family: Helvetica; font-size: 12px; =
font-style: normal; font-variant: normal; font-weight: normal; =
letter-spacing: normal; line-height: normal; orphans: auto; text-align: =
start; text-indent: 0px; text-transform: none; white-space: normal; =
widows: auto; word-spacing: 0px; -webkit-text-stroke-width: =
0px;"></blockquote></div><br></div></body></html>=

--Apple-Mail=_19D44692-A599-4ABB-B479-AA014A6EA925--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 27 Jun 2014 17:13:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 13:13:12 2014
Received: from localhost ([127.0.0.1]:35205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0Zi3-0004rX-QN
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 13:13:12 -0400
Received: from mailfe05.swip.net ([212.247.154.129]:34439 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1X0Zi0-0004rA-JM
 for 17124 <at> debbugs.gnu.org; Fri, 27 Jun 2014 13:13:10 -0400
X-T2-Spam-Status: No, hits=-1.9 required=5.0 tests=BAYES_00
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe05.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 508167476; Fri, 27 Jun 2014 19:13:01 +0200
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.2\))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
From: =?windows-1252?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <83wqc279sh.fsf@HIDDEN>
Date: Fri, 27 Jun 2014 19:13:00 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <E198908F-7296-469F-B39F-77F9ADCB3B47@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN> <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
 <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN> <83wqc279sh.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1878.2)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 17124
Cc: ericfroemling@HIDDEN, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

27 jun 2014 kl. 15:37 skrev Eli Zaretskii <eliz@HIDDEN>:

>> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
>> Date: Fri, 27 Jun 2014 12:44:58 +0200
>> Cc: Eli Zaretskii <eliz@HIDDEN>,
>> 17124 <at> debbugs.gnu.org
>>=20
>> With the "shake the divider" recepie (see below), redisplay_internal =
is called more than 30 times per second.  On an old computer (end of =
2008) I get about 37 times per second.
>> But each redisplay results in multiple draw_begin/end, so for =
drawing, it is more than 37 times per second.
>=20
> Does it help to set redisplay-dont-pause to nil?

The "shake the divider" case becomes much worse, lots of flickering and =
incomplete text.
Wheter it prevents the slow redraws in real usage is hard to tell.  It =
is not easily reproduced in normal Emacs usage.

>=20
>> What we would need is for redisplay to be more in line with what =
toolkits does w.r.t. drawing.
>> First calculate all glyphs, but don't do any drawing.
>> Then invalidate those regions that needs redraw (a new RIF function), =
and let the backends deside when it is appropriate to draw by calling a =
redisplay function that does the actual drawing, based on the latest =
glyphs.
>=20
> We already have the first stage of that in place: that's
> redisplay_windows, which is called for each frame that needs to be
> redisplayed.  What you are suggesting is to make update_frame, which
> currently redraws the frame's windows based on what redisplay_windows
> calculated, to instead just mark the areas which need redrawing as
> dirty.

Basically yes.

>=20
> That sounds easy enough, but the problem is that we might need more
> display updates until the backend decides that it is a good time to
> actually redraw.  E.g., the user might type some commands in the
> meantime.  AFAIU, what you are saying is let all these changes affect
> only the glyph matrices that redisplay_windows calculates, so that
> when the backend wants to redraw, the Emacs function that actually
> redraws will see the up-to-date glyph matrices and use them.

Yes.

>=20
> This could work if the backend can accumulate durty regions
> incrementally.  IOW, if it gets 2 requests for areas that partially
> overlap, will it mark the union of those areas as dirty?  If not, we
> will need serious changes to how redisplay_windows and its subroutines
> work, because they currently assume the previous full redisplay cycle
> updated everything on the glass, and don't keep record of the glyph
> matrices beyond the last redisplay.

The toolkits I know of can handle invalidating different regions.

> Incidentally, I don't think your suggestion will help in the "shake
> the divider" scenario: when window dimensions are changed, we toss the
> glyph matrices of the affected windows, and then allocate them anew
> (and perform a thorough redisplay of those windows).  So this will
> anyhow require to redisplay the entire window completely, and the
> backend will not be able to save us any redraws.

Not by itself, but if the backend is responsible for when actual drawing =
happens we can make sure we don't draw faster than the screen can =
update.  If the user is shaking the divider faster than we can draw, we =
should toss intermediate steps.  That is, if redisplay has to =
recalculate all matrices before they have been drawn on the screen, so =
be it.

In this case I suspect it does help.  When redisplay says "this region =
needs to redraw", the backend (NS) tells Cocoa, "this region needs to =
redraw".  Cocoa then calls our code to say "please redraw this region".  =
I assume Cocoa does not call our draw function faster than it can =
handle, i.e. it is called when the previous drawing is on screen.

I don't know if Cocoa actually does this, it is pure speculation.

>=20
>> I think there is room for optimizations in the generic display also, =
for example moving the mouse redraws the entire mode line, even if the =
mouse pointer is outside the frame.
>=20
> Please show the recipe to reproduce this.  I just tried a naive way of
> doing that, and didn't see any mode-line updates even when the mouse
> is inside the frame.  So I must be missing something.
>=20

I had problems seeing what was drawn and when so I added debug code to =
see what the font driver actually draws.  But I see now that it is =
different for X11.  So it might be NS specific.  What can make the =
modeline redraw in one version of Emacs and not in another?  I thought =
all that was generic code.

>> I can sort of fix this by replacing some flushWindow with =
setNeedsDisplay:YES.
>> This has the drawback that updating the frame while shaking the =
divider becomes slower, and sometimes stops updating the frame at all =
until I stop moving the mouse.
>=20
> Isn't this a problem that might make the entire idea unworkable?

Well, shake the divider is not really something normal a user does.  It =
is just a way to force the issue.  But slow redraws happens in normal =
usage also, i.e. switching buffers and editing.  It solves the second =
case, but makes shake the divider worse in terms of smooth redraws.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 27 Jun 2014 13:38:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 09:38:16 2014
Received: from localhost ([127.0.0.1]:34400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0WM2-0006Gd-Vj
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 09:38:15 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:46894)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1X0WLz-0006GK-6v
 for 17124 <at> debbugs.gnu.org; Fri, 27 Jun 2014 09:38:12 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N7T00100XI63H00@HIDDEN> for 17124 <at> debbugs.gnu.org;
 Fri, 27 Jun 2014 16:38:03 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7T000ILXVFY650@HIDDEN>;
 Fri, 27 Jun 2014 16:38:03 +0300 (IDT)
Date: Fri, 27 Jun 2014 16:37:50 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
In-reply-to: <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Jan =?windows-1252?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83wqc279sh.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=windows-1252
Content-transfer-encoding: 8BIT
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN> <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
 <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17124
Cc: ericfroemling@HIDDEN, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Jan Djärv <jan.h.d@HIDDEN>
> Date: Fri, 27 Jun 2014 12:44:58 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>,
>  17124 <at> debbugs.gnu.org
> 
> With the "shake the divider" recepie (see below), redisplay_internal is called more than 30 times per second.  On an old computer (end of 2008) I get about 37 times per second.
> But each redisplay results in multiple draw_begin/end, so for drawing, it is more than 37 times per second.

Does it help to set redisplay-dont-pause to nil?

> What we would need is for redisplay to be more in line with what toolkits does w.r.t. drawing.
> First calculate all glyphs, but don't do any drawing.
> Then invalidate those regions that needs redraw (a new RIF function), and let the backends deside when it is appropriate to draw by calling a redisplay function that does the actual drawing, based on the latest glyphs.

We already have the first stage of that in place: that's
redisplay_windows, which is called for each frame that needs to be
redisplayed.  What you are suggesting is to make update_frame, which
currently redraws the frame's windows based on what redisplay_windows
calculated, to instead just mark the areas which need redrawing as
dirty.

That sounds easy enough, but the problem is that we might need more
display updates until the backend decides that it is a good time to
actually redraw.  E.g., the user might type some commands in the
meantime.  AFAIU, what you are saying is let all these changes affect
only the glyph matrices that redisplay_windows calculates, so that
when the backend wants to redraw, the Emacs function that actually
redraws will see the up-to-date glyph matrices and use them.

This could work if the backend can accumulate durty regions
incrementally.  IOW, if it gets 2 requests for areas that partially
overlap, will it mark the union of those areas as dirty?  If not, we
will need serious changes to how redisplay_windows and its subroutines
work, because they currently assume the previous full redisplay cycle
updated everything on the glass, and don't keep record of the glyph
matrices beyond the last redisplay.

Incidentally, I don't think your suggestion will help in the "shake
the divider" scenario: when window dimensions are changed, we toss the
glyph matrices of the affected windows, and then allocate them anew
(and perform a thorough redisplay of those windows).  So this will
anyhow require to redisplay the entire window completely, and the
backend will not be able to save us any redraws.

> I think there is room for optimizations in the generic display also, for example moving the mouse redraws the entire mode line, even if the mouse pointer is outside the frame.

Please show the recipe to reproduce this.  I just tried a naive way of
doing that, and didn't see any mode-line updates even when the mouse
is inside the frame.  So I must be missing something.

> I can sort of fix this by replacing some flushWindow with setNeedsDisplay:YES.
> This has the drawback that updating the frame while shaking the divider becomes slower, and sometimes stops updating the frame at all until I stop moving the mouse.

Isn't this a problem that might make the entire idea unworkable?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 27 Jun 2014 10:45:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 06:45:13 2014
Received: from localhost ([127.0.0.1]:34360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0Tea-000834-Hd
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 06:45:13 -0400
Received: from mailfe04.swip.net ([212.247.154.97]:51862 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1X0TeV-000829-SN
 for 17124 <at> debbugs.gnu.org; Fri, 27 Jun 2014 06:45:09 -0400
X-T2-Spam-Status: No, hits=-0.0 required=5.0 tests=BAYES_40
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe04.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 510930833; Fri, 27 Jun 2014 12:44:59 +0200
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.2\))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
From: =?windows-1252?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
Date: Fri, 27 Jun 2014 12:44:58 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <CE77889C-C863-43AF-99C1-6F325C62E7F8@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN> <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
To: Eric Froemling <ericfroemling@HIDDEN>
X-Mailer: Apple Mail (2.1878.2)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 17124
Cc: Eli Zaretskii <eliz@HIDDEN>, 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

1 apr 2014 kl. 18:57 skrev Eric Froemling <ericfroemling@HIDDEN>:

>=20
> On Apr 1, 2014, at 8:03 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
>=20
>>> From: Eric Froemling <ericfroemling@HIDDEN>
>>> Date: Mon, 31 Mar 2014 22:23:33 -0700
>>> Cc: 17124 <at> debbugs.gnu.org
>>>=20
>>> Ok here=92s some further info/possible repro case if it is of use:
>>> I built my own emacs by doing a bzr branch =
bzr://bzr.sv.gnu.org/emacs/trunk,
>>> then autogen.sh and ./configure =97with-ns
>>> I removed my .emacs file so as to get default settings, then =
launched emacs,
>>> opened a large text file, and subdivided the frame into several =
windows.
>>> With this setup it is quite easy for me to get the slowdown to =
happen by just
>>> dragging a divider around for a bit.
>>> Here=92s a clip of a slowdown with the activity monitor visible:
>>> https://www.youtube.com/watch?v=3DolkyqVOWSLs
>>> You can see that emacs is only using a few percent cpu throughout =
the slow redraw,
>>> whatever that may imply.
>>=20
>> If Emacs does not use too much CPU cycles, it's probably not an Emacs
>> problem.
>=20

It actually is.  Emacs draws too much, and the backing store gets =
swamped with requests.
See =
https://developer.apple.com/library/mac/documentation/Performance/Conceptu=
al/Drawing/Articles/FlushingContent.html
and
https://developer.apple.com/library/mac/technotes/tn2133/_index.html

With the "shake the divider" recepie (see below), redisplay_internal is =
called more than 30 times per second.  On an old computer (end of 2008) =
I get about 37 times per second.
But each redisplay results in multiple draw_begin/end, so for drawing, =
it is more than 37 times per second.

What we would need is for redisplay to be more in line with what =
toolkits does w.r.t. drawing.
First calculate all glyphs, but don't do any drawing.
Then invalidate those regions that needs redraw (a new RIF function), =
and let the backends deside when it is appropriate to draw by calling a =
redisplay function that does the actual drawing, based on the latest =
glyphs.  This was suggested here:

http://lists.gnu.org/archive/html/emacs-devel/2010-07/msg00821.html

with some further discussion about here:

http://lists.gnu.org/archive/html/emacs-devel/2013-04/msg00433.html

I think there is room for optimizations in the generic display also, for =
example moving the mouse redraws the entire mode line, even if the mouse =
pointer is outside the frame.

>>=20
>>> I=92ve also attached a sample I took of emacs during such a =
slowdown.
>>> It looks like a lot of calls are blocking in =
_CGSSynchronizeWindowBackingStore
>>> under the hood.
>>=20
>> I don't know how to read that.  Are the numbers there CPU times, or
>> are they numbers of calls to each function?  If the latter, then they
>> are not very useful in this case.
>=20
> You can see the total samples per thread broken up down into the call =
chain.
> ..so in the main thread the time seems to be somewhat evenly divided =
between
> draw_glyphs, draw_window_fringes, etc, all of which seem to be =
blocking
> in _CGSSynchronizeWindowBackingStore.
>=20
> Can anyone try to repro this?  (basically open a large buffer, =
subdivide a
> frame into quite a few windows, and then vigorously shake a horizontal
> divider for a bit.  In my case I usually get a slow refresh after 5-15 =
seconds).
> It can happen in other cases too such as window resizes but this seems
> to be the easiest way to trigger it.
> I=92m using a pretty vanilla OSX Mavericks install on a retina MBP; =
curious
> if others are seeing this..
>=20

It is easy to trigger by shaking the divider.
I can sort of fix this by replacing some flushWindow with =
setNeedsDisplay:YES.
This has the drawback that updating the frame while shaking the divider =
becomes slower, and sometimes stops updating the frame at all until I =
stop moving the mouse.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 1 Apr 2014 16:57:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 12:57:10 2014
Received: from localhost ([127.0.0.1]:59612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WV1zq-00058H-4o
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 12:57:10 -0400
Received: from mail-pd0-f170.google.com ([209.85.192.170]:58147)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ericfroemling@HIDDEN>) id 1WV1zn-000586-83
 for 17124 <at> debbugs.gnu.org; Tue, 01 Apr 2014 12:57:08 -0400
Received: by mail-pd0-f170.google.com with SMTP id v10so9890056pde.1
 for <17124 <at> debbugs.gnu.org>; Tue, 01 Apr 2014 09:57:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=content-type:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=BhH7cLdJMfNuG4/uANJCOBa8nQ1kJzhS2jAuA6Wf5f0=;
 b=OeefmPOUgF00MFaLW9f+uIbm9ju7N9zYpo8cdAMv7sKl3dCLpP6yZc4nwPX81EhhgC
 4pUGd6/XfE688XxUnxtQ7hIMvq8yLelWWAbnB0hyZS/BjjMdEKDB5/rMiF8KRoyIfTiz
 DBNniXB6KrxGeqTS96epgEHOo2w46NrYV45CTkM806tC309HjxElEOzUR6TQf08nvJ3L
 xXB7pwwF4Q4FUqpat69cdjOxxvXPCPAdZvO2oU6JMma2OoKW9+GXxBaTxzoxULOmfFRk
 gducsWLUu3H7kuhCoaTfiCpN0qk9MNHNo7RtbMhM+P1wf6wxvdC/2GVGHyv4vYQTJCJb
 zKVg==
X-Received: by 10.66.142.132 with SMTP id rw4mr32626048pab.6.1396371425972;
 Tue, 01 Apr 2014 09:57:05 -0700 (PDT)
Received: from [10.0.1.16] (c-69-181-20-108.hsd1.ca.comcast.net.
 [69.181.20.108])
 by mx.google.com with ESMTPSA id ac5sm51093832pbc.37.2014.04.01.09.57.04
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Tue, 01 Apr 2014 09:57:05 -0700 (PDT)
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.2 \(1874\))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
From: Eric Froemling <ericfroemling@HIDDEN>
In-Reply-To: <83d2h1ccsp.fsf@HIDDEN>
Date: Tue, 1 Apr 2014 09:57:03 -0700
Content-Transfer-Encoding: quoted-printable
Message-Id: <FE23FE90-9010-4DD4-A039-22544B46F278@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
 <83d2h1ccsp.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1874)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17124
Cc: 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


On Apr 1, 2014, at 8:03 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Eric Froemling <ericfroemling@HIDDEN>
>> Date: Mon, 31 Mar 2014 22:23:33 -0700
>> Cc: 17124 <at> debbugs.gnu.org
>>=20
>> Ok here=92s some further info/possible repro case if it is of use:
>> I built my own emacs by doing a bzr branch =
bzr://bzr.sv.gnu.org/emacs/trunk,
>> then autogen.sh and ./configure =97with-ns
>> I removed my .emacs file so as to get default settings, then launched =
emacs,
>> opened a large text file, and subdivided the frame into several =
windows.
>> With this setup it is quite easy for me to get the slowdown to happen =
by just
>> dragging a divider around for a bit.
>> Here=92s a clip of a slowdown with the activity monitor visible:
>> https://www.youtube.com/watch?v=3DolkyqVOWSLs
>> You can see that emacs is only using a few percent cpu throughout the =
slow redraw,
>> whatever that may imply.
>=20
> If Emacs does not use too much CPU cycles, it's probably not an Emacs
> problem.

>=20
>> I=92ve also attached a sample I took of emacs during such a slowdown.
>> It looks like a lot of calls are blocking in =
_CGSSynchronizeWindowBackingStore
>> under the hood.
>=20
> I don't know how to read that.  Are the numbers there CPU times, or
> are they numbers of calls to each function?  If the latter, then they
> are not very useful in this case.

You can see the total samples per thread broken up down into the call =
chain.
..so in the main thread the time seems to be somewhat evenly divided =
between
draw_glyphs, draw_window_fringes, etc, all of which seem to be blocking
in _CGSSynchronizeWindowBackingStore.

Can anyone try to repro this?  (basically open a large buffer, subdivide =
a
frame into quite a few windows, and then vigorously shake a horizontal
divider for a bit.  In my case I usually get a slow refresh after 5-15 =
seconds).
It can happen in other cases too such as window resizes but this seems
to be the easiest way to trigger it.
I=92m using a pretty vanilla OSX Mavericks install on a retina MBP; =
curious
if others are seeing this..

>=20
> Thanks.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 1 Apr 2014 15:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 11:03:17 2014
Received: from localhost ([127.0.0.1]:59482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WV0Dc-00086N-5d
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 11:03:17 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:50085)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WV0DY-00086A-U1
 for 17124 <at> debbugs.gnu.org; Tue, 01 Apr 2014 11:03:14 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0N3C00600XGCDD00@HIDDEN> for 17124 <at> debbugs.gnu.org;
 Tue, 01 Apr 2014 18:03:10 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N3C006CQXTA9750@HIDDEN>;
 Tue, 01 Apr 2014 18:03:10 +0300 (IDT)
Date: Tue, 01 Apr 2014 18:03:18 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
In-reply-to: <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Eric Froemling <ericfroemling@HIDDEN>
Message-id: <83d2h1ccsp.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=windows-1252
Content-transfer-encoding: 8BIT
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN> <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17124
Cc: 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Eric Froemling <ericfroemling@HIDDEN>
> Date: Mon, 31 Mar 2014 22:23:33 -0700
> Cc: 17124 <at> debbugs.gnu.org
> 
> Ok here’s some further info/possible repro case if it is of use:
> I built my own emacs by doing a bzr branch bzr://bzr.sv.gnu.org/emacs/trunk,
> then autogen.sh and ./configure —with-ns
> I removed my .emacs file so as to get default settings, then launched emacs,
> opened a large text file, and subdivided the frame into several windows.
> With this setup it is quite easy for me to get the slowdown to happen by just
> dragging a divider around for a bit.
> Here’s a clip of a slowdown with the activity monitor visible:
> https://www.youtube.com/watch?v=olkyqVOWSLs
> You can see that emacs is only using a few percent cpu throughout the slow redraw,
> whatever that may imply.

If Emacs does not use too much CPU cycles, it's probably not an Emacs
problem.

> I’ve also attached a sample I took of emacs during such a slowdown.
> It looks like a lot of calls are blocking in _CGSSynchronizeWindowBackingStore
> under the hood.

I don't know how to read that.  Are the numbers there CPU times, or
are they numbers of calls to each function?  If the latter, then they
are not very useful in this case.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 1 Apr 2014 05:23:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 01:23:40 2014
Received: from localhost ([127.0.0.1]:58555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WUrAi-0005FM-3q
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 01:23:40 -0400
Received: from mail-pa0-f54.google.com ([209.85.220.54]:39790)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ericfroemling@HIDDEN>) id 1WUrAe-0005FB-0c
 for 17124 <at> debbugs.gnu.org; Tue, 01 Apr 2014 01:23:36 -0400
Received: by mail-pa0-f54.google.com with SMTP id lf10so9243064pab.41
 for <17124 <at> debbugs.gnu.org>; Mon, 31 Mar 2014 22:23:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=content-type:mime-version:subject:from:in-reply-to:date:cc
 :message-id:references:to;
 bh=QJJEuHt8L7YRBJadzqMcDCAqaoWgQbBfiT62O+MQhas=;
 b=CnualiV6P+3JYmwJl3l2ZE07j87n8Xo4DbNHgOC8ciPT0s/qqAU3Xgl6CC7u2LiTQQ
 zGzz1vxUkL43cVZO0+fp3ZR/Oeq9FdMc9TISyve9raDGBJTKnMvaYby0kLWwjkgWi2ks
 ct2aHmLcoSmOfsF3dUTjl06NW7KANb8bvl4bkL/ci4Rl4kTuZ6LXskvwuN0rNMn/TMCY
 2oyckdfZnmtc6jeO2FEUdFNr5xhLfVjdtIhxdutY2k1KS8W5OepUNk0E2FBOudK1sNGG
 A7Sl9d/K2h+FePjRfTetVp5cGtPYoaeA6fTbtyYsKnaSMuXa65my63Zx2WzXj8N1wDg7
 /U9A==
X-Received: by 10.66.175.4 with SMTP id bw4mr29416508pac.56.1396329815123;
 Mon, 31 Mar 2014 22:23:35 -0700 (PDT)
Received: from [10.0.1.16] (c-69-181-20-108.hsd1.ca.comcast.net.
 [69.181.20.108])
 by mx.google.com with ESMTPSA id gj9sm47217440pbc.7.2014.03.31.22.23.33
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Mon, 31 Mar 2014 22:23:34 -0700 (PDT)
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_90D83757-1AE1-4F3A-8100-C7B2505919F0"
Mime-Version: 1.0 (Mac OS X Mail 7.2 \(1874\))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
From: Eric Froemling <ericfroemling@HIDDEN>
In-Reply-To: <837g7efcc4.fsf@HIDDEN>
Date: Mon, 31 Mar 2014 22:23:33 -0700
Message-Id: <C9B50E0E-A523-47DF-8DB2-BBDD6079991D@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
 <837g7efcc4.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1874)
X-Debbugs-Envelope-To: 17124
Cc: 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>


--Apple-Mail=_90D83757-1AE1-4F3A-8100-C7B2505919F0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=windows-1252

Ok here=92s some further info/possible repro case if it is of use:
I built my own emacs by doing a bzr branch =
bzr://bzr.sv.gnu.org/emacs/trunk,
then autogen.sh and ./configure =97with-ns
I removed my .emacs file so as to get default settings, then launched =
emacs,
opened a large text file, and subdivided the frame into several windows.
With this setup it is quite easy for me to get the slowdown to happen by =
just
dragging a divider around for a bit.
Here=92s a clip of a slowdown with the activity monitor visible:
https://www.youtube.com/watch?v=3DolkyqVOWSLs
You can see that emacs is only using a few percent cpu throughout the =
slow redraw,
whatever that may imply.
I=92ve also attached a sample I took of emacs during such a slowdown.
It looks like a lot of calls are blocking in =
_CGSSynchronizeWindowBackingStore
under the hood.
Hope this is helpful.  Please let me know if I can provide more info.
Thanks
-Eric

--Apple-Mail=_90D83757-1AE1-4F3A-8100-C7B2505919F0
Content-Disposition: attachment;
	filename=EmacsSample.txt
Content-Type: text/plain;
	name="EmacsSample.txt"
Content-Transfer-Encoding: quoted-printable

Sampling process 23607 for 3 seconds with 1 millisecond of run time =
between samples
Sampling completed, processing symbols...
Analysis of sampling Emacs (pid 23607) every 1 millisecond
Process:         Emacs [23607]
Path:            /Applications/Emacs.app/Contents/MacOS/Emacs
Load Address:    0x100000000
Identifier:      org.gnu.Emacs
Version:         Version 24.4.50 (9.0)
Code Type:       X86-64
Parent Process:  launchd [180]

Date/Time:       2014-03-31 21:59:34.062 -0700
OS Version:      Mac OS X 10.9.2 (13C64)
Report Version:  7

Call graph:
    2588 Thread_1510656   DispatchQueue_1: com.apple.main-thread  =
(serial)
    + 2588 start  (in libdyld.dylib) + 1  [0x7fff95dc95fd]
    +   2588 main  (in Emacs) + 5950  [0x1000be58e]
    +     2588 Frecursive_edit  (in Emacs) + 427  [0x1000bfa6b]
    +       2588 recursive_edit_1  (in Emacs) + 333  [0x1000bf86d]
    +         2588 internal_catch  (in Emacs) + 243  [0x10013c8c3]
    +           2588 command_loop_2  (in Emacs) + 62  [0x1000d1dfe]
    +             2588 internal_condition_case  (in Emacs) + 251  =
[0x10013d02b]
    +               2588 command_loop_1  (in Emacs) + 3071  =
[0x1000c107f]
    +                 2588 call1  (in Emacs) + 45  [0x10013f0ad]
    +                   2588 Ffuncall  (in Emacs) + 642  [0x10013e6d2]
    +                     2588 exec_byte_code  (in Emacs) + 2463  =
[0x1001786ef]
    +                       2588 Ffuncall  (in Emacs) + 1190  =
[0x10013e8f6]
    +                         2588 Fcall_interactively  (in Emacs) + =
5996  [0x10013965c]
    +                           2588 Ffuncall  (in Emacs) + 642  =
[0x10013e6d2]
    +                             2588 exec_byte_code  (in Emacs) + 2463 =
 [0x1001786ef]
    +                               2588 Ffuncall  (in Emacs) + 642  =
[0x10013e6d2]
    +                                 2588 exec_byte_code  (in Emacs) + =
2463  [0x1001786ef]
    +                                   2588 Ffuncall  (in Emacs) + 779  =
[0x10013e75b]
    +                                     2588 Feval  (in Emacs) + 106  =
[0x10013deba]
    +                                       2588 eval_sub  (in Emacs) + =
1191  [0x10013ab97]
    +                                         2588 Ftrack_mouse  (in =
Emacs) + 88  [0x1000c0208]
    +                                           2588 Fprogn  (in Emacs) =
+ 41  [0x10013b0e9]
    +                                             2588 eval_sub  (in =
Emacs) + 1428  [0x10013ac84]
    +                                               2588 Ffuncall  (in =
Emacs) + 642  [0x10013e6d2]
    +                                                 2588 =
exec_byte_code  (in Emacs) + 2463  [0x1001786ef]
    +                                                   2588 Ffuncall  =
(in Emacs) + 1190  [0x10013e8f6]
    +                                                     2588 =
read_filtered_event  (in Emacs) + 555  [0x10015d68b]
    +                                                       2588 =
read_char  (in Emacs) + 1979  [0x1000c499b]
    +                                                         2588 =
redisplay_internal  (in Emacs) + 7007  [0x100026c4f]
    +                                                           2588 =
update_frame  (in Emacs) + 125  [0x1000044bd]
    +                                                             2588 =
update_window_tree  (in Emacs) + 109  [0x10000464d]
    +                                                               2588 =
update_window_tree  (in Emacs) + 109  [0x10000464d]
    +                                                                 =
2588 update_window_tree  (in Emacs) + 132  [0x100004664]
    +                                                                   =
1321 update_window  (in Emacs) + 4537  [0x100005df9]
    +                                                                   =
! 1321 update_window_line  (in Emacs) + 664  [0x100009fc8]
    +                                                                   =
!   1321 x_write_glyphs  (in Emacs) + 166  [0x1000357d6]
    +                                                                   =
!     1321 draw_glyphs  (in Emacs) + 15988  [0x1000396b4]
    +                                                                   =
!       695 ns_draw_glyph_string  (in Emacs) + 2167  [0x1001bf047]
    +                                                                   =
!       : 642 macfont_draw  (in Emacs) + 662  [0x1001d2056]
    +                                                                   =
!       : | 642 CGContextFillRects  (in CoreGraphics) + 96  =
[0x7fff8eeaa0da]
    +                                                                   =
!       : |   642 ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
    +                                                                   =
!       : |     641 ripc_Render  (in libRIP.A.dylib) + 304  =
[0x7fff97199468]
    +                                                                   =
!       : |     + 639 RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
    +                                                                   =
!       : |     + ! 639 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                   =
!       : |     + !   638 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                   =
!       : |     + !   : 637 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                   =
!       : |     + !   : | 637 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                   =
!       : |     + !   : |   637 mach_msg  (in libsystem_kernel.dylib) + =
64  [0x7fff9896bd18]
    +                                                                   =
!       : |     + !   : |     637 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                   =
!       : |     + !   : 1 _CGSLockWindow  (in CoreGraphics) + 3838  =
[0x7fff8eeae879]
    +                                                                   =
!       : |     + !   1 CGSDeviceLock  (in CoreGraphics) + 261  =
[0x7fff8eead758]
    +                                                                   =
!       : |     + 2 RIPLayerBltShape  (in libRIP.A.dylib) + 1449  =
[0x7fff9719b401]
    +                                                                   =
!       : |     +   1 argb32_mark  (in CoreGraphics) + 2907  =
[0x7fff8eeafc51]
    +                                                                   =
!       : |     +   : 1 CGBlt_fillBytes  (in CoreGraphics) + 141  =
[0x7fff8eeb4b9d]
    +                                                                   =
!       : |     +   :   1 _platform_memset_pattern16$VARIANT$Ivybridge  =
(in libsystem_platform.dylib) + 176  [0x7fff94aaf480]
    +                                                                   =
!       : |     +   1 argb32_mark  (in CoreGraphics) + 51  =
[0x7fff8eeaf129]
    +                                                                   =
!       : |     1 ripc_Render  (in libRIP.A.dylib) + 320  =
[0x7fff97199478]
    +                                                                   =
!       : |       1 ripl_release  (in libRIP.A.dylib) + 67  =
[0x7fff97198767]
    +                                                                   =
!       : 47 macfont_draw  (in Emacs) + 1864  [0x1001d2508]
    +                                                                   =
!       : | 47 draw_glyphs  (in CoreGraphics) + 1449  [0x7fff8f1f8d15]
    +                                                                   =
!       : |   47 ripc_DrawGlyphs  (in libRIP.A.dylib) + 2204  =
[0x7fff9719c1da]
    +                                                                   =
!       : |     47 draw_glyph_bitmaps  (in libRIP.A.dylib) + 1739  =
[0x7fff9719cd4a]
    +                                                                   =
!       : |       45 render_glyphs  (in libRIP.A.dylib) + 341  =
[0x7fff9719db0f]
    +                                                                   =
!       : |       + 45 render_glyph_list  (in libRIP.A.dylib) + 413  =
[0x7fff9719de2b]
    +                                                                   =
!       : |       +   45 RIPLayerBltGlyph  (in libRIP.A.dylib) + 538  =
[0x7fff9719e080]
    +                                                                   =
!       : |       +     45 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                   =
!       : |       +       45 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                   =
!       : |       +         45 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                   =
!       : |       +           45 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                   =
!       : |       +             45 mach_msg  (in libsystem_kernel.dylib) =
+ 64  [0x7fff9896bd18]
    +                                                                   =
!       : |       +               45 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                   =
!       : |       2 render_glyphs  (in libRIP.A.dylib) + 197  =
[0x7fff9719da7f]
    +                                                                   =
!       : |         1 =
CGGlyphBuilder::lock_glyph_bitmaps(CGGlyphIdentifier const*, unsigned =
long, CGGlyphBitmap const**)  (in CoreGraphics) + 48  [0x7fff8eeb8d26]
    +                                                                   =
!       : |         ! 1 CGFontCacheLockStrike  (in CoreGraphics) + 106  =
[0x7fff8eeb8e06]
    +                                                                   =
!       : |         !   1 CGFontStrikeKeyInit  (in CoreGraphics) + 112  =
[0x7fff8eeb8eff]
    +                                                                   =
!       : |         1 =
CGGlyphBuilder::lock_glyph_bitmaps(CGGlyphIdentifier const*, unsigned =
long, CGGlyphBitmap const**)  (in CoreGraphics) + 90  [0x7fff8eeb8d50]
    +                                                                   =
!       : |           1 CGFontStrikeGetValue  (in CoreGraphics) + 61  =
[0x7fff8eeb90ea]
    +                                                                   =
!       : 2 macfont_draw  (in Emacs) + 1176  [0x1001d2258]
    +                                                                   =
!       : | 2 -[NSColorSpace CGColorSpace]  (in AppKit) + 1  =
[0x7fff90e9e982]
    +                                                                   =
!       : 1 macfont_draw  (in Emacs) + 520  [0x1001d1fc8]
    +                                                                   =
!       : | 1 create_color  (in CoreGraphics) + 183  [0x7fff8eea5f1f]
    +                                                                   =
!       : |   1 CGColorSpaceAdjustColor  (in CoreGraphics) + 349  =
[0x7fff8eea60df]
    +                                                                   =
!       : |     1 CGColorSpaceICCGetRange  (in CoreGraphics) + 22  =
[0x7fff8eebd832]
    +                                                                   =
!       : 1 macfont_draw  (in Emacs) + 791  [0x1001d20d7]
    +                                                                   =
!       : | 1 CTFontGetSize  (in CoreText) + 1  [0x7fff950cc656]
    +                                                                   =
!       : 1 macfont_draw  (in Emacs) + 1150  [0x1001d223e]
    +                                                                   =
!       : | 1 -[NSColorSpaceColor set]  (in AppKit) + 54  =
[0x7fff90fa9218]
    +                                                                   =
!       : |   1 objc_msgSend  (in libobjc.A.dylib) + 40  =
[0x7fff9904e0a8]
    +                                                                   =
!       : 1 macfont_draw  (in Emacs) + 1163  [0x1001d224b]
    +                                                                   =
!       :   1 objc_msgSend  (in libobjc.A.dylib) + 40  [0x7fff9904e0a8]
    +                                                                   =
!       591 ns_draw_glyph_string  (in Emacs) + 2007  [0x1001befa7]
    +                                                                   =
!       : 591 ns_maybe_dumpglyphs_background  (in Emacs) + 496  =
[0x1001c0a30]
    +                                                                   =
!       :   591 NSRectFill  (in AppKit) + 271  [0x7fff90fb2d8f]
    +                                                                   =
!       :     591 CGContextFillRects  (in CoreGraphics) + 96  =
[0x7fff8eeaa0da]
    +                                                                   =
!       :       591 ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
    +                                                                   =
!       :         590 ripc_Render  (in libRIP.A.dylib) + 304  =
[0x7fff97199468]
    +                                                                   =
!       :         | 589 RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
    +                                                                   =
!       :         | + 589 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                   =
!       :         | +   588 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                   =
!       :         | +   ! 587 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                   =
!       :         | +   ! : 587 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                   =
!       :         | +   ! :   587 mach_msg  (in libsystem_kernel.dylib) =
+ 64  [0x7fff9896bd18]
    +                                                                   =
!       :         | +   ! :     587 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                   =
!       :         | +   ! 1 _CGSLockWindow  (in CoreGraphics) + 969  =
[0x7fff8eeadd44]
    +                                                                   =
!       :         | +   !   1 pthread_mutex_unlock  (in =
libsystem_pthread.dylib) + 60  [0x7fff999a48f3]
    +                                                                   =
!       :         | +   !     1 __mtx_droplock  (in =
libsystem_pthread.dylib) + 17  [0x7fff999a42cf]
    +                                                                   =
!       :         | +   1 CGSDeviceLock  (in CoreGraphics) + 266  =
[0x7fff8eead75d]
    +                                                                   =
!       :         | +     1 update_device_geometry_size  (in =
CoreGraphics) + 13  [0x7fff8eea6a1e]
    +                                                                   =
!       :         | 1 RIPLayerBltShape  (in libRIP.A.dylib) + 566  =
[0x7fff9719b08e]
    +                                                                   =
!       :         1 ripc_Render  (in libRIP.A.dylib) + 156  =
[0x7fff971993d4]
    +                                                                   =
!       :           1 ripc_GetColor  (in libRIP.A.dylib) + 2041  =
[0x7fff97199e77]
    +                                                                   =
!       :             1 CGColorTransformConvertColorComponents  (in =
CoreGraphics) + 719  [0x7fff8eeacd4b]
    +                                                                   =
!       :               1 CGColorSpaceRelease  (in CoreGraphics) + 1  =
[0x7fff8eea4937]
    +                                                                   =
!       27 ns_draw_glyph_string  (in Emacs) + 496  [0x1001be9c0]
    +                                                                   =
!       : 27 ns_maybe_dumpglyphs_background  (in Emacs) + 496  =
[0x1001c0a30]
    +                                                                   =
!       :   27 NSRectFill  (in AppKit) + 271  [0x7fff90fb2d8f]
    +                                                                   =
!       :     27 CGContextFillRects  (in CoreGraphics) + 96  =
[0x7fff8eeaa0da]
    +                                                                   =
!       :       27 ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
    +                                                                   =
!       :         27 ripc_Render  (in libRIP.A.dylib) + 304  =
[0x7fff97199468]
    +                                                                   =
!       :           27 RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
    +                                                                   =
!       :             27 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                   =
!       :               27 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                   =
!       :                 27 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                   =
!       :                   27 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                   =
!       :                     27 mach_msg  (in libsystem_kernel.dylib) + =
64  [0x7fff9896bd18]
    +                                                                   =
!       :                       27 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                   =
!       4 ns_draw_glyph_string  (in Emacs) + 1382  [0x1001bed36]
    +                                                                   =
!       : 4 -[NSView lockFocus]  (in AppKit) + 37  [0x7fff90f7e95f]
    +                                                                   =
!       :   4 -[NSView lockFocusIfCanDraw]  (in AppKit) + 535  =
[0x7fff90f7ec57]
    +                                                                   =
!       :     4 -[NSFocusStack focusView:inWindow:]  (in AppKit) + 262  =
[0x7fff90f87432]
    +                                                                   =
!       :       2 objc_addExceptionHandler  (in libobjc.A.dylib) + 75  =
[0x7fff99051857]
    +                                                                   =
!       :       | 2 =
libunwind::UnwindCursor<libunwind::LocalAddressSpace, =
libunwind::Registers_x86_64>::step()  (in libunwind.dylib) + 133  =
[0x7fff98e3a2f5]
    +                                                                   =
!       :       |   2 =
libunwind::UnwindCursor<libunwind::LocalAddressSpace, =
libunwind::Registers_x86_64>::setInfoBasedOnIPRegister(bool)  (in =
libunwind.dylib) + 105  [0x7fff98e39b99]
    +                                                                   =
!       :       |     2 =
libunwind::UnwindCursor<libunwind::LocalAddressSpace, =
libunwind::Registers_x86_64>::getInfoFromCompactEncodingSection(unsigned =
long long, unsigned long long, unsigned long long)  (in libunwind.dylib) =
+ 233  [0x7fff98e3a06b]
    +                                                                   =
!       :       2 objc_addExceptionHandler  (in libobjc.A.dylib) + 719  =
[0x7fff99051adb]
    +                                                                   =
!       :         2 =
libunwind::UnwindCursor<libunwind::LocalAddressSpace, =
libunwind::Registers_x86_64>::step()  (in libunwind.dylib) + 133  =
[0x7fff98e3a2f5]
    +                                                                   =
!       :           2 =
libunwind::UnwindCursor<libunwind::LocalAddressSpace, =
libunwind::Registers_x86_64>::setInfoBasedOnIPRegister(bool)  (in =
libunwind.dylib) + 105  [0x7fff98e39b99]
    +                                                                   =
!       :             2 =
libunwind::UnwindCursor<libunwind::LocalAddressSpace, =
libunwind::Registers_x86_64>::getInfoFromCompactEncodingSection(unsigned =
long long, unsigned long long, unsigned long long)  (in libunwind.dylib) =
+ 262,219  [0x7fff98e3a088,0x7fff98e3a05d]
    +                                                                   =
!       2 ns_draw_glyph_string  (in Emacs) + 2597  [0x1001bf1f5]
    +                                                                   =
!       : 2 -[NSWindow flushWindow]  (in AppKit) + 511  [0x7fff90fb370b]
    +                                                                   =
!       :   1 -[NSFrameView _drawFrameShadowAndFlushContext:]  (in =
AppKit) + 74  [0x7fff91069383]
    +                                                                   =
!       :   | 1 -[NSFrameView _shadowType]  (in AppKit) + 44  =
[0x7fff90f9001b]
    +                                                                   =
!       :   |   1 -[NSWindow(NSWindow_Theme) =
_hasActiveAppearanceIgnoringKeyFocus]  (in AppKit) + 1  [0x7fff90f1e9bc]
    +                                                                   =
!       :   1 -[NSFrameView _drawFrameShadowAndFlushContext:]  (in =
AppKit) + 111  [0x7fff910693a8]
    +                                                                   =
!       :     1 ripc_Operation  (in libRIP.A.dylib) + 4  =
[0x7fff9719f500]
    +                                                                   =
!       1 ns_draw_glyph_string  (in Emacs) + 1944  [0x1001bef68]
    +                                                                   =
!       : 1 CGContextClipToRect  (in CoreGraphics) + 73  =
[0x7fff8eeb77af]
    +                                                                   =
!       :   1 CGGStateClipToRect  (in CoreGraphics) + 300  =
[0x7fff8eeb7913]
    +                                                                   =
!       :     1 CGClipStackAddRect  (in CoreGraphics) + 890  =
[0x7fff8eeb7dd0]
    +                                                                   =
!       1 ns_draw_glyph_string  (in Emacs) + 2521  [0x1001bf1a9]
    +                                                                   =
!         1 CGContextRestoreGState  (in CoreGraphics) + 32  =
[0x7fff8eea9d38]
    +                                                                   =
!           1 CGGStackRestore  (in CoreGraphics) + 60  [0x7fff8eea9d94]
    +                                                                   =
!             1 CGGStateRelease  (in CoreGraphics) + 33  =
[0x7fff8eea9e08]
    +                                                                   =
!               1 CGClipStackRelease  (in CoreGraphics) + 45  =
[0x7fff8eea5654]
    +                                                                   =
1160 update_window  (in Emacs) + 6211  [0x100006483]
    +                                                                   =
! 1141 ns_update_window_end  (in Emacs) + 92  [0x1001bdc7c]
    +                                                                   =
! : 759 draw_window_fringes  (in Emacs) + 252  [0x10019fc2c]
    +                                                                   =
! : | 759 draw_fringe_bitmap  (in Emacs) + 447  [0x10019f56f]
    +                                                                   =
! : |   759 draw_fringe_bitmap_1  (in Emacs) + 1239  [0x10019faa7]
    +                                                                   =
! : |     753 ns_draw_fringe_bitmap  (in Emacs) + 937  [0x1001be109]
    +                                                                   =
! : |     + 753 NSRectFill  (in AppKit) + 271  [0x7fff90fb2d8f]
    +                                                                   =
! : |     +   753 CGContextFillRects  (in CoreGraphics) + 96  =
[0x7fff8eeaa0da]
    +                                                                   =
! : |     +     751 ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
    +                                                                   =
! : |     +     ! 751 ripc_Render  (in libRIP.A.dylib) + 304  =
[0x7fff97199468]
    +                                                                   =
! : |     +     !   751 RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
    +                                                                   =
! : |     +     !     751 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                   =
! : |     +     !       750 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                   =
! : |     +     !       : 750 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                   =
! : |     +     !       :   750 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                   =
! : |     +     !       :     742 mach_msg  (in libsystem_kernel.dylib) =
+ 64  [0x7fff9896bd18]
    +                                                                   =
! : |     +     !       :     | 742 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                   =
! : |     +     !       :     8 mach_msg  (in libsystem_kernel.dylib) + =
253  [0x7fff9896bdd5]
    +                                                                   =
! : |     +     !       :       8 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                   =
! : |     +     !       1 CGSDeviceLock  (in CoreGraphics) + 266  =
[0x7fff8eead75d]
    +                                                                   =
! : |     +     !         1 update_device_geometry_size  (in =
CoreGraphics) + 13  [0x7fff8eea6a1e]
    +                                                                   =
! : |     +     1 CGContextDelegateDrawRects  (in CoreGraphics) + 15  =
[0x7fff8eeaa152]
    +                                                                   =
! : |     +     1 ripc_DrawRects  (in libRIP.A.dylib) + 139  =
[0x7fff971951dd]
    +                                                                   =
! : |     +       1 ripc_GetRenderingState  (in libRIP.A.dylib) + 158  =
[0x7fff971953ac]
    +                                                                   =
! : |     +         1 ripc_GetClipState  (in libRIP.A.dylib) + 4848  =
[0x7fff971969fc]
    +                                                                   =
! : |     +           1 ripr_Finish  (in libRIP.A.dylib) + 37  =
[0x7fff971986dc]
    +                                                                   =
! : |     +             1 szone_free_definite_size  (in =
libsystem_malloc.dylib) + 427  [0x7fff8ee2fb7d]
    +                                                                   =
! : |     3 ns_draw_fringe_bitmap  (in Emacs) + 366  [0x1001bdece]
    +                                                                   =
! : |     + 3 -[NSView lockFocus]  (in AppKit) + 37  [0x7fff90f7e95f]
    +                                                                   =
! : |     +   3 -[NSView lockFocusIfCanDraw]  (in AppKit) + 535  =
[0x7fff90f7ec57]
    +                                                                   =
! : |     +     2 -[NSFocusStack focusView:inWindow:]  (in AppKit) + 262 =
 [0x7fff90f87432]
    +                                                                   =
! : |     +     ! 1 _NSAddAltHandler2  (in Foundation) + 0  =
[0x7fff96f237d1]
    +                                                                   =
! : |     +     ! 1 objc_addExceptionHandler  (in libobjc.A.dylib) + 67  =
[0x7fff9905184f]
    +                                                                   =
! : |     +     !   1 unw_init_local  (in libunwind.dylib) + 138  =
[0x7fff98e39b26]
    +                                                                   =
! : |     +     !     1 =
libunwind::UnwindCursor<libunwind::LocalAddressSpace, =
libunwind::Registers_x86_64>::setInfoBasedOnIPRegister(bool)  (in =
libunwind.dylib) + 62  [0x7fff98e39b6e]
    +                                                                   =
! : |     +     !       1 _dyld_find_unwind_sections  (in libdyld.dylib) =
+ 59  [0x7fff95dc896c]
    +                                                                   =
! : |     +     !         1 client_dyld_find_unwind_sections(void*, =
dyld_unwind_sections*)  (in dyld) + 1  [0x7fff645d7f62]
    +                                                                   =
! : |     +     1 -[NSFocusStack focusView:inWindow:]  (in AppKit) + 156 =
 [0x7fff90f873c8]
    +                                                                   =
! : |     +       1 objc_msgSend  (in libobjc.A.dylib) + 27  =
[0x7fff9904e09b]
    +                                                                   =
! : |     1 ns_draw_fringe_bitmap  (in Emacs) + 897  [0x1001be0e1]
    +                                                                   =
! : |     + 1 CGContextSetStrokeColorWithColor  (in CoreGraphics) + 1  =
[0x7fff8eef4985]
    +                                                                   =
! : |     1 ns_draw_fringe_bitmap  (in Emacs) + 1692  [0x1001be3fc]
    +                                                                   =
! : |     + 1 CGContextRestoreGState  (in CoreGraphics) + 32  =
[0x7fff8eea9d38]
    +                                                                   =
! : |     +   1 CGGStackRestore  (in CoreGraphics) + 60  =
[0x7fff8eea9d94]
    +                                                                   =
! : |     +     1 CGGStateRelease  (in CoreGraphics) + 57  =
[0x7fff8eea9e20]
    +                                                                   =
! : |     +       1 stroke_state_release  (in CoreGraphics) + 52  =
[0x7fff8eea5c8f]
    +                                                                   =
! : |     +         1 CFRelease  (in CoreFoundation) + 81  =
[0x7fff8e1b6481]
    +                                                                   =
! : |     1 ns_draw_fringe_bitmap  (in Emacs) + 1729  [0x1001be421]
    +                                                                   =
! : |       1 -[NSView unlockFocus]  (in AppKit) + 253  [0x7fff90fb3902]
    +                                                                   =
! : |         1 -[NSFocusStack popTopView]  (in AppKit) + 72  =
[0x7fff90f8fbe7]
    +                                                                   =
! : |           1 -[NSViewHierarchyLock unlockWithExceptionHandler:]  =
(in AppKit) + 39  [0x7fff90e60be9]
    +                                                                   =
! : |             1 _pthread_mutex_lock  (in libsystem_pthread.dylib) + =
51  [0x7fff999a4638]
    +                                                                   =
! : |               1 pthread_threadid_np  (in libsystem_pthread.dylib) =
+ 1  [0x7fff999a1b26]
    +                                                                   =
! : 382 draw_window_fringes  (in Emacs) + 211  [0x10019fc03]
    +                                                                   =
! :   382 draw_fringe_bitmap  (in Emacs) + 447  [0x10019f56f]
    +                                                                   =
! :     381 draw_fringe_bitmap_1  (in Emacs) + 1239  [0x10019faa7]
    +                                                                   =
! :     + 360 ns_draw_fringe_bitmap  (in Emacs) + 937  [0x1001be109]
    +                                                                   =
! :     + ! 360 NSRectFill  (in AppKit) + 271  [0x7fff90fb2d8f]
    +                                                                   =
! :     + !   360 CGContextFillRects  (in CoreGraphics) + 96  =
[0x7fff8eeaa0da]
    +                                                                   =
! :     + !     360 ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
    +                                                                   =
! :     + !       360 ripc_Render  (in libRIP.A.dylib) + 304  =
[0x7fff97199468]
    +                                                                   =
! :     + !         359 RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
    +                                                                   =
! :     + !         : 359 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                   =
! :     + !         :   359 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                   =
! :     + !         :     358 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                   =
! :     + !         :     | 358 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                   =
! :     + !         :     |   358 mach_msg  (in libsystem_kernel.dylib) =
+ 64  [0x7fff9896bd18]
    +                                                                   =
! :     + !         :     |     358 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                   =
! :     + !         :     1 _CGSLockWindow  (in CoreGraphics) + 3729  =
[0x7fff8eeae80c]
    +                                                                   =
! :     + !         :       1 CGSWindowRWStateGetFlushSeed  (in =
CoreGraphics) + 7  [0x7fff8eeaebc8]
    +                                                                   =
! :     + !         1 RIPLayerBltShape  (in libRIP.A.dylib) + 1449  =
[0x7fff9719b401]
    +                                                                   =
! :     + !           1 argb32_mark  (in CoreGraphics) + 51  =
[0x7fff8eeaf129]
    +                                                                   =
! :     + 15 ns_draw_fringe_bitmap  (in Emacs) + 1655  [0x1001be3d7]
    +                                                                   =
! :     + ! 14 -[NSImage =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]  (in =
AppKit) + 1447  [0x7fff90f949cc]
    +                                                                   =
! :     + ! : 14 -[NSImage =
_usingBestRepresentationForRect:context:hints:body:]  (in AppKit) + 170  =
[0x7fff90f203d6]
    +                                                                   =
! :     + ! :   14 __71-[NSImage =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]_block_invoke=
  (in AppKit) + 896  [0x7fff90f94e4e]
    +                                                                   =
! :     + ! :     14 -[NSImageRep =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]  (in =
AppKit) + 1073  [0x7fff90f95508]
    +                                                                   =
! :     + ! :       7 __74-[NSImageRep =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]_block_invoke=
  (in AppKit) + 768  [0x7fff90f95a1f]
    +                                                                   =
! :     + ! :       | 7 -[NSBitmapImageRep =
CGImageForProposedRect:context:hints:]  (in AppKit) + 163  =
[0x7fff90f9b6a6]
    +                                                                   =
! :     + ! :       |   7 -[NSBitmapImageRep CGImage]  (in AppKit) + 129 =
 [0x7fff90f9b744]
    +                                                                   =
! :     + ! :       |     7 -[NSBitmapImageRep =
_performBlockUsingBackingCGImage:]  (in AppKit) + 105  [0x7fff90f30469]
    +                                                                   =
! :     + ! :       |       7 -[NSBitmapImageRep =
_performBlockUsingBacking:]  (in AppKit) + 35  [0x7fff90e9bbf0]
    +                                                                   =
! :     + ! :       |         6 __53-[NSBitmapImageRep =
_performBlockUsingBackingCGImage:]_block_invoke  (in AppKit) + 149  =
[0x7fff90f30507]
    +                                                                   =
! :     + ! :       |         + 6 -[NSBitmapImageRep =
_withoutChangingBackingPerformBlockUsingBackingCGImage:]  (in AppKit) + =
103  [0x7fff90f3057e]
    +                                                                   =
! :     + ! :       |         +   6 -[NSBitmapImageRep =
_performBlockUsingBacking:]  (in AppKit) + 35  [0x7fff90e9bbf0]
    +                                                                   =
! :     + ! :       |         +     5 __75-[NSBitmapImageRep =
_withoutChangingBackingPerformBlockUsingBackingCGImage:]_block_invoke  =
(in AppKit) + 414  [0x7fff90f30723]
    +                                                                   =
! :     + ! :       |         +     ! 3 _NSCreateImageRef2  (in AppKit) =
+ 206  [0x7fff9106e8cd]
    +                                                                   =
! :     + ! :       |         +     ! : 3 CGCMSUtilsGetProcessColorModel =
 (in CoreGraphics) + 59  [0x7fff8ef2d783]
    +                                                                   =
! :     + ! :       |         +     ! :   2 CMSGetProcessColorModel  (in =
libCGCMS.A.dylib) + 12  [0x7fff93734363]
    +                                                                   =
! :     + ! :       |         +     ! :   | 2 create  (in =
libCGCMS.A.dylib) + 1205  [0x7fff93732b79]
    +                                                                   =
! :     + ! :       |         +     ! :   |   1 profileRef  (in =
libCGCMS.A.dylib) + 42  [0x7fff93731dce]
    +                                                                   =
! :     + ! :       |         +     ! :   |   + 1 =
ColorSyncProfileCopyHeader  (in ColorSync) + 82  [0x7fff901e02fd]
    +                                                                   =
! :     + ! :       |         +     ! :   |   +   1 __CFDataInit  (in =
CoreFoundation) + 842  [0x7fff8e1c350a]
    +                                                                   =
! :     + ! :       |         +     ! :   |   +     1 CFDataReplaceBytes =
 (in CoreFoundation) + 95  [0x7fff8e1f99bf]
    +                                                                   =
! :     + ! :       |         +     ! :   |   1 profileRef  (in =
libCGCMS.A.dylib) + 169  [0x7fff93731e4d]
    +                                                                   =
! :     + ! :       |         +     ! :   |     1 CreateProfileSet  (in =
libCGCMS.A.dylib) + 203  [0x7fff9373201b]
    +                                                                   =
! :     + ! :       |         +     ! :   |       1 CFArrayAppendValue  =
(in CoreFoundation) + 148  [0x7fff8e1c9084]
    +                                                                   =
! :     + ! :       |         +     ! :   |         1 -[__NSArrayM =
insertObject:atIndex:]  (in CoreFoundation) + 470  [0x7fff8e1ac4e6]
    +                                                                   =
! :     + ! :       |         +     ! :   |           1 =
_platform_bzero$VARIANT$Ivybridge  (in libsystem_platform.dylib) + 0  =
[0x7fff94aad980]
    +                                                                   =
! :     + ! :       |         +     ! :   1 CMSGetProcessColorModel  (in =
libCGCMS.A.dylib) + 1  [0x7fff93734358]
    +                                                                   =
! :     + ! :       |         +     ! 1 _NSCreateImageRef2  (in AppKit) =
+ 771  [0x7fff9106eb02]
    +                                                                   =
! :     + ! :       |         +     ! : 1 CGImageCreate  (in =
CoreGraphics) + 669  [0x7fff8eec0b35]
    +                                                                   =
! :     + ! :       |         +     ! 1 _NSCreateImageRef2  (in AppKit) =
+ 808  [0x7fff9106eb27]
    +                                                                   =
! :     + ! :       |         +     !   1 CGImageSetProperty  (in =
CoreGraphics) + 64  [0x7fff8eee794e]
    +                                                                   =
! :     + ! :       |         +     !     1 CGPropertiesCreate  (in =
CoreGraphics) + 32  [0x7fff8eee799d]
    +                                                                   =
! :     + ! :       |         +     1 __75-[NSBitmapImageRep =
_withoutChangingBackingPerformBlockUsingBackingCGImage:]_block_invoke  =
(in AppKit) + 288  [0x7fff90f306a5]
    +                                                                   =
! :     + ! :       |         +       1 -[NSBitmapImageRep colorSpace]  =
(in AppKit) + 47  [0x7fff9106ce59]
    +                                                                   =
! :     + ! :       |         +         1 =
-[NSBitmapImageRep(NSBitmapImageFileTypeExtensions) valueForProperty:]  =
(in AppKit) + 42  [0x7fff90f1882e]
    +                                                                   =
! :     + ! :       |         +           1 -[__NSCFString =
isEqualToString:]  (in CoreFoundation) + 6  [0x7fff8e1d4d06]
    +                                                                   =
! :     + ! :       |         1 __53-[NSBitmapImageRep =
_performBlockUsingBackingCGImage:]_block_invoke  (in AppKit) + 27  =
[0x7fff90f3048d]
    +                                                                   =
! :     + ! :       |           1 BIRBackingType  (in AppKit) + 18  =
[0x7fff90e9bc9a]
    +                                                                   =
! :     + ! :       |             1 CFGetTypeID  (in CoreFoundation) + =
169  [0x7fff8e1c9a59]
    +                                                                   =
! :     + ! :       7 __74-[NSImageRep =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]_block_invoke=
  (in AppKit) + 835  [0x7fff90f95a62]
    +                                                                   =
! :     + ! :         7 CGContextDrawImage  (in CoreGraphics) + 457  =
[0x7fff8eec13a4]
    +                                                                   =
! :     + ! :           4 ripc_DrawImage  (in libRIP.A.dylib) + 1025  =
[0x7fff9719fb85]
    +                                                                   =
! :     + ! :           + 4 ripc_AcquireImage  (in libRIP.A.dylib) + 769 =
 [0x7fff971a0b3c]
    +                                                                   =
! :     + ! :           +   4 CGSImageDataLock  (in CoreGraphics) + 149  =
[0x7fff8eec1800]
    +                                                                   =
! :     + ! :           +     3 img_data_lock  (in CoreGraphics) + 7526  =
[0x7fff8eec4512]
    +                                                                   =
! :     + ! :           +     ! 3 img_alphamerge_read  (in CoreGraphics) =
+ 586  [0x7fff8eede191]
    +                                                                   =
! :     + ! :           +     !   2 img_colormatch_read  (in =
CoreGraphics) + 572  [0x7fff8eede43c]
    +                                                                   =
! :     + ! :           +     !   : 2 CGColorTransformConvertData  (in =
CoreGraphics) + 237  [0x7fff8eee700b]
    +                                                                   =
! :     + ! :           +     !   :   2 CGCMSTransformConvertData  (in =
CoreGraphics) + 48  [0x7fff8eee7064]
    +                                                                   =
! :     + ! :           +     !   :     2 CMSTransformConvertData  (in =
libCGCMS.A.dylib) + 14  [0x7fff93733e7b]
    +                                                                   =
! :     + ! :           +     !   :       2 CMSColorWorldConvertData  =
(in libCGCMS.A.dylib) + 12  [0x7fff93733925]
    +                                                                   =
! :     + ! :           +     !   :         2 ConvertImageGeneric  (in =
libCGCMS.A.dylib) + 702  [0x7fff93733bea]
    +                                                                   =
! :     + ! :           +     !   :           2 =
ColorSyncTransformConvert  (in ColorSync) + 224  [0x7fff901e3ebd]
    +                                                                   =
! :     + ! :           +     !   :             2 =
ColorSyncCMMApplyTransform  (in ColorSync) + 116  [0x7fff9022e9db]
    +                                                                   =
! :     + ! :           +     !   :               2 =
AppleCMMApplyTransform  (in ColorSync) + 259  [0x7fff901f775a]
    +                                                                   =
! :     + ! :           +     !   :                 2 DoApplyTransform  =
(in ColorSync) + 745  [0x7fff901f5eb6]
    +                                                                   =
! :     + ! :           +     !   :                   2 =
CMMProcessBitmap(CMMConversionParams*)  (in ColorSync) + 619  =
[0x7fff901f6378]
    +                                                                   =
! :     + ! :           +     !   :                     1 =
ConversionManager::ApplySequenceToBitmap(CMMConvNode*, CMMEncoDec&, =
CMMRuntimeInfo*, unsigned long, CMMProgressNotifier*)  (in ColorSync) + =
218  [0x7fff9020b226]
    +                                                                   =
! :     + ! :           +     !   :                     | 1 int =
ConversionManager::DoConvert<CMM8Bits>(CMM8Bits&, CMMConvNode*, =
CMMEncoDec&, CMMRuntimeInfo*, unsigned long, CMMProgressNotifier*)  (in =
ColorSync) + 272  [0x7fff9022d958]
    +                                                                   =
! :     + ! :           +     !   :                     |   1 =
CMMConvRGBToRGB::Convert(CMM8Bits&, CMMRuntimeInfo*, unsigned int, =
unsigned int) const  (in ColorSync) + 91  [0x7fff901f3bf5]
    +                                                                   =
! :     + ! :           +     !   :                     1 =
ConversionManager::ApplySequenceToBitmap(CMMConvNode*, CMMEncoDec&, =
CMMRuntimeInfo*, unsigned long, CMMProgressNotifier*)  (in ColorSync) + =
50  [0x7fff9020b17e]
    +                                                                   =
! :     + ! :           +     !   1 img_colormatch_read  (in =
CoreGraphics) + 361  [0x7fff8eede369]
    +                                                                   =
! :     + ! :           +     !     1 img_decode_read  (in CoreGraphics) =
+ 2043  [0x7fff8eedec61]
    +                                                                   =
! :     + ! :           +     !       1 CGAccessSessionGetChunks  (in =
CoreGraphics) + 363  [0x7fff8eedba5b]
    +                                                                   =
! :     + ! :           +     !         1 planarGetBytes  (in AppKit) + =
345  [0x7fff915d6352]
    +                                                                   =
! :     + ! :           +     1 img_data_lock  (in CoreGraphics) + 1217  =
[0x7fff8eec2c6d]
    +                                                                   =
! :     + ! :           +       1 CGColorTransformConvertNeedsCMS  (in =
CoreGraphics) + 113  [0x7fff8eec4e6f]
    +                                                                   =
! :     + ! :           +         1 =
CGColorTransformCacheGetConversionType  (in CoreGraphics) + 59  =
[0x7fff8eec4ecf]
    +                                                                   =
! :     + ! :           +           1 _platform_memcmp  (in =
libsystem_platform.dylib) + 293  [0x7fff94aaf225]
    +                                                                   =
! :     + ! :           1 ripc_DrawImage  (in libRIP.A.dylib) + 167  =
[0x7fff9719f82b]
    +                                                                   =
! :     + ! :           + 1 ripc_GetRenderingState  (in libRIP.A.dylib) =
+ 72  [0x7fff97195356]
    +                                                                   =
! :     + ! :           +   1 ripd_Resolution  (in libRIP.A.dylib) + 0  =
[0x7fff9719567f]
    +                                                                   =
! :     + ! :           1 ripc_DrawImage  (in libRIP.A.dylib) + 717  =
[0x7fff9719fa51]
    +                                                                   =
! :     + ! :           + 1 ripc_GetImageTransformation  (in =
libRIP.A.dylib) + 2909  [0x7fff971a0829]
    +                                                                   =
! :     + ! :           1 ripc_DrawImage  (in libRIP.A.dylib) + 1147  =
[0x7fff9719fbff]
    +                                                                   =
! :     + ! :             1 ripc_RenderImage  (in libRIP.A.dylib) + 262  =
[0x7fff971a16aa]
    +                                                                   =
! :     + ! :               1 RIPLayerBltImage  (in libRIP.A.dylib) + =
1223  [0x7fff971a1d53]
    +                                                                   =
! :     + ! :                 1 CGSDeviceUnlock  (in CoreGraphics) + 1  =
[0x7fff8eeb4c22]
    +                                                                   =
! :     + ! 1 -[NSImage =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]  (in =
AppKit) + 1589  [0x7fff90f94a5a]
    +                                                                   =
! :     + 3 ns_draw_fringe_bitmap  (in Emacs) + 1729  [0x1001be421]
    +                                                                   =
! :     + ! 2 -[NSView unlockFocus]  (in AppKit) + 187  [0x7fff90fb38c0]
    +                                                                   =
! :     + ! : 2 -[NSView _contextForLockFocus:]  (in AppKit) + 154  =
[0x7fff90f7efac]
    +                                                                   =
! :     + ! :   2 -[NSWindow _threadContextForCompositing:]  (in AppKit) =
+ 41  [0x7fff90f69c5c]
    +                                                                   =
! :     + ! :     1 -[NSWindow _allowsCompositing]  (in AppKit) + 22  =
[0x7fff90f69410]
    +                                                                   =
! :     + ! :     | 1 -[NSWindow _backingStoreIsNonCompositing]  (in =
AppKit) + 22  [0x7fff90f154cd]
    +                                                                   =
! :     + ! :     1 objc_msgSend  (in libobjc.A.dylib) + 40  =
[0x7fff9904e0a8]
    +                                                                   =
! :     + ! 1 -[NSView unlockFocus]  (in AppKit) + 253  [0x7fff90fb3902]
    +                                                                   =
! :     + !   1 -[NSFocusStack fixInvalidatedFocusForFocusView]  (in =
AppKit) + 1  [0x7fff90fdbe7c]
    +                                                                   =
! :     + 1 ns_draw_fringe_bitmap  (in Emacs) + 366  [0x1001bdece]
    +                                                                   =
! :     + ! 1 -[NSView lockFocus]  (in AppKit) + 37  [0x7fff90f7e95f]
    +                                                                   =
! :     + !   1 -[NSView lockFocusIfCanDraw]  (in AppKit) + 457  =
[0x7fff90f7ec09]
    +                                                                   =
! :     + !     1 +[NSGraphicsContext saveGraphicsState]  (in AppKit) + =
133  [0x7fff90f22bd4]
    +                                                                   =
! :     + !       1 CGContextSaveGState  (in CoreGraphics) + 32  =
[0x7fff8eea85c9]
    +                                                                   =
! :     + !         1 CGGStackSave  (in CoreGraphics) + 47  =
[0x7fff8eea8618]
    +                                                                   =
! :     + !           1 CGGStateCreateCopy  (in CoreGraphics) + 91  =
[0x7fff8eea8689]
    +                                                                   =
! :     + !             1 CGColorRetain  (in CoreGraphics) + 1  =
[0x7fff8eea6221]
    +                                                                   =
! :     + 1 ns_draw_fringe_bitmap  (in Emacs) + 1536  [0x1001be360]
    +                                                                   =
! :     + ! 1 -[EmacsImage setXBMColor:]  (in Emacs) + 197  =
[0x1001cc915]
    +                                                                   =
! :     + !   1 -[NSBitmapImageRep getBitmapDataPlanes:]  (in AppKit) + =
97  [0x7fff90e9c36b]
    +                                                                   =
! :     + !     1 -[NSBitmapImageRep =
_performBlockUsingBackingMutableData:]  (in AppKit) + 105  =
[0x7fff90e9c3e4]
    +                                                                   =
! :     + !       1 -[NSBitmapImageRep _performBlockUsingBacking:]  (in =
AppKit) + 35  [0x7fff90e9bbf0]
    +                                                                   =
! :     + !         1 __57-[NSBitmapImageRep =
_performBlockUsingBackingMutableData:]_block_invoke  (in AppKit) + 133  =
[0x7fff90e9c472]
    +                                                                   =
! :     + !           1 -[NSBitmapImageRep =
_withoutChangingBackingPerformBlockUsingBackingMutableData:]  (in =
AppKit) + 103  [0x7fff90e9c4fb]
    +                                                                   =
! :     + !             1 -[NSBitmapImageRep _performBlockUsingBacking:] =
 (in AppKit) + 35  [0x7fff90e9bbf0]
    +                                                                   =
! :     + !               1 __79-[NSBitmapImageRep =
_withoutChangingBackingPerformBlockUsingBackingMutableData:]_block_invoke =
 (in AppKit) + 129  [0x7fff90e9c583]
    +                                                                   =
! :     + !                 1 -[NSBitmapImageRep =
_fromCGImage:performBlockUsingMutableData:]  (in AppKit) + 68  =
[0x7fff910788ed]
    +                                                                   =
! :     + !                   1 -[NSData(NSData) mutableCopyWithZone:]  =
(in Foundation) + 16  [0x7fff96f1f0d6]
    +                                                                   =
! :     + 1 ns_draw_fringe_bitmap  (in Emacs) + 1757  [0x1001be43d]
    +                                                                   =
! :     +   1 -[NSWindow flushWindow]  (in AppKit) + 204  =
[0x7fff90fb35d8]
    +                                                                   =
! :     +     1 -[NSViewHierarchyLock =
lockForReadingWithExceptionHandler:]  (in AppKit) + 86  [0x7fff90e623b5]
    +                                                                   =
! :     +       1 _pthread_mutex_lock  (in libsystem_pthread.dylib) + 1  =
[0x7fff999a4606]
    +                                                                   =
! :     1 draw_fringe_bitmap_1  (in Emacs) + 194  [0x10019f692]
    +                                                                   =
! :       1 lookup_named_face  (in Emacs) + 148  [0x1000af594]
    +                                                                   =
! :         1 get_lface_attributes  (in Emacs) + 345  [0x1000b4669]
    +                                                                   =
! :           1 assq_no_quit  (in Emacs) + 36  [0x100145424]
    +                                                                   =
! 19 ns_update_window_end  (in Emacs) + 173  [0x1001bdccd]
    +                                                                   =
!   19 unblock_input  (in Emacs) + 69  [0x1000ca4c5]
    +                                                                   =
!     19 gobble_input  (in Emacs) + 287  [0x1000c3c3f]
    +                                                                   =
!       19 ns_read_socket  (in Emacs) + 820  [0x1001bcb74]
    +                                                                   =
!         17 -[EmacsApp run]  (in Emacs) + 223  [0x1001af17f]
    +                                                                   =
!         | 17 -[NSApplication =
nextEventMatchingMask:untilDate:inMode:dequeue:]  (in AppKit) + 122  =
[0x7fff90e24a2b]
    +                                                                   =
!         |   17 _DPSNextEvent  (in AppKit) + 1434  [0x7fff90e253de]
    +                                                                   =
!         |     17 _BlockUntilNextEventMatchingListInModeWithFilter  (in =
HIToolbox) + 65  [0x7fff909965bc]
    +                                                                   =
!         |       16 ReceiveNextEventCommon  (in HIToolbox) + 173  =
[0x7fff90996685]
    +                                                                   =
!         |       + 16 RunCurrentEventLoopInMode  (in HIToolbox) + 226  =
[0x7fff90996a0d]
    +                                                                   =
!         |       +   16 CFRunLoopRunSpecific  (in CoreFoundation) + 309 =
 [0x7fff8e20d0b5]
    +                                                                   =
!         |       +     15 __CFRunLoopRun  (in CoreFoundation) + 776  =
[0x7fff8e20d5f8]
    +                                                                   =
!         |       +     ! 15 __CFRunLoopDoObservers  (in CoreFoundation) =
+ 391  [0x7fff8e21be57]
    +                                                                   =
!         |       +     !   15 =
__CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__  (in =
CoreFoundation) + 23  [0x7fff8e21bee7]
    +                                                                   =
!         |       +     !     15 __83-[NSWindow =
_postWindowNeedsDisplayOrLayoutOrUpdateConstraintsUnlessPostingDisabled]_b=
lock_invoke1331  (in AppKit) + 46  [0x7fff91597061]
    +                                                                   =
!         |       +     !       15 =
_handleWindowNeedsDisplayOrLayoutOrUpdateConstraints  (in AppKit) + 884  =
[0x7fff90fc185e]
    +                                                                   =
!         |       +     !         15 -[NSView displayIfNeeded]  (in =
AppKit) + 1680  [0x7fff90f5c42a]
    +                                                                   =
!         |       +     !           15 -[NSView =
_displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:]  =
(in AppKit) + 2828  [0x7fff90f7cfbf]
    +                                                                   =
!         |       +     !             15 -[NSThemeFrame =
_recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRe=
ctForView:topView:]  (in AppKit) + 314  [0x7fff90f7ffd1]
    +                                                                   =
!         |       +     !               13 -[NSView =
_recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRe=
ctForView:topView:]  (in AppKit) + 3199  [0x7fff90f8115c]
    +                                                                   =
!         |       +     !               : 13 -[NSView _drawRect:clip:]  =
(in AppKit) + 3846  [0x7fff90f841d1]
    +                                                                   =
!         |       +     !               :   13 -[NSThemeFrame drawRect:] =
 (in AppKit) + 302  [0x7fff9106533a]
    +                                                                   =
!         |       +     !               :     13 -[NSFrameView =
drawRect:]  (in AppKit) + 1065  [0x7fff9106578a]
    +                                                                   =
!         |       +     !               :       13 -[NSThemeFrame =
drawFrame:]  (in AppKit) + 153  [0x7fff90f899fa]
    +                                                                   =
!         |       +     !               :         12 -[NSThemeFrame =
_drawTitleBar:]  (in AppKit) + 183  [0x7fff90f89e32]
    +                                                                   =
!         |       +     !               :         | 12 -[NSThemeFrame =
_drawTitleBarBackgroundInClipRect:]  (in AppKit) + 197  [0x7fff91065928]
    +                                                                   =
!         |       +     !               :         |   12 -[NSThemeFrame =
_drawUnifiedToolbar:]  (in AppKit) + 108  [0x7fff91065b0a]
    +                                                                   =
!         |       +     !               :         |     12 =
-[NSThemeFrame _drawUnifiedToolbarWithState:inFrame:]  (in AppKit) + 208 =
 [0x7fff91065cb0]
    +                                                                   =
!         |       +     !               :         |       12 =
_NSDrawThemeBackground  (in AppKit) + 1341  [0x7fff90f89757]
    +                                                                   =
!         |       +     !               :         |         12 CUIDraw  =
(in CoreUI) + 178  [0x7fff97df448a]
    +                                                                   =
!         |       +     !               :         |           12 =
CUIRenderer::Draw(CGRect, CGContext*, __CFDictionary const*, =
__CFDictionary const**)  (in CoreUI) + 2904  [0x7fff97dc5a08]
    +                                                                   =
!         |       +     !               :         |             12 =
CUIArtFileRenderer::Draw(CUIDescriptor const*, CGAffineTransform, =
CUIReturnInfo&)  (in CoreUI) + 1951  [0x7fff97de895f]
    +                                                                   =
!         |       +     !               :         |               12 =
CUIArtFileRenderer::DrawWindowFrameStandard(CUIDescriptor const*)  (in =
CoreUI) + 4150  [0x7fff97de35a4]
    +                                                                   =
!         |       +     !               :         |                 12 =
CGContextDrawImages  (in CoreGraphics) + 224  [0x7fff8eed9d11]
    +                                                                   =
!         |       +     !               :         |                   12 =
ripc_DrawImages  (in libRIP.A.dylib) + 5556  [0x7fff971a4021]
    +                                                                   =
!         |       +     !               :         |                     =
12 ripc_RenderImage  (in libRIP.A.dylib) + 262  [0x7fff971a16aa]
    +                                                                   =
!         |       +     !               :         |                      =
 11 RIPLayerBltImage  (in libRIP.A.dylib) + 296  [0x7fff971a19b4]
    +                                                                   =
!         |       +     !               :         |                      =
 + 11 ripd_Lock  (in libRIP.A.dylib) + 43  [0x7fff9719b487]
    +                                                                   =
!         |       +     !               :         |                      =
 +   11 CGSDeviceLock  (in CoreGraphics) + 240  [0x7fff8eead743]
    +                                                                   =
!         |       +     !               :         |                      =
 +     11 _CGSLockWindow  (in CoreGraphics) + 3765  [0x7fff8eeae830]
    +                                                                   =
!         |       +     !               :         |                      =
 +       11 _CGSSynchronizeWindowBackingStore  (in CoreGraphics) + 97  =
[0x7fff8ef2ca1b]
    +                                                                   =
!         |       +     !               :         |                      =
 +         11 mach_msg  (in libsystem_kernel.dylib) + 64  =
[0x7fff9896bd18]
    +                                                                   =
!         |       +     !               :         |                      =
 +           11 mach_msg_trap  (in libsystem_kernel.dylib) + 10  =
[0x7fff9896ca1a]
    +                                                                   =
!         |       +     !               :         |                      =
 1 RIPLayerBltImage  (in libRIP.A.dylib) + 1189  [0x7fff971a1d31]
    +                                                                   =
!         |       +     !               :         |                      =
   1 ripd_Mark  (in libRIP.A.dylib) + 290  [0x7fff971a1ea4]
    +                                                                   =
!         |       +     !               :         |                      =
     1 argb32_image  (in CoreGraphics) + 1854  [0x7fff8eec582a]
    +                                                                   =
!         |       +     !               :         |                      =
       1 argb32_mark  (in CoreGraphics) + 1907  [0x7fff8eeaf869]
    +                                                                   =
!         |       +     !               :         |                      =
         1 shape_enum_clip_alloc  (in CoreGraphics) + 32  =
[0x7fff8ef16ea8]
    +                                                                   =
!         |       +     !               :         |                      =
           1 shape_check  (in CoreGraphics) + 1  [0x7fff8eea1c6a]
    +                                                                   =
!         |       +     !               :         1 -[NSThemeFrame =
_drawTitleStringInClip:]  (in AppKit) + 186  [0x7fff90f89f38]
    +                                                                   =
!         |       +     !               :           1 -[NSTitledFrame =
_drawTitleStringIn:withColor:]  (in AppKit) + 466  [0x7fff90f8a127]
    +                                                                   =
!         |       +     !               :             1 _NSDrawTextCell  =
(in AppKit) + 6400  [0x7fff90f8ba30]
    +                                                                   =
!         |       +     !               :               1 =
_NSStringDrawingCore  (in AppKit) + 5392  [0x7fff90f8d9cb]
    +                                                                   =
!         |       +     !               :                 1 =
-[NSLineFragmentRenderingContext drawAtPoint:inContext:]  (in AppKit) + =
5259  [0x7fff90f8f178]
    +                                                                   =
!         |       +     !               :                   1 =
-[CUICatalog =
drawGlyphs:atPositions:inContext:withFont:count:stylePresetName:styleConfi=
guration:foregroundColor:]  (in CoreUI) + 2473  [0x7fff97e6c330]
    +                                                                   =
!         |       +     !               :                     1 =
-[CUITextEffectStack =
drawGlyphs:inContext:usingFont:atPositions:count:lineHeight:inBounds:atSca=
le:]  (in CoreUI) + 1691  [0x7fff97e1b624]
    +                                                                   =
!         |       +     !               :                       1 =
CTFontDrawGlyphsAtPositions  (in CoreText) + 269  [0x7fff950dbd0f]
    +                                                                   =
!         |       +     !               :                         1 =
draw_glyphs  (in CoreGraphics) + 1449  [0x7fff8f1f8d15]
    +                                                                   =
!         |       +     !               :                           1 =
ripc_DrawGlyphs  (in libRIP.A.dylib) + 2204  [0x7fff9719c1da]
    +                                                                   =
!         |       +     !               :                             1 =
draw_glyph_bitmaps  (in libRIP.A.dylib) + 1739  [0x7fff9719cd4a]
    +                                                                   =
!         |       +     !               :                               =
1 render_glyphs  (in libRIP.A.dylib) + 197  [0x7fff9719da7f]
    +                                                                   =
!         |       +     !               :                                =
 1 CGGlyphBuilder::lock_glyph_bitmaps(CGGlyphIdentifier const*, unsigned =
long, CGGlyphBitmap const**)  (in CoreGraphics) + 48  [0x7fff8eeb8d26]
    +                                                                   =
!         |       +     !               :                                =
   1 CGFontCacheLockStrike  (in CoreGraphics) + 118  [0x7fff8eeb8e12]
    +                                                                   =
!         |       +     !               :                                =
     1 CFDictionaryGetValue  (in CoreFoundation) + 118  [0x7fff8e1a6d36]
    +                                                                   =
!         |       +     !               2 -[NSView =
_recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRe=
ctForView:topView:]  (in AppKit) + 6151  [0x7fff90f81ce4]
    +                                                                   =
!         |       +     !                 2 -[NSView =
_recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRe=
ctForView:topView:]  (in AppKit) + 841  [0x7fff90f80826]
    +                                                                   =
!         |       +     !                   1 -[NSView =
_recursiveDisplayAllDirtyWithLockFocus:visRect:]  (in AppKit) + 1799  =
[0x7fff90f829e4]
    +                                                                   =
!         |       +     !                   | 1 -[NSView =
_drawRect:clip:]  (in AppKit) + 3748  [0x7fff90f8416f]
    +                                                                   =
!         |       +     !                   |   1 -[NSControl drawRect:] =
 (in AppKit) + 341  [0x7fff90f91588]
    +                                                                   =
!         |       +     !                   |     1 -[NSButtonCell =
drawWithFrame:inView:]  (in AppKit) + 428  [0x7fff90f928e2]
    +                                                                   =
!         |       +     !                   |       1 -[NSButtonCell =
drawInteriorWithFrame:inView:]  (in AppKit) + 1844  [0x7fff90f930b6]
    +                                                                   =
!         |       +     !                   |         1 -[NSButtonCell =
_configureAndDrawImageWithRect:cellFrame:controlView:]  (in AppKit) + =
440  [0x7fff90f93368]
    +                                                                   =
!         |       +     !                   |           1 =
-[_NSThemeFullScreenButtonCell drawImage:withFrame:inView:]  (in AppKit) =
+ 118  [0x7fff90fb13ef]
    +                                                                   =
!         |       +     !                   |             1 -[NSImage =
_drawMappingAlignmentRectToRect:withState:backgroundStyle:operation:fracti=
on:flip:hints:]  (in AppKit) + 2385  [0x7fff90f94357]
    +                                                                   =
!         |       +     !                   |               1 =
-[NSImageRep =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]  (in =
AppKit) + 1073  [0x7fff90f95508]
    +                                                                   =
!         |       +     !                   |                 1 =
__74-[NSImageRep =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]_block_invoke=
  (in AppKit) + 1147  [0x7fff90f95b9a]
    +                                                                   =
!         |       +     !                   |                   1 =
NSGraphicsContextPushContextWithFlippedMetadata_drawWithBlock_  (in =
AppKit) + 326  [0x7fff90f95f39]
    +                                                                   =
!         |       +     !                   |                     1 =
__74-[NSImageRep =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]_block_invoke=
_2  (in AppKit) + 64  [0x7fff90f95fdf]
    +                                                                   =
!         |       +     !                   |                       1 =
-[NSImageRep drawInRect:]  (in AppKit) + 296  [0x7fff90f9612c]
    +                                                                   =
!         |       +     !                   |                         1 =
-[NSCoreUIImageRep draw]  (in AppKit) + 313  [0x7fff90f962f3]
    +                                                                   =
!         |       +     !                   |                           =
1 CUIDraw  (in CoreUI) + 178  [0x7fff97df448a]
    +                                                                   =
!         |       +     !                   |                            =
 1 CUIRenderer::Draw(CGRect, CGContext*, __CFDictionary const*, =
__CFDictionary const**)  (in CoreUI) + 2904  [0x7fff97dc5a08]
    +                                                                   =
!         |       +     !                   |                            =
   1 CUIArtFileRenderer::Draw(CUIDescriptor const*, CGAffineTransform, =
CUIReturnInfo&)  (in CoreUI) + 1925  [0x7fff97de8945]
    +                                                                   =
!         |       +     !                   |                            =
     1 CUIRenderer::DrawImage(CGRect, long, CUIDescriptor const*) const  =
(in CoreUI) + 560  [0x7fff97e01db2]
    +                                                                   =
!         |       +     !                   |                            =
       1 CUIRenderer::CreateImage(long, CUIDescriptor const*, CGRect*, =
double*, unsigned short*, unsigned char*) const  (in CoreUI) + 1  =
[0x7fff97dfcceb]
    +                                                                   =
!         |       +     !                   1 -[NSView =
_recursiveDisplayAllDirtyWithLockFocus:visRect:]  (in AppKit) + 2787  =
[0x7fff90f82dc0]
    +                                                                   =
!         |       +     !                     1 -[NSView =
_recursiveDisplayAllDirtyWithLockFocus:visRect:]  (in AppKit) + 2787  =
[0x7fff90f82dc0]
    +                                                                   =
!         |       +     !                       1 -[NSToolbarItemViewer =
_recursiveDisplayAllDirtyWithLockFocus:visRect:]  (in AppKit) + 199  =
[0x7fff91068238]
    +                                                                   =
!         |       +     !                         1 -[NSView =
_recursiveDisplayAllDirtyWithLockFocus:visRect:]  (in AppKit) + 2787  =
[0x7fff90f82dc0]
    +                                                                   =
!         |       +     !                           1 -[NSView =
_recursiveDisplayAllDirtyWithLockFocus:visRect:]  (in AppKit) + 1799  =
[0x7fff90f829e4]
    +                                                                   =
!         |       +     !                             1 -[NSView =
_drawRect:clip:]  (in AppKit) + 3748  [0x7fff90f8416f]
    +                                                                   =
!         |       +     !                               1 -[NSControl =
drawRect:]  (in AppKit) + 341  [0x7fff90f91588]
    +                                                                   =
!         |       +     !                                 1 =
-[NSButtonCell drawWithFrame:inView:]  (in AppKit) + 498  =
[0x7fff90f92928]
    +                                                                   =
!         |       +     !                                   1 =
-[NSButtonCell drawInteriorWithFrame:inView:]  (in AppKit) + 1844  =
[0x7fff90f930b6]
    +                                                                   =
!         |       +     !                                     1 =
-[NSButtonCell _configureAndDrawImageWithRect:cellFrame:controlView:]  =
(in AppKit) + 440  [0x7fff90f93368]
    +                                                                   =
!         |       +     !                                       1 =
-[_NSToolbarButtonCell drawImage:withFrame:inView:]  (in AppKit) + 260  =
[0x7fff91559da4]
    +                                                                   =
!         |       +     !                                         1 =
-[NSButtonCell drawImage:withFrame:inView:]  (in AppKit) + 1132  =
[0x7fff90f9390b]
    +                                                                   =
!         |       +     !                                           1 =
-[NSImage =
_drawMappingAlignmentRectToRect:withState:backgroundStyle:operation:fracti=
on:flip:hints:]  (in AppKit) + 1453  [0x7fff90f93fb3]
    +                                                                   =
!         |       +     !                                             1 =
-[NSImage drawInRect:fromRect:operation:fraction:respectFlipped:hints:]  =
(in AppKit) + 1447  [0x7fff90f949cc]
    +                                                                   =
!         |       +     !                                               =
1 -[NSImage _usingBestRepresentationForRect:context:hints:body:]  (in =
AppKit) + 170  [0x7fff90f203d6]
    +                                                                   =
!         |       +     !                                                =
 1 __71-[NSImage =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]_block_invoke=
  (in AppKit) + 896  [0x7fff90f94e4e]
    +                                                                   =
!         |       +     !                                                =
   1 -[NSImageRep =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]  (in =
AppKit) + 1073  [0x7fff90f95508]
    +                                                                   =
!         |       +     !                                                =
     1 __74-[NSImageRep =
drawInRect:fromRect:operation:fraction:respectFlipped:hints:]_block_invoke=
  (in AppKit) + 835  [0x7fff90f95a62]
    +                                                                   =
!         |       +     !                                                =
       1 CGContextDrawImage  (in CoreGraphics) + 457  [0x7fff8eec13a4]
    +                                                                   =
!         |       +     !                                                =
         1 ripc_DrawImage  (in libRIP.A.dylib) + 444  [0x7fff9719f940]
    +                                                                   =
!         |       +     1 __CFRunLoopRun  (in CoreFoundation) + 831  =
[0x7fff8e20d62f]
    +                                                                   =
!         |       +       1 __CFRunLoopDoSources0  (in CoreFoundation) + =
107  [0x7fff8e20de1b]
    +                                                                   =
!         |       +         1 CFSetApplyFunction  (in CoreFoundation) + =
173  [0x7fff8e1fb57d]
    +                                                                   =
!         |       +           1 CFBasicHashApply  (in CoreFoundation) + =
75  [0x7fff8e1dfb0b]
    +                                                                   =
!         |       +             1 CFBasicHashGetBucket  (in =
CoreFoundation) + 1  [0x7fff8e1ca591]
    +                                                                   =
!         |       1 ReceiveNextEventCommon  (in HIToolbox) + 229  =
[0x7fff909966bd]
    +                                                                   =
!         |         1 AcquireEventFromQueue  (in HIToolbox) + 527  =
[0x7fff909a2795]
    +                                                                   =
!         |           1 _NotifyEventLoopObservers  (in HIToolbox) + 155  =
[0x7fff9096fac9]
    +                                                                   =
!         |             1 HIApplication::EventObserver(unsigned int, =
OpaqueEventRef*, void*)  (in HIToolbox) + 98  [0x7fff909a2c16]
    +                                                                   =
!         |               1 =
HIApplication::HandleActivated(OpaqueEventRef*, unsigned char, =
OpaqueWindowPtr*)  (in HIToolbox) + 421  [0x7fff909a410d]
    +                                                                   =
!         |                 1 HIApplication::FrontUILost()  (in =
HIToolbox) + 46  [0x7fff909ffed2]
    +                                                                   =
!         |                   1 =
SyncWindowGroupLevelsOnActivationChange()  (in HIToolbox) + 22  =
[0x7fff909a442f]
    +                                                                   =
!         |                     1 CGSUpdateManager::disable_update()  =
(in CoreGraphics) + 147  [0x7fff8eebf459]
    +                                                                   =
!         |                       1 operator new(unsigned long)  (in =
libc++.1.dylib) + 30  [0x7fff92f4228e]
    +                                                                   =
!         |                         1 malloc  (in =
libsystem_malloc.dylib) + 42  [0x7fff8ee3a27c]
    +                                                                   =
!         |                           1 malloc_zone_malloc  (in =
libsystem_malloc.dylib) + 71  [0x7fff8ee39868]
    +                                                                   =
!         |                             1 nano_malloc  (in =
libsystem_malloc.dylib) + 35  [0x7fff8ee3b6b0]
    +                                                                   =
!         |                               1 _nano_malloc_check_clear  =
(in libsystem_malloc.dylib) + 290  [0x7fff8ee3cd15]
    +                                                                   =
!         2 -[EmacsApp run]  (in Emacs) + 239  [0x1001af18f]
    +                                                                   =
!           2 -[EmacsApp sendEvent:]  (in Emacs) + 363  [0x1001af41b]
    +                                                                   =
!             2 -[NSApplication sendEvent:]  (in AppKit) + 5608  =
[0x7fff90fc94e7]
    +                                                                   =
!               1 endKeyAndMain  (in AppKit) + 81  [0x7fff9116beb2]
    +                                                                   =
!               + 1 -[NSWindow resignKeyWindow]  (in AppKit) + 574  =
[0x7fff910696e0]
    +                                                                   =
!               +   1 -[NSWindow(NSWindow_Theme) resignKeyAppearance]  =
(in AppKit) + 336  [0x7fff91069aed]
    +                                                                   =
!               +     1 -[NSWindow _setFrameNeedsDisplay:]  (in AppKit) =
+ 162  [0x7fff90f6f86b]
    +                                                                   =
!               +       1 -[NSFrameView _windowChangedKeyState]  (in =
AppKit) + 95  [0x7fff90f6fd1b]
    +                                                                   =
!               +         1 -[NSView _windowChangedKeyState]  (in =
AppKit) + 319  [0x7fff90f6feee]
    +                                                                   =
!               +           1 -[NSToolbarView _windowChangedKeyState]  =
(in AppKit) + 45  [0x7fff90f733b5]
    +                                                                   =
!               +             1 -[NSView _windowChangedKeyState]  (in =
AppKit) + 319  [0x7fff90f6feee]
    +                                                                   =
!               +               1 -[NSView _windowChangedKeyState]  (in =
AppKit) + 319  [0x7fff90f6feee]
    +                                                                   =
!               +                 1 -[NSToolbarItemViewer =
_windowChangedKeyState]  (in AppKit) + 43  [0x7fff90f73494]
    +                                                                   =
!               +                   1 -[NSView _windowChangedKeyState]  =
(in AppKit) + 850  [0x7fff90f70101]
    +                                                                   =
!               +                     1 -[NSView(NSInternal) =
_enableOrDisableTrackingAreas]  (in AppKit) + 188  [0x7fff90f65fbb]
    +                                                                   =
!               +                       1 -[NSView(NSInternal) =
_disableTrackingArea:]  (in AppKit) + 84  [0x7fff91069c2d]
    +                                                                   =
!               +                         1 -[NSWindow =
_disableTrackingArea:]  (in AppKit) + 105  [0x7fff91069d7d]
    +                                                                   =
!               +                           1 _CGSSetTrackingAreaEnabled =
 (in CoreGraphics) + 93  [0x7fff8eef24a7]
    +                                                                   =
!               +                             1 mach_msg  (in =
libsystem_kernel.dylib) + 64  [0x7fff9896bd18]
    +                                                                   =
!               +                               1 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                   =
!               1 endKeyAndMain  (in AppKit) + 137  [0x7fff9116beea]
    +                                                                   =
!                 1 -[NSWindow _setFrameNeedsDisplay:]  (in AppKit) + =
162  [0x7fff90f6f86b]
    +                                                                   =
!                   1 -[NSFrameView _windowChangedKeyState]  (in AppKit) =
+ 95  [0x7fff90f6fd1b]
    +                                                                   =
!                     1 -[NSView _windowChangedKeyState]  (in AppKit) + =
319  [0x7fff90f6feee]
    +                                                                   =
!                       1 -[NSToolbarView _windowChangedKeyState]  (in =
AppKit) + 45  [0x7fff90f733b5]
    +                                                                   =
!                         1 -[NSView _windowChangedKeyState]  (in =
AppKit) + 319  [0x7fff90f6feee]
    +                                                                   =
!                           1 -[NSView _windowChangedKeyState]  (in =
AppKit) + 319  [0x7fff90f6feee]
    +                                                                   =
!                             1 -[NSToolbarItemViewer =
_windowChangedKeyState]  (in AppKit) + 43  [0x7fff90f73494]
    +                                                                   =
!                               1 -[NSView _windowChangedKeyState]  (in =
AppKit) + 53  [0x7fff90f6fde4]
    +                                                                   =
!                                 1 -[NSView =
_installPrefetchIdleTimerIfNecessary]  (in AppKit) + 52  =
[0x7fff90e4601d]
    +                                                                   =
!                                   1 -[NSView _wantsToPrefetchContent]  =
(in AppKit) + 116  [0x7fff90e461c9]
    +                                                                   =
!                                     1 -[NSApplication memoryStatus]  =
(in AppKit) + 0  [0x7fff90e46213]
    +                                                                   =
107 update_window  (in Emacs) + 286  [0x100004d5e]
    +                                                                    =
 78 update_window_line  (in Emacs) + 664  [0x100009fc8]
    +                                                                    =
 : 78 x_write_glyphs  (in Emacs) + 166  [0x1000357d6]
    +                                                                    =
 :   78 draw_glyphs  (in Emacs) + 15988  [0x1000396b4]
    +                                                                    =
 :     43 ns_draw_glyph_string  (in Emacs) + 2167  [0x1001bf047]
    +                                                                    =
 :     | 42 macfont_draw  (in Emacs) + 1864  [0x1001d2508]
    +                                                                    =
 :     | + 42 draw_glyphs  (in CoreGraphics) + 1449  [0x7fff8f1f8d15]
    +                                                                    =
 :     | +   42 ripc_DrawGlyphs  (in libRIP.A.dylib) + 2204  =
[0x7fff9719c1da]
    +                                                                    =
 :     | +     42 draw_glyph_bitmaps  (in libRIP.A.dylib) + 1739  =
[0x7fff9719cd4a]
    +                                                                    =
 :     | +       42 render_glyphs  (in libRIP.A.dylib) + 341  =
[0x7fff9719db0f]
    +                                                                    =
 :     | +         41 render_glyph_list  (in libRIP.A.dylib) + 413  =
[0x7fff9719de2b]
    +                                                                    =
 :     | +         ! 41 RIPLayerBltGlyph  (in libRIP.A.dylib) + 538  =
[0x7fff9719e080]
    +                                                                    =
 :     | +         !   41 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                    =
 :     | +         !     41 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                    =
 :     | +         !       41 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                    =
 :     | +         !         41 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                    =
 :     | +         !           41 mach_msg  (in libsystem_kernel.dylib) =
+ 64  [0x7fff9896bd18]
    +                                                                    =
 :     | +         !             41 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                    =
 :     | +         1 render_glyph_list  (in libRIP.A.dylib) + 305  =
[0x7fff9719ddbf]
    +                                                                    =
 :     | +           1 ripc_GetColor  (in libRIP.A.dylib) + 684  =
[0x7fff9719992a]
    +                                                                    =
 :     | +             1 CGGStateGetFontSmoothingBackgroundColor  (in =
CoreGraphics) + 4  [0x7fff8eebca7d]
    +                                                                    =
 :     | 1 macfont_draw  (in Emacs) + 1205  [0x1001d2275]
    +                                                                    =
 :     |   1 xmalloc  (in Emacs) + 1  [0x10011a581]
    +                                                                    =
 :     34 ns_draw_glyph_string  (in Emacs) + 1051  [0x1001bebeb]
    +                                                                    =
 :     | 34 ns_maybe_dumpglyphs_background  (in Emacs) + 496  =
[0x1001c0a30]
    +                                                                    =
 :     |   34 NSRectFill  (in AppKit) + 271  [0x7fff90fb2d8f]
    +                                                                    =
 :     |     34 CGContextFillRects  (in CoreGraphics) + 96  =
[0x7fff8eeaa0da]
    +                                                                    =
 :     |       34 ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
    +                                                                    =
 :     |         34 ripc_Render  (in libRIP.A.dylib) + 304  =
[0x7fff97199468]
    +                                                                    =
 :     |           34 RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
    +                                                                    =
 :     |             34 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                    =
 :     |               34 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                    =
 :     |                 34 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                    =
 :     |                   34 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                    =
 :     |                     34 mach_msg  (in libsystem_kernel.dylib) + =
64  [0x7fff9896bd18]
    +                                                                    =
 :     |                       34 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fff9896ca1a]
    +                                                                    =
 :     1 ns_draw_glyph_string  (in Emacs) + 2597  [0x1001bf1f5]
    +                                                                    =
 :       1 -[NSWindow flushWindow]  (in AppKit) + 468  [0x7fff90fb36e0]
    +                                                                    =
 :         1 -[NSObject respondsToSelector:]  (in libobjc.A.dylib) + 38  =
[0x7fff99065e81]
    +                                                                    =
 :           1 class_respondsToSelector  (in libobjc.A.dylib) + 0  =
[0x7fff99050165]
    +                                                                    =
 29 update_window_line  (in Emacs) + 1085  [0x10000a16d]
    +                                                                    =
   16 ns_after_update_window_line  (in Emacs) + 147  [0x1001bdb53]
    +                                                                    =
   | 16 ns_clear_frame_area  (in Emacs) + 534  [0x1001b8ab6]
    +                                                                    =
   |   16 NSRectFill  (in AppKit) + 271  [0x7fff90fb2d8f]
    +                                                                    =
   |     16 CGContextFillRects  (in CoreGraphics) + 96  [0x7fff8eeaa0da]
    +                                                                    =
   |       16 ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
    +                                                                    =
   |         16 ripc_Render  (in libRIP.A.dylib) + 304  [0x7fff97199468]
    +                                                                    =
   |           16 RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
    +                                                                    =
   |             15 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                    =
   |             + 15 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                    =
   |             +   15 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                    =
   |             +     15 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                    =
   |             +       15 mach_msg  (in libsystem_kernel.dylib) + 64  =
[0x7fff9896bd18]
    +                                                                    =
   |             +         15 mach_msg_trap  (in libsystem_kernel.dylib) =
+ 10  [0x7fff9896ca1a]
    +                                                                    =
   |             1 ripd_Lock  (in libRIP.A.dylib) + 383  =
[0x7fff9719b5db]
    +                                                                    =
   13 ns_after_update_window_line  (in Emacs) + 173  [0x1001bdb6d]
    +                                                                    =
     13 ns_clear_frame_area  (in Emacs) + 534  [0x1001b8ab6]
    +                                                                    =
       13 NSRectFill  (in AppKit) + 271  [0x7fff90fb2d8f]
    +                                                                    =
         13 CGContextFillRects  (in CoreGraphics) + 96  [0x7fff8eeaa0da]
    +                                                                    =
           13 ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
    +                                                                    =
             13 ripc_Render  (in libRIP.A.dylib) + 304  [0x7fff97199468]
    +                                                                    =
               13 RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
    +                                                                    =
                 13 ripd_Lock  (in libRIP.A.dylib) + 43  =
[0x7fff9719b487]
    +                                                                    =
                   13 CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
    +                                                                    =
                     13 _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
    +                                                                    =
                       13 _CGSSynchronizeWindowBackingStore  (in =
CoreGraphics) + 97  [0x7fff8ef2ca1b]
    +                                                                    =
                         13 mach_msg  (in libsystem_kernel.dylib) + 64  =
[0x7fff9896bd18]
    +                                                                    =
                           13 mach_msg_trap  (in libsystem_kernel.dylib) =
+ 10  [0x7fff9896ca1a]
    2588 Thread_1510687   DispatchQueue_2: com.apple.libdispatch-manager =
 (serial)
    + 2588 _dispatch_mgr_thread  (in libdispatch.dylib) + 52  =
[0x7fff8fba0152]
    +   2588 _dispatch_mgr_invoke  (in libdispatch.dylib) + 239  =
[0x7fff8fba043d]
    +     2588 kevent64  (in libsystem_kernel.dylib) + 10  =
[0x7fff98971662]
    2588 Thread_1510708
    + 2588 thread_start  (in libsystem_pthread.dylib) + 13  =
[0x7fff999a5fc9]
    +   2588 _pthread_start  (in libsystem_pthread.dylib) + 137  =
[0x7fff999a172a]
    +     2588 _pthread_body  (in libsystem_pthread.dylib) + 138  =
[0x7fff999a1899]
    +       2588 __NSThread__main__  (in Foundation) + 1318  =
[0x7fff96efa76b]
    +         2588 -[EmacsApp fd_handler:]  (in Emacs) + 429  =
[0x1001b0c6d]
    +           2588 __select  (in libsystem_kernel.dylib) + 10  =
[0x7fff989709aa]
    2588 Thread_1510728
    + 2588 thread_start  (in libsystem_pthread.dylib) + 13  =
[0x7fff999a5fc9]
    +   2588 _pthread_start  (in libsystem_pthread.dylib) + 137  =
[0x7fff999a172a]
    +     2588 _pthread_body  (in libsystem_pthread.dylib) + 138  =
[0x7fff999a1899]
    +       2588 _NSEventThread  (in AppKit) + 144  [0x7fff90fc516e]
    +         2588 CFRunLoopRunSpecific  (in CoreFoundation) + 309  =
[0x7fff8e20d0b5]
    +           2588 __CFRunLoopRun  (in CoreFoundation) + 1161  =
[0x7fff8e20d779]
    +             2588 __CFRunLoopServiceMachPort  (in CoreFoundation) + =
181  [0x7fff8e20e155]
    +               2588 mach_msg  (in libsystem_kernel.dylib) + 64  =
[0x7fff9896bd18]
    +                 2588 mach_msg_trap  (in libsystem_kernel.dylib) + =
10  [0x7fff9896ca1a]
    2588 Thread_1539982
    + 2588 start_wqthread  (in libsystem_pthread.dylib) + 13  =
[0x7fff999a5fb9]
    +   2588 _pthread_wqthread  (in libsystem_pthread.dylib) + 330  =
[0x7fff999a2f08]
    +     2588 __workq_kernreturn  (in libsystem_kernel.dylib) + 10  =
[0x7fff98970e6a]
    2588 Thread_1539986
      2588 start_wqthread  (in libsystem_pthread.dylib) + 13  =
[0x7fff999a5fb9]
        2588 _pthread_wqthread  (in libsystem_pthread.dylib) + 330  =
[0x7fff999a2f08]
          2588 __workq_kernreturn  (in libsystem_kernel.dylib) + 10  =
[0x7fff98970e6a]

Total number in stack (recursive counted multiple, when >=3D5):
        14       mach_msg_trap  (in libsystem_kernel.dylib) + 0  =
[0x7fff9896ca10]
        13       mach_msg  (in libsystem_kernel.dylib) + 64  =
[0x7fff9896bd18]
        11       CGSDeviceLock  (in CoreGraphics) + 240  =
[0x7fff8eead743]
        11       _CGSLockWindow  (in CoreGraphics) + 3765  =
[0x7fff8eeae830]
        11       _CGSSynchronizeWindowBackingStore  (in CoreGraphics) + =
97  [0x7fff8ef2ca1b]
        11       ripd_Lock  (in libRIP.A.dylib) + 43  [0x7fff9719b487]
        8       CGContextFillRects  (in CoreGraphics) + 96  =
[0x7fff8eeaa0da]
        8       RIPLayerBltShape  (in libRIP.A.dylib) + 463  =
[0x7fff9719b027]
        8       ripc_DrawRects  (in libRIP.A.dylib) + 399  =
[0x7fff971952e1]
        8       ripc_Render  (in libRIP.A.dylib) + 304  [0x7fff97199468]
        7       NSRectFill  (in AppKit) + 271  [0x7fff90fb2d8f]
        6       -[NSView _windowChangedKeyState]  (in AppKit) + 319  =
[0x7fff90f6feee]

Sort by top of stack, same collapsed (when >=3D 5):
        __workq_kernreturn  (in libsystem_kernel.dylib)        5176
        mach_msg_trap  (in libsystem_kernel.dylib)        5107
        __select  (in libsystem_kernel.dylib)        2588
        kevent64  (in libsystem_kernel.dylib)        2588

Binary Images:
       0x100000000 -        0x100216ff7 +org.gnu.Emacs (Version 24.4.50 =
- 9.0) <D6D80570-EFE3-33FB-B5CE-74354E23DEC2> =
/Applications/Emacs.app/Contents/MacOS/Emacs
       0x100610000 -        0x1006faff7 +libxml2.2.dylib (0) =
<4A2FCD52-789D-321E-8648-3EADC2770E14> /opt/local/lib/libxml2.2.dylib
       0x10072c000 -        0x10075dff7 +libncurses.5.dylib (0) =
<5FD4E3F4-FFC2-33EE-8F63-1F0F6C44BBEA> /opt/local/lib/libncurses.5.dylib
       0x10076c000 -        0x10077bff7 +libz.1.dylib (0) =
<EE52BDB8-6083-3F10-A193-2E52AAF555E7> /opt/local/lib/libz.1.dylib
       0x10077f000 -        0x100799ff7 +liblzma.5.dylib (0) =
<A7A21135-8AE9-3310-A954-CB5F3FC97AB8> /opt/local/lib/liblzma.5.dylib
       0x10079f000 -        0x100892ff7 +libiconv.2.dylib (0) =
<103D57C8-BE15-3BF8-BDBE-53EDBDD0B6A4> /opt/local/lib/libiconv.2.dylib
       0x100ae2000 -        0x100ae3fe4 +cl_kernels (???) =
<826B497D-80E8-4918-AEC6-ABEDC3418124> cl_kernels
       0x100af1000 -        0x100af2ff9 +cl_kernels (???) =
<D73D1486-27C6-42FD-995C-355CCEE06BFF> cl_kernels
       0x100fef000 -        0x100ff3ffd  libFontRegistryUI.dylib (127) =
<57DE4E73-B65B-3712-9815-81018E72501A> =
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ATS.fr=
amework/Resources/libFontRegistryUI.dylib
       0x103bfc000 -        0x103bfcfff +cl_kernels (???) =
<F839F17F-1D43-430C-8B21-3DF9995B6D79> cl_kernels
       0x109e20000 -        0x109f06fef  unorm8_bgra.dylib (2.3.58) =
<6E7397EF-CC78-3C15-8B21-05E7FB47F645> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_bgra.dylib
       0x10c17c000 -        0x10c25cff7  unorm8_rgba.dylib (2.3.58) =
<A7948EC2-646C-3F16-91D5-EBFCEA7BB864> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_rgba.dylib
    0x7fff645cc000 -     0x7fff645ff817  dyld (239.4 - ???) =
<2B17750C-ED1B-3060-B64E-21897D08B28B> /usr/lib/dyld
    0x7fff8ca62000 -     0x7fff8ca69ff3  libcopyfile.dylib (103) =
<5A881779-D0D6-3029-B371-E3021C2DDA5E> /usr/lib/system/libcopyfile.dylib
    0x7fff8ca6a000 -     0x7fff8ca6bff7  libsystem_blocks.dylib (63) =
<FB856CD1-2AEA-3907-8E9B-1E54B6827F82> =
/usr/lib/system/libsystem_blocks.dylib
    0x7fff8ca6c000 -     0x7fff8ca75ff3  libsystem_notify.dylib (121) =
<52571EC3-6894-37E4-946E-064B021ED44E> =
/usr/lib/system/libsystem_notify.dylib
    0x7fff8ca76000 -     0x7fff8ca77fff  liblangid.dylib (117) =
<9546E641-F730-3AB0-B3CD-E0E2FDD173D9> /usr/lib/liblangid.dylib
    0x7fff8ca81000 -     0x7fff8ca83fff  com.apple.EFILogin (2.0 - 2) =
<C360E8AF-E9BB-3BBA-9DF0-57A92CEF00D4> =
/System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff8cc2a000 -     0x7fff8cc2bfff  libunc.dylib (28) =
<62682455-1862-36FE-8A04-7A6B91256438> /usr/lib/system/libunc.dylib
    0x7fff8cc2c000 -     0x7fff8cc35ff7  libcldcpuengine.dylib (2.3.58) =
<C8785704-6195-3129-86CA-20F0F3C20F15> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpu=
engine.dylib
    0x7fff8cc53000 -     0x7fff8cc59fff  com.apple.AOSNotification =
(1.7.0 - 760.3) <7901B867-60F7-3645-BB3E-18C51A6FBCC6> =
/System/Library/PrivateFrameworks/AOSNotification.framework/Versions/A/AOS=
Notification
    0x7fff8dc35000 -     0x7fff8dc6affc  com.apple.LDAPFramework (2.4.28 =
- 194.5) <4ADD0595-25B9-3F09-897E-3FB790AD2C5A> =
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8ddad000 -     0x7fff8ddb8ff7  com.apple.NetAuth (5.0 - 5.0) =
<C811E662-9EC3-3B74-808A-A75D624F326B> =
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff8ddb9000 -     0x7fff8e19affe  libLAPACK.dylib (1094.5) =
<7E7A9B8D-1638-3914-BAE0-663B69865986> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libLAPACK.dylib
    0x7fff8e19d000 -     0x7fff8e382fff  com.apple.CoreFoundation (6.9 - =
855.14) <617B8A7B-FAB2-3271-A09B-C542E351C532> =
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundat=
ion
    0x7fff8e383000 -     0x7fff8e394ff7  libsystem_asl.dylib (217.1.4) =
<655FB343-52CF-3E2F-B14D-BEBF5AAEF94D> =
/usr/lib/system/libsystem_asl.dylib
    0x7fff8e395000 -     0x7fff8e399ff7  libcache.dylib (62) =
<BDC1E65B-72A1-3DA3-A57C-B23159CAAD0B> /usr/lib/system/libcache.dylib
    0x7fff8e39a000 -     0x7fff8e411fff  =
com.apple.CoreServices.OSServices (600.4 - 600.4) =
<36B2B009-C35E-3F21-824E-E0D00E7808C7> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OS=
Services.framework/Versions/A/OSServices
    0x7fff8e412000 -     0x7fff8e501fff  libFontParser.dylib (111.1) =
<835A8253-6AB9-3AAB-9CBF-171440DEC486> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff8e502000 -     0x7fff8e575fff  com.apple.securityfoundation =
(6.0 - 55122.1) <1939DE0B-BC38-3E50-8A8C-3471C8AC4CD6> =
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/Securit=
yFoundation
    0x7fff8e576000 -     0x7fff8e5dbff5  com.apple.Heimdal (4.0 - 2.0) =
<523EC6C4-BD9B-3840-9376-E617BA627F59> =
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff8e5dc000 -     0x7fff8e60dfff  com.apple.MediaKit (15 - 709) =
<23E33409-5C39-3F93-9E73-2B0E9EE8883E> =
/System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff8e668000 -     0x7fff8e759ff9  libiconv.2.dylib (41) =
<BB44B115-AC32-3877-A0ED-AEC6232A4563> /usr/lib/libiconv.2.dylib
    0x7fff8e762000 -     0x7fff8e7ebff7  libsystem_c.dylib (997.90.3) =
<6FD3A400-4BB2-3B95-B90C-BE6E9D0D78FA> /usr/lib/system/libsystem_c.dylib
    0x7fff8e7ec000 -     0x7fff8e7ecfff  com.apple.Accelerate.vecLib =
(3.9 - vecLib 3.9) <F8D0CC77-98AC-3B58-9FE6-0C25421827B6> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/vecLib
    0x7fff8e81d000 -     0x7fff8e8e1ff7  com.apple.backup.framework =
(1.5.2 - 1.5.2) <A3C552F0-670B-388F-93FA-D917F96ACE1B> =
/System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff8e8e8000 -     0x7fff8e9d2fff  libsqlite3.dylib (158) =
<00269BF9-43BE-39E0-9C85-24585B9923C8> /usr/lib/libsqlite3.dylib
    0x7fff8ea03000 -     0x7fff8ecd7fc7  com.apple.vImage (7.0 - 7.0) =
<D241DBFA-AC49-31E2-893D-EAAC31890C90> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/vImage
    0x7fff8ee26000 -     0x7fff8ee28ffb  libutil.dylib (34) =
<DAC4A6CF-A1BB-3874-9569-A919316D30E8> /usr/lib/libutil.dylib
    0x7fff8ee29000 -     0x7fff8ee44ff7  libsystem_malloc.dylib =
(23.10.1) <A695B4E4-38E9-332E-A772-29D31E3F1385> =
/usr/lib/system/libsystem_malloc.dylib
    0x7fff8ee52000 -     0x7fff8ee56ff7  libsystem_stats.dylib (93.90.3) =
<1A55AF8A-B6C4-3163-B557-3AD25DA643A8> =
/usr/lib/system/libsystem_stats.dylib
    0x7fff8ee57000 -     0x7fff8ee5bff7  libheimdal-asn1.dylib (323.15) =
<B8BF2B7D-E913-3544-AA6D-CAC119F81C7C> /usr/lib/libheimdal-asn1.dylib
    0x7fff8ee5c000 -     0x7fff8ee94ff7  com.apple.RemoteViewServices =
(2.0 - 94) <3F34D630-3DDB-3411-BC28-A56A9B55EBDA> =
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/=
RemoteViewServices
    0x7fff8ee95000 -     0x7fff8f7b4af3  com.apple.CoreGraphics (1.600.0 =
- 599.20.11) <06212100-8069-31A1-9C44-F6C4B1695230> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff8f7c8000 -     0x7fff8f80dffe  com.apple.HIServices (1.22 - =
467.2) <B7FCF008-C241-3862-BC63-E6EF4006A6E4> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/HIServices.framework/Versions/A/HIServices
    0x7fff8f80e000 -     0x7fff8f80eff7  libkeymgr.dylib (28) =
<3AA8D85D-CF00-3BD3-A5A0-E28E1A32A6D8> /usr/lib/system/libkeymgr.dylib
    0x7fff8f80f000 -     0x7fff8f851ff7  libauto.dylib (185.5) =
<F45C36E8-B606-3886-B5B1-B6745E757CA8> /usr/lib/libauto.dylib
    0x7fff8f89c000 -     0x7fff8f89efff  libRadiance.dylib (1042) =
<B91D4B97-7BF3-3285-BCB7-4948BAAC23EE> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadia=
nce.dylib
    0x7fff8f8b1000 -     0x7fff8f8b3fff  libCVMSPluginSupport.dylib =
(9.6) <FFDA2811-060E-3591-A280-4A726AA82436> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPl=
uginSupport.dylib
    0x7fff8fb9d000 -     0x7fff8fbb7fff  libdispatch.dylib (339.90.1) =
<F3CBFE1B-FCE8-3F33-A53D-9092AB382DBB> /usr/lib/system/libdispatch.dylib
    0x7fff8fbbb000 -     0x7fff8fc08ff2  =
com.apple.print.framework.PrintCore (9.0 - 428) =
<8D8253E3-302F-3DB2-9C5C-572CB974E8B3> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8fc16000 -     0x7fff8fc42fff  com.apple.CoreServicesInternal =
(184.9 - 184.9) <4DEA54F9-81D6-3EDB-AA3C-1F9C497B3379> =
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/=
A/CoreServicesInternal
    0x7fff8fc43000 -     0x7fff8fc4efff  libGL.dylib (9.6) =
<A2EF4E15-EA08-396D-A1D4-29E1CED6876A> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dyl=
ib
    0x7fff8fcc4000 -     0x7fff8fcebffb  libsystem_info.dylib (449.1.3) =
<7D41A156-D285-3849-A2C3-C04ADE797D98> =
/usr/lib/system/libsystem_info.dylib
    0x7fff8fcec000 -     0x7fff8fcf6ff7  libcsfde.dylib (380) =
<3A54B430-EC05-3DE9-86C3-00C1BEAC7F9B> /usr/lib/libcsfde.dylib
    0x7fff900c1000 -     0x7fff900c4ffa  libCGXType.A.dylib (599.20.11) =
<C0B41DDE-0988-3652-B03B-9E5EB0DABAEB> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGXType.A.dylib
    0x7fff90179000 -     0x7fff901befff  libcurl.4.dylib (78.90.1) =
<818543D6-0CCE-3F18-9BF1-4D18B81018F3> /usr/lib/libcurl.4.dylib
    0x7fff901bf000 -     0x7fff901daff7  libCRFSuite.dylib (34) =
<FFAE75FA-C54E-398B-AA97-18164CD9789D> /usr/lib/libCRFSuite.dylib
    0x7fff901db000 -     0x7fff90264fff  com.apple.ColorSync (4.9.0 - =
4.9.0) <B756B908-9AD1-3F5D-83F9-7A0B068387D2> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ColorSync.framework/Versions/A/ColorSync
    0x7fff902b5000 -     0x7fff90425ff8  com.apple.CFNetwork (673.2.1 - =
673.2.1) <AE407146-CCF2-33DD-AAEA-6887FD6F45BA> =
/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff90426000 -     0x7fff90859ffb  com.apple.vision.FaceCore =
(3.0.0 - 3.0.0) <F42BFC9C-0B16-35EF-9A07-91B7FDAB7FC5> =
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff908d9000 -     0x7fff9092cfff  com.apple.ScalableUserInterface =
(1.0 - 1) <CF745298-7373-38D2-B3B1-727D5A569E48> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Scal=
ableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff9092f000 -     0x7fff90957ffb  libxslt.1.dylib (13) =
<C9794936-633C-3F0C-9E71-30190B9B41C1> /usr/lib/libxslt.1.dylib
    0x7fff90968000 -     0x7fff90c12ff5  com.apple.HIToolbox (2.1 - =
697.4) <DF5635DD-C255-3A8E-8B49-F6D2FB61FF95> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbo=
x.framework/Versions/A/HIToolbox
    0x7fff90c13000 -     0x7fff90c20ff7  libxar.1.dylib (202) =
<5572AA71-E98D-3FE1-9402-BB4A84E0E71E> /usr/lib/libxar.1.dylib
    0x7fff90c89000 -     0x7fff90d68fff  libcrypto.0.9.8.dylib (50) =
<B95B9DBA-39D3-3EEF-AF43-44608B28894E> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff90d74000 -     0x7fff90dc2fff  libcorecrypto.dylib (161.1) =
<F3973C28-14B6-3006-BB2B-00DD7F09ABC7> =
/usr/lib/system/libcorecrypto.dylib
    0x7fff90dc3000 -     0x7fff90df3fff  com.apple.IconServices (25 - =
25.17) <4751127E-FBD5-3ED5-8510-08D4E4166EFE> =
/System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconSe=
rvices
    0x7fff90e01000 -     0x7fff91977fff  com.apple.AppKit (6.9 - =
1265.19) <12647F2F-3FE2-3D77-B3F0-33EFAFF2CEA7> =
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff920c8000 -     0x7fff921ceff7  com.apple.ImageIO.framework =
(3.3.0 - 1042) <6101F33E-CACC-3070-960A-9A2EA4BC5F44> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff921cf000 -     0x7fff922ffff7  com.apple.desktopservices =
(1.8.2 - 1.8.2) <76D6ED93-9D5A-3941-8B88-A1773290AE74> =
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A=
/DesktopServicesPriv
    0x7fff9287d000 -     0x7fff9290dfff  com.apple.Metadata (10.7.0 - =
800.23) <BFEE576F-D779-300B-B685-26A3A008710A> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Me=
tadata.framework/Versions/A/Metadata
    0x7fff92ef6000 -     0x7fff92f06fff  libbsm.0.dylib (33) =
<2CAC00A2-1352-302A-88FA-C567D4D69179> /usr/lib/libbsm.0.dylib
    0x7fff92f07000 -     0x7fff92f59fff  libc++.1.dylib (120) =
<4F68DFC5-2077-39A8-A449-CAC5FDEE7BDE> /usr/lib/libc++.1.dylib
    0x7fff92f5a000 -     0x7fff9300aff7  libvMisc.dylib (423.32) =
<049C0735-1808-39B9-943F-76CB8021744F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvMisc.dylib
    0x7fff9300b000 -     0x7fff9300fff7  libGIF.dylib (1042) =
<C57840F6-1C11-3273-B4FC-956950B94034> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.d=
ylib
    0x7fff93010000 -     0x7fff93010fff  com.apple.CoreServices (59 - =
59) <7A697B5E-F179-30DF-93F2-8B503CEEEFD5> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff93011000 -     0x7fff932e1ffc  com.apple.CoreImage (9.2.7) =
<BF88A02E-994E-3970-AC62-04248CA8DC46> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Core=
Image.framework/Versions/A/CoreImage
    0x7fff93730000 -     0x7fff93738ff3  libCGCMS.A.dylib (599.20.11) =
<BB1E8D63-9FA1-3588-AC5D-1980576ED62C> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGCMS.A.dylib
    0x7fff93739000 -     0x7fff9377afff  com.apple.PerformanceAnalysis =
(1.47 - 47) <784ED7B8-FAE4-36CE-8C76-B7D300316C9F> =
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A=
/PerformanceAnalysis
    0x7fff9377d000 -     0x7fff93784fff  libcompiler_rt.dylib (35) =
<4CD916B2-1B17-362A-B403-EF24A1DAC141> =
/usr/lib/system/libcompiler_rt.dylib
    0x7fff93785000 -     0x7fff93786ff7  =
libDiagnosticMessagesClient.dylib (100) =
<4CDB0F7B-C0AF-3424-BC39-495696F0DB1E> =
/usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff93bd6000 -     0x7fff93d44ff7  libBLAS.dylib (1094.5) =
<DE93A590-5FA5-32A2-A16C-5D7D7361769F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libBLAS.dylib
    0x7fff93df6000 -     0x7fff9404fff9  com.apple.security (7.0 - =
55471.14) <3F7100A0-FE46-333D-9A4B-396580F1B4FE> =
/System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff94059000 -     0x7fff9405aff7  libsystem_sandbox.dylib =
(278.11) <5E5A6E09-33A9-391A-AB34-E57D93BB1551> =
/usr/lib/system/libsystem_sandbox.dylib
    0x7fff9405b000 -     0x7fff94149fff  libJP2.dylib (1042) =
<01D988D4-E36F-3120-8BA4-EF6282ECB010> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.d=
ylib
    0x7fff94a60000 -     0x7fff94a87ff7  libsystem_network.dylib (241.3) =
<8B1E1F1D-A5CC-3BAE-8B1E-ABC84337A364> =
/usr/lib/system/libsystem_network.dylib
    0x7fff94aaa000 -     0x7fff94ab0ff7  libsystem_platform.dylib =
(24.90.1) <3C3D3DA8-32B9-3243-98EC-D89B9A1670B3> =
/usr/lib/system/libsystem_platform.dylib
    0x7fff94ab1000 -     0x7fff94acdfff  libresolv.9.dylib (54) =
<11C2C826-F1C6-39C6-B4E8-6E0C41D4FA95> /usr/lib/libresolv.9.dylib
    0x7fff94b20000 -     0x7fff94b67ff7  libcups.2.dylib (372.2) =
<37802F24-BCC2-3721-8E12-82B29B61B2AA> /usr/lib/libcups.2.dylib
    0x7fff94b76000 -     0x7fff94b8fff7  com.apple.Ubiquity (1.3 - 289) =
<C7F1B734-CE81-334D-BE41-8B20D95A1F9B> =
/System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff94bea000 -     0x7fff94c01ff7  com.apple.CFOpenDirectory (10.9 =
- 173.90.1) <38A25261-C622-3F11-BFD3-7AFFC44D57B8> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/C=
FOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff94c02000 -     0x7fff94c0cfff  libcommonCrypto.dylib (60049) =
<8C4F0CA0-389C-3EDC-B155-E62DD2187E1D> =
/usr/lib/system/libcommonCrypto.dylib
    0x7fff94e3e000 -     0x7fff94e59ff7  libPng.dylib (1042) =
<36FF1DDA-9804-33C5-802E-3FCA9879F0E6> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.d=
ylib
    0x7fff94f35000 -     0x7fff94f38ffc  com.apple.IOSurface (91 - 91) =
<07CA8A59-1E32-3FB6-B506-18DAF58A8CE0> =
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff94f46000 -     0x7fff9500ffff  com.apple.LaunchServices =
(572.26 - 572.26) <EF8A4A15-0861-35C5-9744-5E1BC5C26DD9> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/La=
unchServices.framework/Versions/A/LaunchServices
    0x7fff95017000 -     0x7fff95072ffb  com.apple.AE (665.5 - 665.5) =
<BBA230F9-144C-3CAB-A77A-0621719244CD> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE=
.framework/Versions/A/AE
    0x7fff950b4000 -     0x7fff95176ff5  com.apple.CoreText (352.0 - =
367.19) <24848DF1-67EC-3D41-9548-1F14C6DFBBF9> =
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff95178000 -     0x7fff951e2ff7  com.apple.framework.IOKit =
(2.0.1 - 907.90.2) <A779DE46-BB7E-36FD-9348-694F9B09718F> =
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff951e3000 -     0x7fff951e6fff  libCoreVMClient.dylib (58.1) =
<EBC36C69-C896-3C3D-8589-3E9023E7E56F> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVM=
Client.dylib
    0x7fff95218000 -     0x7fff95226fff  com.apple.opengl (9.6.0 - =
9.6.0) <709F4A02-73A0-303C-86B5-85C596C8B707> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff95229000 -     0x7fff95310ff7  libxml2.2.dylib (26) =
<A1DADD11-89E5-3DE4-8802-07186225967F> /usr/lib/libxml2.2.dylib
    0x7fff95354000 -     0x7fff95360ff3  com.apple.AppleFSCompression =
(56 - 1.0) <5652B0D0-EB08-381F-B23A-6DCF96991FB5> =
/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/=
AppleFSCompression
    0x7fff953b9000 -     0x7fff95444fff  libCoreStorage.dylib (380) =
<AE14C2F3-0EF1-3DCD-BF2B-A24D97D3B372> /usr/lib/libCoreStorage.dylib
    0x7fff9565c000 -     0x7fff958a4ff7  com.apple.CoreData (107 - =
481.01) <DA339795-5D97-35B5-9B04-629830013720> =
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff9595b000 -     0x7fff95973ff7  com.apple.GenerationalStorage =
(2.0 - 160.2) <79629AC7-896F-3302-8AC1-4939020F08C3> =
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A=
/GenerationalStorage
    0x7fff95974000 -     0x7fff95975ffb  libremovefile.dylib (33) =
<3543F917-928E-3DB2-A2F4-7AB73B4970EF> =
/usr/lib/system/libremovefile.dylib
    0x7fff959bf000 -     0x7fff959cfffb  libsasl2.2.dylib (170) =
<C8E25710-68B6-368A-BF3E-48EC7273177B> /usr/lib/libsasl2.2.dylib
    0x7fff95dac000 -     0x7fff95dc5ff7  com.apple.Kerberos (3.0 - 1) =
<F108AFEB-198A-3BAF-BCA5-9DFCE55EFF92> =
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff95dc6000 -     0x7fff95dc9ff7  libdyld.dylib (239.4) =
<CF03004F-58E4-3BB6-B3FD-BE4E05F128A0> /usr/lib/system/libdyld.dylib
    0x7fff95df1000 -     0x7fff95dfbff7  com.apple.bsd.ServiceManagement =
(2.0 - 2.0) <2D27B498-BB9C-3D88-B05A-76908A8A26F3> =
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceM=
anagement
    0x7fff95dfc000 -     0x7fff95e25fff  com.apple.DictionaryServices =
(1.2 - 208) <A539A058-BA57-35EE-AA08-D0B0E835127D> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Di=
ctionaryServices.framework/Versions/A/DictionaryServices
    0x7fff95eea000 -     0x7fff95f23ff7  com.apple.QD (3.50 - 298) =
<C1F20764-DEF0-34CF-B3AB-AB5480D64E66> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/QD.framework/Versions/A/QD
    0x7fff96093000 -     0x7fff960b7ff7  libJPEG.dylib (1042) =
<33648F26-A1DA-3C30-B15B-E9FFD41DB25C> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.=
dylib
    0x7fff960b8000 -     0x7fff960c0fff  libsystem_dnssd.dylib =
(522.90.2) <A0B7CF19-D9F2-33D4-8107-A62184C9066E> =
/usr/lib/system/libsystem_dnssd.dylib
    0x7fff96829000 -     0x7fff96831ffc  libGFXShared.dylib (9.6) =
<E276D384-3616-3511-B5F2-92621D6372D6> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXSha=
red.dylib
    0x7fff96832000 -     0x7fff96832fff  com.apple.ApplicationServices =
(48 - 48) <3E3F01A8-314D-378F-835E-9CC4F8820031> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Applic=
ationServices
    0x7fff96833000 -     0x7fff96844ff7  libz.1.dylib (53) =
<42E0C8C6-CA38-3CA4-8619-D24ED5DD492E> /usr/lib/libz.1.dylib
    0x7fff96ad7000 -     0x7fff96b16fff  libGLU.dylib (9.6) =
<EE4907CA-219C-34BD-A84E-B85695F64C05> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dy=
lib
    0x7fff96b17000 -     0x7fff96c6aff7  =
com.apple.audio.toolbox.AudioToolbox (1.10 - 1.10) =
<3511ABFE-22E1-3B91-B86A-5E3A78CE33FD> =
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff96c6b000 -     0x7fff96c6bffd  libOpenScriptingUtil.dylib =
(157) <19F0E769-0989-3062-9AFB-8976E90E9759> =
/usr/lib/libOpenScriptingUtil.dylib
    0x7fff96c84000 -     0x7fff96c86ff7  libquarantine.dylib (71) =
<7A1A2BCB-C03D-3A25-BFA4-3E569B2D2C38> =
/usr/lib/system/libquarantine.dylib
    0x7fff96c87000 -     0x7fff96d52fff  libvDSP.dylib (423.32) =
<3BF732BE-DDE0-38EB-8C54-E4E3C64F77A7> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvDSP.dylib
    0x7fff96e3a000 -     0x7fff96e93fff  libTIFF.dylib (1042) =
<51D02EEC-0D0C-34C1-91C8-D316473A3FEA> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.=
dylib
    0x7fff96e94000 -     0x7fff97192fff  com.apple.Foundation (6.9 - =
1056.13) <2EE9AB07-3EA0-37D3-B407-4A520F2CB497> =
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff97193000 -     0x7fff971bbffb  libRIP.A.dylib (599.20.11) =
<D79461A6-2E24-3531-ADA2-EAC972384A7D> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
RIP.A.dylib
    0x7fff974d5000 -     0x7fff975a6ff1  com.apple.DiskImagesFramework =
(10.9 - 371.1) <D456ED08-4C1D-341F-BAB8-85E34A7275C5> =
/System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImag=
es
    0x7fff975aa000 -     0x7fff975aafff  com.apple.Accelerate (1.9 - =
Accelerate 1.9) <509BB27A-AE62-366D-86D8-0B06D217CF56> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff975ab000 -     0x7fff975f9fff  com.apple.opencl (2.3.59 - =
2.3.59) <8C2ACCC6-B0BA-3FE7-98A1-5C67284DEA4E> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff975fa000 -     0x7fff9762efff  libssl.0.9.8.dylib (50) =
<B15F967C-B002-36C2-9621-3456D8509F50> /usr/lib/libssl.0.9.8.dylib
    0x7fff9766e000 -     0x7fff97676ff7  =
com.apple.speech.recognition.framework (4.2.4 - 4.2.4) =
<98BBB3E4-6239-3EF1-90B2-84EA0D3B8D61> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRe=
cognition.framework/Versions/A/SpeechRecognition
    0x7fff9780b000 -     0x7fff9780ffff  libpam.2.dylib (20) =
<B93CE8F5-DAA8-30A1-B1F6-F890509513CB> /usr/lib/libpam.2.dylib
    0x7fff9781a000 -     0x7fff978a6ff7  com.apple.ink.framework (10.9 - =
207) <8A50B893-AD03-3826-8555-A54FEAF08F47> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.fram=
ework/Versions/A/Ink
    0x7fff97906000 -     0x7fff97969ff7  com.apple.SystemConfiguration =
(1.13 - 1.13) <63B985ED-E7E4-3095-8D12-63C9F1DB0F3D> =
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/System=
Configuration
    0x7fff97dad000 -     0x7fff97dbcff8  com.apple.LangAnalysis (1.7.0 - =
1.7.0) <8FE131B6-1180-3892-98F5-C9C9B79072D4> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff97dbd000 -     0x7fff97ea1fff  com.apple.coreui (2.1 - 231) =
<432DB40C-6B7E-39C8-9FB5-B95917930056> =
/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff97f47000 -     0x7fff97f4dff7  libCGXCoreImage.A.dylib =
(599.20.11) <A787F160-6963-38B5-AF86-D5541E0492F1> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/lib=
CGXCoreImage.A.dylib
    0x7fff97fea000 -     0x7fff97febfff  com.apple.TrustEvaluationAgent =
(2.0 - 25) <334A82F4-4AE4-3719-A511-86D0B0723E2B> =
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/=
A/TrustEvaluationAgent
    0x7fff97fec000 -     0x7fff98188ff3  com.apple.QuartzCore (1.8 - =
332.3) <80F1068F-4A34-34FB-9E05-A2DC0700D2F2> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff98189000 -     0x7fff981c7ff7  libGLImage.dylib (9.6) =
<DCF2E131-A65E-33B2-B32D-28FF01605AB1> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImag=
e.dylib
    0x7fff981e1000 -     0x7fff98206ff7  com.apple.CoreVideo (1.8 - =
117.2) <4674339E-26D0-35FA-9958-422832B39B12> =
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff98207000 -     0x7fff98211ff7  com.apple.CrashReporterSupport =
(10.9 - 538) <B487466B-3AA1-3854-A808-A61F049FA794> =
/System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/=
A/CrashReporterSupport
    0x7fff98217000 -     0x7fff9821eff8  liblaunch.dylib (842.90.1) =
<38D1AB2C-A476-385F-8EA8-7AB604CA1F89> /usr/lib/system/liblaunch.dylib
    0x7fff9821f000 -     0x7fff98226fff  com.apple.NetFS (6.0 - 4.0) =
<8E26C099-CE9D-3819-91A2-64EA929C6137> =
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff98236000 -     0x7fff9828eff7  com.apple.Symbolication (1.4 - =
129) <16D42516-7B5E-357C-898A-FAA9EE7642B3> =
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbo=
lication
    0x7fff9828f000 -     0x7fff982beff5  com.apple.GSS (4.0 - 2.0) =
<62046C17-5D09-346C-B08E-A664DBC18411> =
/System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff982bf000 -     0x7fff982bfffd  com.apple.audio.units.AudioUnit =
(1.10 - 1.10) <486A97CD-C1F7-324D-87BC-B07F7A415B68> =
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff9875e000 -     0x7fff98770ff7  =
com.apple.MultitouchSupport.framework (245.13 - 245.13) =
<D5E7416D-45AB-3690-86C6-CC4B5FCEA2D2> =
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/M=
ultitouchSupport
    0x7fff98771000 -     0x7fff9877afff  =
com.apple.speech.synthesis.framework (4.7.1 - 4.7.1) =
<383FB557-E88E-3239-82B8-15F9F885B702> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff987cb000 -     0x7fff9881cff3  com.apple.audio.CoreAudio =
(4.2.0 - 4.2.0) <BF4C2FE3-8BC8-30D1-8347-2A7221268794> =
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff9881d000 -     0x7fff9881fff3  libsystem_configuration.dylib =
(596.13) <B51C8C22-C455-36AC-952D-A319B6545884> =
/usr/lib/system/libsystem_configuration.dylib
    0x7fff988da000 -     0x7fff9895afff  com.apple.CoreSymbolication =
(3.0 - 141) <B018335C-698B-3F87-AF1C-6115C4FA8954> =
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/C=
oreSymbolication
    0x7fff9895b000 -     0x7fff98977ff7  libsystem_kernel.dylib =
(2422.90.20) <20E00C54-9222-359F-BD98-CB79ABED769A> =
/usr/lib/system/libsystem_kernel.dylib
    0x7fff9897e000 -     0x7fff989c5fff  libFontRegistry.dylib (127) =
<A77A0480-AA5D-3CC8-8B68-69985CD546DC> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff98a1f000 -     0x7fff98cb0fff  com.apple.RawCamera.bundle =
(5.04 - 736) <0C8A3629-BEAC-34A7-A3A3-B9AF4B3AB4B4> =
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff98cb4000 -     0x7fff98cb5ff7  libSystem.B.dylib (1197.1.1) =
<BFC0DC97-46C6-3BE0-9983-54A98734897A> /usr/lib/libSystem.B.dylib
    0x7fff98cb6000 -     0x7fff98cc2ff7  com.apple.OpenDirectory (10.9 - =
173.90.1) <E5EF8E1A-7214-36D0-AF0D-8D030DF6C2FC> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirector=
y
    0x7fff98db6000 -     0x7fff98dc3ff0  libbz2.1.0.dylib (29) =
<0B98AC35-B138-349C-8063-2B987A75D24C> /usr/lib/libbz2.1.0.dylib
    0x7fff98e39000 -     0x7fff98e3eff7  libunwind.dylib (35.3) =
<78DCC358-2FC1-302E-B395-0155B47CB547> /usr/lib/system/libunwind.dylib
    0x7fff98e3f000 -     0x7fff98e63fff  libxpc.dylib (300.90.2) =
<AB40CD57-F454-3FD4-B415-63B3C0D5C624> /usr/lib/system/libxpc.dylib
    0x7fff98e64000 -     0x7fff98e6ffff  libkxld.dylib (2422.90.20) =
<EF476345-7A69-3AC0-95ED-0196FB8910CB> /usr/lib/system/libkxld.dylib
    0x7fff98f5c000 -     0x7fff99014ff7  com.apple.DiscRecording (8.0 - =
8000.4.6) <CDAAAD04-A1D0-3C67-ABCC-EFC9E8D44E7E> =
/System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecordin=
g
    0x7fff99015000 -     0x7fff9903aff7  com.apple.ChunkingLibrary (2.0 =
- 155.1) <B845DC7A-D1EA-31E2-967C-D1FE0C628036> =
/System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/Chu=
nkingLibrary
    0x7fff9903b000 -     0x7fff99048ff4  com.apple.Librarian (1.2 - 1) =
<F1A2744D-8536-32C7-8218-9972C6300DAE> =
/System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian=

    0x7fff99049000 -     0x7fff991f6f27  libobjc.A.dylib (551.1) =
<AD7FD984-271E-30F4-A361-6B20319EC73B> /usr/lib/libobjc.A.dylib
    0x7fff991f7000 -     0x7fff993afff3  libicucore.A.dylib (511.31) =
<167DDD0A-A935-31AF-B5B9-940268EC3A3C> /usr/lib/libicucore.A.dylib
    0x7fff99988000 -     0x7fff99991ffb  com.apple.CommonAuth (4.0 - =
2.0) <70FDDA03-7B44-37EC-B78E-3EC3C8505C76> =
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAu=
th
    0x7fff99992000 -     0x7fff9999ffff  com.apple.Sharing (132.2 - =
132.2) <F983394A-226D-3244-B511-FA51FDB6ADDA> =
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff999a0000 -     0x7fff999a7ff7  libsystem_pthread.dylib =
(53.1.4) <AB498556-B555-310E-9041-F67EC9E00E2C> =
/usr/lib/system/libsystem_pthread.dylib
    0x7fff999a8000 -     0x7fff99a17ff1  =
com.apple.ApplicationServices.ATS (360 - 363.3) =
<546E89D9-2AE7-3111-B2B8-2366650D22F0> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/ATS
    0x7fff99a18000 -     0x7fff99a1dfff  com.apple.DiskArbitration (2.6 =
- 2.6) <A4165553-770E-3D27-B217-01FC1F852B87> =
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitr=
ation
    0x7fff99a3f000 -     0x7fff99a6efff  com.apple.DebugSymbols (106 - =
106) <E1BDED08-523A-36F4-B2DA-9D5C712F0AC7> =
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugS=
ymbols
    0x7fff99a6f000 -     0x7fff99a72fff  com.apple.TCC (1.0 - 1) =
<32A075D9-47FD-3E71-95BC-BFB0D583F41C> =
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff99a73000 -     0x7fff99a9cff7  libc++abi.dylib (49.1) =
<21A807D3-6732-3455-B77F-743E9F916DF0> /usr/lib/libc++abi.dylib
    0x7fff99ab4000 -     0x7fff99d9efff  =
com.apple.CoreServices.CarbonCore (1077.17 - 1077.17) =
<3A2E92FD-DEE2-3D45-9619-11500801A61C> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Ca=
rbonCore.framework/Versions/A/CarbonCore
    0x7fff99d9f000 -     0x7fff99da8ffb  libCGInterfaces.dylib (271) =
<68EFBEFE-7506-3235-99A2-5B69EDBFD7B8> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/Resources/libCGInterfaces.dylib
    0x7fff99de9000 -     0x7fff99e56fff  com.apple.SearchKit (1.4.0 - =
1.4.0) <B9B8D510-A27E-36B0-93E9-17146D9E9045> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Se=
archKit.framework/Versions/A/SearchKit
    0x7fff9a09e000 -     0x7fff9a102fff  com.apple.datadetectorscore =
(5.0 - 354.3) <B92E87D1-2045-3AB2-AE3F-8F948B30518A> =
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/D=
ataDetectorsCore
    0x7fff9a103000 -     0x7fff9a108fff  libmacho.dylib (845) =
<1D2910DF-C036-3A82-A3FD-44FF73B5FF9B> /usr/lib/system/libmacho.dylib
    0x7fff9a4ee000 -     0x7fff9a529fff  com.apple.bom (14.0 - 193.1) =
<EF24A562-6D3C-379E-8B9B-FAE0E4A0EF7C> =
/System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff9a5c1000 -     0x7fff9a5f0fd2  libsystem_m.dylib (3047.16) =
<B7F0E2E4-2777-33FC-A787-D6430B630D54> /usr/lib/system/libsystem_m.dylib
Sample analysis of process 23607 written to file /dev/stdout

--Apple-Mail=_90D83757-1AE1-4F3A-8100-C7B2505919F0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=windows-1252



On Mar 28, 2014, at 10:43 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Eric Froemling <ericfroemling@HIDDEN>
>> Date: Fri, 28 Mar 2014 09:19:41 -0700
>> Cc: 17124 <at> debbugs.gnu.org
>>=20
>> I=92ll try to take a look at CPU load next time.
>=20
> Please do, it might give some clues.
>=20
>> Here=92s a youtube vid (unlisted) of my example in case that=92s =
something
>> you can view:
>> https://www.youtube.com/watch?v=3DFSAGh4ER_AE&feature=3Dyoutu.be
>> I=92m definitely seeing delays between characters on individual =
lines, but also
>> even things like drawing the borders around all of the frame=92s =
windows are
>> taking multiple frames.  In total, refreshing the whole UI takes =
about
>> 30 seconds whereas it is usually pretty instantaneous.  It looks sort =
of
>> like the slow-motion-redraw you see in X11 on a box that is =
completely
>> swapped out, (though there is definitely no swapping going on in this =
case)
>=20
> Looks like something is preempting the Emacs process all the time.


--Apple-Mail=_90D83757-1AE1-4F3A-8100-C7B2505919F0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.
Forcibly Merged 16594 17124. Request was from Jan Djärv <jan.h.d@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 29 Mar 2014 12:20:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 29 08:20:09 2014
Received: from localhost ([127.0.0.1]:55448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WTsF6-0006xU-Cn
	for submit <at> debbugs.gnu.org; Sat, 29 Mar 2014 08:20:08 -0400
Received: from mailfe02.swip.net ([212.247.154.33]:44418 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1WTsF2-0006xK-Qo
 for 17124 <at> debbugs.gnu.org; Sat, 29 Mar 2014 08:20:06 -0400
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe02.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 489320295; Sat, 29 Mar 2014 13:20:02 +0100
Message-ID: <5336BA72.6000607@HIDDEN>
Date: Sat, 29 Mar 2014 13:20:02 +0100
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.3.0
MIME-Version: 1.0
To: Eric Froemling <ericfroemling@HIDDEN>, 17124 <at> debbugs.gnu.org
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
In-Reply-To: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 17124
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

This is most likely the same as 16594.

	Jan D.

2014-03-27 22:23, Eric Froemling skrev:
>
> Hello,
> I've been using various OSX emacs builds from http://emacsformacosx.com
> for a few years now.  I'm on a 2012 Retina Macbook Pro 15".  Every so
> often when I am resizing the emacs frame or window I get a single
> extremely slow redraw.  Here's a screen-capture video I was able to
> take of one just now as it was occurring:
> http://www.files.froemling.net/misc/SlowEmacs.mov
>
> I have not found a way to reliably reproduce these, though they happen
> somewhat regularly when I am working.  Please let me know if there's
> any other info I can provide or anything I can do on my end to help
> get to the bottom of this.
> Thanks much,
> -Eric Froemling
>
>
>
> In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
> of 2014-03-03 on bob.porkrind.org
> Repository revision: dmantipov@HIDDEN
> Windowing system distributor `Apple', version 10.3.1265
> Configured using:
> `configure --host=x86_64-apple-darwin --build=i686-apple-darwin
> --with-ns'
>
> Important settings:
>    locale-coding-system: utf-8-unix
>
> Major mode: Grep
>
> Minor modes in effect:
>    shell-dirtrack-mode: t
>    which-function-mode: t
>    show-paren-mode: t
>    recentf-mode: t
>    global-hl-line-mode: t
>    delete-selection-mode: t
>    tooltip-mode: t
>    electric-indent-mode: t
>    mouse-wheel-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    buffer-read-only: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Recent input:
> C-n C-p C-p C-n C-n C-n C-n C-n C-n <down-mouse-1>
> <mouse-1> C-x C-f b s F l a <tab> g <tab> h <return>
> C-s r e n d e r e r : : C-e C-b C-b C-b C-b C-b C-b
> C-SPC C-e C-b M-w <M-return> M-< C-s f l a g n o d
> e : : C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p
> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p
> C-p C-p <return> <return> C-a C-y C-p C-n <tab> . m
> a r k U s e r M a n a g e d O b j e c t ( ) ; <return>
> C-p C-p <return> <tab> / / SPC t e l l SPC e m b e
> d d e d SPC o b j e c t s SPC n o t SPC t o SPC c o
> m p l i <backspace> a i n SPC a b o u t SPC y <backspace>
> <backspace> <backspace> <backspace> <backspace> <backspace>
> <backspace> w h e n SPC t h e y <return> <tab> / /
> SPC d i e SPC u n <backspace> <backspace> n o t SPC
> v i a SPC a SPC r e f e r e n c e . C-p C-e <M-backspace>
> <M-backspace> a b o u t SPC n o t SPC h a v i n g SPC
> r e f s C-n C-a C-k C-k C-x C-s C-n C-n C-p C-p C-p
> <help-echo> <down-mouse-1> <mouse-1> <help-echo> <help-echo>
> M-x r e p o r t SPC e m <tab> <return>
>
> Recent messages:
> Wrote /Users/ericf/Documents/bombsquad/src/bsSpazNode.cpp
> Saving file /Users/ericf/Documents/bombsquad/src/bsSpazNode.cpp...
> Wrote /Users/ericf/Documents/bombsquad/src/bsSpazNode.cpp
> Making completion list...
> Mark saved where search started
> Mark set [2 times]
> Mark saved where search started
> Mark set
> Saving file /Users/ericf/Documents/bombsquad/src/bsFlagNode.cpp...
> Wrote /Users/ericf/Documents/bombsquad/src/bsFlagNode.cpp
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort gnus-util mail-extr emacsbug message cl-macs gv format-spec
> rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util help-fns mail-prsvr mail-utils tex-mode latexenc kmacro
> make-mode shell pcomplete misearch multi-isearch windmove add-log
> which-func cc-langs cl cc-mode cc-fonts cc-guess cc-menus cc-cmds
> cc-styles cc-align cc-engine cc-vars cc-defs python help-mode imenu
> cus-edit server saveplace paren recentf tree-widget wid-edit cl-loaddefs
> cl-lib easymenu grep compile comint ansi-color ring hl-line delsel
> cus-start cus-load time-date tooltip electric uniquify ediff-hook
> vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image
> regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
> page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
> font-lock syntax facemenu font-core frame cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
> greek romanian slovak czech european ethiopic indian cyrillic chinese
> case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
> loaddefs button faces cus-face macroexp files text-properties overlay
> sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process cocoa ns
> multi-tty emacs)
>
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 28 Mar 2014 17:43:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 28 13:43:43 2014
Received: from localhost ([127.0.0.1]:55085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WTaoh-0002OZ-4N
	for submit <at> debbugs.gnu.org; Fri, 28 Mar 2014 13:43:43 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:64730)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WTaod-0002OP-VI
 for 17124 <at> debbugs.gnu.org; Fri, 28 Mar 2014 13:43:41 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N3500600QJ9GV00@HIDDEN> for 17124 <at> debbugs.gnu.org;
 Fri, 28 Mar 2014 20:43:37 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N35006Y4QKOBG20@HIDDEN>;
 Fri, 28 Mar 2014 20:43:37 +0300 (IDT)
Date: Fri, 28 Mar 2014 20:43:39 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
In-reply-to: <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Eric Froemling <ericfroemling@HIDDEN>
Message-id: <837g7efcc4.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=windows-1252
Content-transfer-encoding: 8BIT
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN> <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17124
Cc: 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Eric Froemling <ericfroemling@HIDDEN>
> Date: Fri, 28 Mar 2014 09:19:41 -0700
> Cc: 17124 <at> debbugs.gnu.org
> 
> I’ll try to take a look at CPU load next time.

Please do, it might give some clues.

> Here’s a youtube vid (unlisted) of my example in case that’s something
> you can view:
> https://www.youtube.com/watch?v=FSAGh4ER_AE&feature=youtu.be
> I’m definitely seeing delays between characters on individual lines, but also
> even things like drawing the borders around all of the frame’s windows are
> taking multiple frames.  In total, refreshing the whole UI takes about
> 30 seconds whereas it is usually pretty instantaneous.  It looks sort of
> like the slow-motion-redraw you see in X11 on a box that is completely
> swapped out, (though there is definitely no swapping going on in this case)

Looks like something is preempting the Emacs process all the time.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 28 Mar 2014 16:19:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 28 12:19:49 2014
Received: from localhost ([127.0.0.1]:55033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WTZVU-0000FJ-3m
	for submit <at> debbugs.gnu.org; Fri, 28 Mar 2014 12:19:48 -0400
Received: from mail-pd0-f172.google.com ([209.85.192.172]:59747)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ericfroemling@HIDDEN>) id 1WTZVR-0000FA-I0
 for 17124 <at> debbugs.gnu.org; Fri, 28 Mar 2014 12:19:46 -0400
Received: by mail-pd0-f172.google.com with SMTP id p10so5034056pdj.31
 for <17124 <at> debbugs.gnu.org>; Fri, 28 Mar 2014 09:19:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=content-type:mime-version:subject:from:in-reply-to:date:cc
 :message-id:references:to;
 bh=mKujf4xfehdLu38hHE/cFdEmT7PN0bY9BpM4VoXBGZk=;
 b=TeioM+SwD1Zd2ZHybaUfYshs7Nq1hwsoh6ghxGw0GQXF5mdHajuFPLybHsGYkzrIEI
 zljJssgeKllGTi0Tap3+fH6P8BU8zM1B9OGydaC9ydqGulWyHFqX3kblAj99SIzFKYF+
 NjsSRmY4Dln8NpEZAe23WGgE9HJsmepA8MxfbO+XPQCt1++9BY2ZtX6ptlkiOy96eG2G
 mgR+HcXmgQjzISHuf3EjVQVtQt7CvY7+TdLOdjR+ycvTX94kVVcWSvMnbt2HJH+/Zfqd
 1x3/gmDscyOhGE7oAnHmGtf2ZK0+NXUK/zJ9cnxKE60lk+Ugymnjx2mwxD1E9Bwq2wfD
 +NwA==
X-Received: by 10.66.122.1 with SMTP id lo1mr9723291pab.118.1396023584317;
 Fri, 28 Mar 2014 09:19:44 -0700 (PDT)
Received: from [10.0.1.7] (c-69-181-20-108.hsd1.ca.comcast.net.
 [69.181.20.108])
 by mx.google.com with ESMTPSA id zb2sm24939445pbc.30.2014.03.28.09.19.43
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Fri, 28 Mar 2014 09:19:43 -0700 (PDT)
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_17CC92EA-FDE4-40E9-84C9-BFD1644FF8E8"
Mime-Version: 1.0 (Mac OS X Mail 7.2 \(1874\))
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
From: Eric Froemling <ericfroemling@HIDDEN>
In-Reply-To: <83a9cayekp.fsf@HIDDEN>
Date: Fri, 28 Mar 2014 09:19:41 -0700
Message-Id: <7D2257F7-2E81-44C8-9DC7-6A837BF43DAB@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
 <83a9cayekp.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1874)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17124
Cc: 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


--Apple-Mail=_17CC92EA-FDE4-40E9-84C9-BFD1644FF8E8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=windows-1252

Hi Eli,
Thanks for the info.
I=92ll try to take a look at CPU load next time.
Here=92s a youtube vid (unlisted) of my example in case that=92s =
something
you can view:
https://www.youtube.com/watch?v=3DFSAGh4ER_AE&feature=3Dyoutu.be
I=92m definitely seeing delays between characters on individual lines, =
but also
even things like drawing the borders around all of the frame=92s windows =
are
taking multiple frames.  In total, refreshing the whole UI takes about
30 seconds whereas it is usually pretty instantaneous.  It looks sort of
like the slow-motion-redraw you see in X11 on a box that is completely
swapped out, (though there is definitely no swapping going on in this =
case)
-Eric

On Mar 28, 2014, at 12:20 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Eric Froemling <ericfroemling@HIDDEN>
>> Date: Thu, 27 Mar 2014 14:23:28 -0700
>>=20
>> I've been using various OSX emacs builds from =
http://emacsformacosx.com
>> for a few years now.  I'm on a 2012 Retina Macbook Pro 15".  Every so
>> often when I am resizing the emacs frame or window I get a single
>> extremely slow redraw.  Here's a screen-capture video I was able to=20=

>> take of one just now as it was occurring:
>> http://www.files.froemling.net/misc/SlowEmacs.mov
>=20
> I cannot see that movie on my box.  Do you see delays between
> characters on the same screen lines, or is the delay between screen
> lines?
>=20
>> I have not found a way to reliably reproduce these, though they =
happen
>> somewhat regularly when I am working.  Please let me know if there's
>> any other info I can provide or anything I can do on my end to help
>> get to the bottom of this.
>=20
> Try to look at the CPU load when this happens, in particular if more
> than a single CPU core is busy (assuming you have a multi-core CPU).
> If more than one core us busy, it probably means that more than one
> thread is using the CPU (Emacs redisplay engine is single-threaded).


--Apple-Mail=_17CC92EA-FDE4-40E9-84C9-BFD1644FF8E8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=windows-1252

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html =
charset=3Dwindows-1252"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; -webkit-line-break: after-white-space;">Hi =
Eli,<div>Thanks for the info.<br><div>I=92ll try to take a look at CPU =
load next time.</div><div>Here=92s a youtube vid (unlisted) of my =
example in case that=92s something</div><div>you can view:</div><div><a =
href=3D"https://www.youtube.com/watch?v=3DFSAGh4ER_AE&amp;feature=3Dyoutu.=
be">https://www.youtube.com/watch?v=3DFSAGh4ER_AE&amp;feature=3Dyoutu.be</=
a></div><div>I=92m definitely seeing delays between characters on =
individual lines, but also</div><div>even things like drawing the =
borders around all of the frame=92s windows are</div><div>taking =
multiple frames. &nbsp;In total, refreshing the whole UI takes =
about</div><div>30 seconds whereas it is usually pretty instantaneous. =
&nbsp;It looks sort of</div><div>like the slow-motion-redraw you see in =
X11 on a box that is completely</div><div>swapped out, (though there is =
definitely no swapping going on in this =
case)</div><div>-Eric</div><div><br></div><div><div><div>On Mar 28, =
2014, at 12:20 AM, Eli Zaretskii &lt;<a =
href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:</div><br =
class=3D"Apple-interchange-newline"><blockquote type=3D"cite"><blockquote =
type=3D"cite">From: Eric Froemling &lt;<a =
href=3D"mailto:ericfroemling@HIDDEN">ericfroemling@HIDDEN</a>&gt;<br=
>Date: Thu, 27 Mar 2014 14:23:28 -0700<br><br>I've been using various =
OSX emacs builds from <a =
href=3D"http://emacsformacosx.com">http://emacsformacosx.com</a><br>for =
a few years now. &nbsp;I'm on a 2012 Retina Macbook Pro 15". &nbsp;Every =
so<br>often when I am resizing the emacs frame or window I get a =
single<br>extremely slow redraw. &nbsp;Here's a screen-capture video I =
was able to <br>take of one just now as it was occurring:<br><a =
href=3D"http://www.files.froemling.net/misc/SlowEmacs.mov">http://www.file=
s.froemling.net/misc/SlowEmacs.mov</a><br></blockquote><br>I cannot see =
that movie on my box. &nbsp;Do you see delays between<br>characters on =
the same screen lines, or is the delay between =
screen<br>lines?<br><br><blockquote type=3D"cite">I have not found a way =
to reliably reproduce these, though they happen<br>somewhat regularly =
when I am working. &nbsp;Please let me know if there's<br>any other info =
I can provide or anything I can do on my end to help<br>get to the =
bottom of this.<br></blockquote><br>Try to look at the CPU load when =
this happens, in particular if more<br>than a single CPU core is busy =
(assuming you have a multi-core CPU).<br>If more than one core us busy, =
it probably means that more than one<br>thread is using the CPU (Emacs =
redisplay engine is =
single-threaded).<br></blockquote></div><br></div></div></body></html>=

--Apple-Mail=_17CC92EA-FDE4-40E9-84C9-BFD1644FF8E8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at 17124 <at> debbugs.gnu.org:


Received: (at 17124) by debbugs.gnu.org; 28 Mar 2014 07:20:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 28 03:20:29 2014
Received: from localhost ([127.0.0.1]:53551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WTR5Y-00011g-Dm
	for submit <at> debbugs.gnu.org; Fri, 28 Mar 2014 03:20:29 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:48721)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WTR5T-00011U-Uc
 for 17124 <at> debbugs.gnu.org; Fri, 28 Mar 2014 03:20:25 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N3400000XG3SU00@HIDDEN> for 17124 <at> debbugs.gnu.org;
 Fri, 28 Mar 2014 10:20:22 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N340005JXPXDEA0@HIDDEN>;
 Fri, 28 Mar 2014 10:20:22 +0300 (IDT)
Date: Fri, 28 Mar 2014 10:20:22 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
In-reply-to: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Eric Froemling <ericfroemling@HIDDEN>
Message-id: <83a9cayekp.fsf@HIDDEN>
References: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17124
Cc: 17124 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Eric Froemling <ericfroemling@HIDDEN>
> Date: Thu, 27 Mar 2014 14:23:28 -0700
> 
> I've been using various OSX emacs builds from http://emacsformacosx.com
> for a few years now.  I'm on a 2012 Retina Macbook Pro 15".  Every so
> often when I am resizing the emacs frame or window I get a single
> extremely slow redraw.  Here's a screen-capture video I was able to 
> take of one just now as it was occurring:
> http://www.files.froemling.net/misc/SlowEmacs.mov

I cannot see that movie on my box.  Do you see delays between
characters on the same screen lines, or is the delay between screen
lines?

> I have not found a way to reliably reproduce these, though they happen
> somewhat regularly when I am working.  Please let me know if there's
> any other info I can provide or anything I can do on my end to help
> get to the bottom of this.

Try to look at the CPU load when this happens, in particular if more
than a single CPU core is busy (assuming you have a multi-core CPU).
If more than one core us busy, it probably means that more than one
thread is using the CPU (Emacs redisplay engine is single-threaded).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Mar 2014 21:28:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 27 17:28:56 2014
Received: from localhost ([127.0.0.1]:53213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WTHr4-00072C-UC
	for submit <at> debbugs.gnu.org; Thu, 27 Mar 2014 17:28:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47540)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ericfroemling@HIDDEN>) id 1WTHm4-0006sp-T8
 for submit <at> debbugs.gnu.org; Thu, 27 Mar 2014 17:23:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ericfroemling@HIDDEN>) id 1WTHm0-0000C2-Lx
 for submit <at> debbugs.gnu.org; Thu, 27 Mar 2014 17:23:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54663)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ericfroemling@HIDDEN>) id 1WTHm0-0000Bw-Hw
 for submit <at> debbugs.gnu.org; Thu, 27 Mar 2014 17:23:40 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49203)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ericfroemling@HIDDEN>) id 1WTHlw-0005Ds-9C
 for bug-gnu-emacs@HIDDEN; Thu, 27 Mar 2014 17:23:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ericfroemling@HIDDEN>) id 1WTHlr-00008y-WD
 for bug-gnu-emacs@HIDDEN; Thu, 27 Mar 2014 17:23:36 -0400
Received: from mail-pa0-x22a.google.com ([2607:f8b0:400e:c03::22a]:42757)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ericfroemling@HIDDEN>) id 1WTHlr-00008p-KI
 for bug-gnu-emacs@HIDDEN; Thu, 27 Mar 2014 17:23:31 -0400
Received: by mail-pa0-f42.google.com with SMTP id fb1so4038073pad.15
 for <bug-gnu-emacs@HIDDEN>; Thu, 27 Mar 2014 14:23:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:content-type:content-transfer-encoding:subject:message-id:date
 :to:mime-version;
 bh=H/egQAgYJzCP3jqwd1/w2Uar6vMJ4xFnRSD+keRTrJk=;
 b=LVLqmaEVgNKr0TYZzBfiBfcE68/RUQmDRTCre5+CKl1hzEj+U+VQK+/MmVy1sHnc8Q
 PTZnbtn2PJnbN3GouExgBxV+mb7MGnHaONCUFyrbo0eLHydx6AgyyAkxsSr4eUJ50c0e
 zpjdHKK/Q1+4eR8yu5dJ5ZyJYL4Vd71Q1ANVHVWh5QxXAXmZpnqLg+zy8cYvEmDhWEhg
 /HJyq8OfrJMUqqDxwpsV6cTWPn5yzz0Vv5PzaxPlKY0v2lYoYuz/r0ALp3BMt0+X1cn9
 NXrc6xYEqZfNV4ecjwaZcmID0b1nGAEF60nO8HCg/rXH8jzj+1Lh5oTGqerf5ShjjUuE
 tcEw==
X-Received: by 10.69.25.69 with SMTP id io5mr4432319pbd.22.1395955410540;
 Thu, 27 Mar 2014 14:23:30 -0700 (PDT)
Received: from [10.0.1.7] (c-69-181-20-108.hsd1.ca.comcast.net.
 [69.181.20.108])
 by mx.google.com with ESMTPSA id pp5sm13500448pbb.33.2014.03.27.14.23.29
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Thu, 27 Mar 2014 14:23:29 -0700 (PDT)
From: Eric Froemling <ericfroemling@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs
Message-Id: <3720C794-D850-4F7A-B5C4-1BC1A72BA26B@HIDDEN>
Date: Thu, 27 Mar 2014 14:23:28 -0700
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Mac OS X Mail 7.2 \(1874\))
X-Mailer: Apple Mail (2.1874)
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 27 Mar 2014 17:28:51 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Hello,
I've been using various OSX emacs builds from http://emacsformacosx.com
for a few years now.  I'm on a 2012 Retina Macbook Pro 15".  Every so
often when I am resizing the emacs frame or window I get a single
extremely slow redraw.  Here's a screen-capture video I was able to 
take of one just now as it was occurring:
http://www.files.froemling.net/misc/SlowEmacs.mov

I have not found a way to reliably reproduce these, though they happen
somewhat regularly when I am working.  Please let me know if there's
any other info I can provide or anything I can do on my end to help
get to the bottom of this.
Thanks much,
-Eric Froemling



In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
of 2014-03-03 on bob.porkrind.org
Repository revision: dmantipov@HIDDEN
Windowing system distributor `Apple', version 10.3.1265
Configured using:
`configure --host=x86_64-apple-darwin --build=i686-apple-darwin
--with-ns'

Important settings:
  locale-coding-system: utf-8-unix

Major mode: Grep

Minor modes in effect:
  shell-dirtrack-mode: t
  which-function-mode: t
  show-paren-mode: t
  recentf-mode: t
  global-hl-line-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-n C-p C-p C-n C-n C-n C-n C-n C-n <down-mouse-1> 
<mouse-1> C-x C-f b s F l a <tab> g <tab> h <return> 
C-s r e n d e r e r : : C-e C-b C-b C-b C-b C-b C-b 
C-SPC C-e C-b M-w <M-return> M-< C-s f l a g n o d 
e : : C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p <return> <return> C-a C-y C-p C-n <tab> . m 
a r k U s e r M a n a g e d O b j e c t ( ) ; <return> 
C-p C-p <return> <tab> / / SPC t e l l SPC e m b e 
d d e d SPC o b j e c t s SPC n o t SPC t o SPC c o 
m p l i <backspace> a i n SPC a b o u t SPC y <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> w h e n SPC t h e y <return> <tab> / / 
SPC d i e SPC u n <backspace> <backspace> n o t SPC 
v i a SPC a SPC r e f e r e n c e . C-p C-e <M-backspace> 
<M-backspace> a b o u t SPC n o t SPC h a v i n g SPC 
r e f s C-n C-a C-k C-k C-x C-s C-n C-n C-p C-p C-p 
<help-echo> <down-mouse-1> <mouse-1> <help-echo> <help-echo> 
M-x r e p o r t SPC e m <tab> <return>

Recent messages:
Wrote /Users/ericf/Documents/bombsquad/src/bsSpazNode.cpp
Saving file /Users/ericf/Documents/bombsquad/src/bsSpazNode.cpp...
Wrote /Users/ericf/Documents/bombsquad/src/bsSpazNode.cpp
Making completion list...
Mark saved where search started
Mark set [2 times]
Mark saved where search started
Mark set
Saving file /Users/ericf/Documents/bombsquad/src/bsFlagNode.cpp...
Wrote /Users/ericf/Documents/bombsquad/src/bsFlagNode.cpp

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message cl-macs gv format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils tex-mode latexenc kmacro
make-mode shell pcomplete misearch multi-isearch windmove add-log
which-func cc-langs cl cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs python help-mode imenu
cus-edit server saveplace paren recentf tree-widget wid-edit cl-loaddefs
cl-lib easymenu grep compile comint ansi-color ring hl-line delsel
cus-start cus-load time-date tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process cocoa ns
multi-tty emacs)




Acknowledgement sent to Eric Froemling <ericfroemling@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17124; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 13 Feb 2016 00:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.